/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM		                    */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      INCLUDE P&F BUS COUPLER STATUS		*/
/*															*/
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.11  $                                    */
/*  $Date:   16 Mar 2000 13:41:18  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Online Window  *********************************************************/
/*******************************************************************************/

MENU OnlineWindow_display
{
	LABEL		[menu_coupler_diagnosis];
	HELP		[menu_coupler_diagnosis_help];
	ITEMS
	{
		Page_Overview,
		Page_ConfigString,
		Page_BK_1_diagnosis,
		IF (P0_BK_Channel == 2)
		{
			Page_BK_2_diagnosis
		}
	}
}

MENU Page_Overview
{
	LABEL		[menu_dialog_overview];
	ITEMS
	{
		Loc_BK_connected,
		P0_BK_Tag							(READ_ONLY),
		// P0_DA_Tag							(READ_ONLY),		// fbi
		P0_BK_Type							(READ_ONLY),
		P0_BK_ConfRev,						
		P0_BK_PbId							(READ_ONLY),
		P0_BK_Revision,
		Group_allg_Daten
	}
}

MENU Group_allg_Daten
{
	LABEL		[allg_Daten];
	HELP		[allg_Daten_help];
	ITEMS
	{
		P0_DA_SerNo,
		Loc_P0_DA_HrdRev,
		Loc_P0_DA_FirmRev,
		Loc_P0_DA_PicRev,
		P0_DA_Revision
	}
}

MENU Page_BK_1_diagnosis
{
	LABEL	IF ((P0_BK_Channel != 2) || (BK_1_red_primary == 1))
			{
				[Buskoppler1];
			}
			ELSE
			{
				[Buskoppler2];
			}
	ITEMS
	{
		P1_FbAdr			(READ_ONLY),
		Group_BK_1_diag,
		Group_BK_1_redundancy,
		BK_1_DP_status,
		BK_1_CRC_Check,
		BK_1_cycle_counter
	}
}

MENU Group_BK_1_diag
{
	LABEL	[buskoppler_status];
	ITEMS
	{
		BK_1_diag_active,
		BK_1_diag_simulation,
		SEPARATOR,
		BK_1_diag_status,
		BK_1_diag_error,
		BK_1_diag_error_extend
	}
}

MENU Group_BK_1_redundancy
{
	LABEL	[Redundanz];
	ITEMS
	{
		BK_1_red_active,
		BK_1_red_primary,
		BK_1_red_status,
		SEPARATOR,
		BK_1_red_internal,
		BK_1_red_profibus,
		BK_1_red_localbus
	}
}



MENU Page_BK_2_diagnosis
{
	LABEL	IF (BK_2_red_primary == 1)
			{
				[Buskoppler1];
			}
			ELSE
			{
				[Buskoppler2];
			}
	ITEMS
	{
		P2_FbAdr			(READ_ONLY),
		Group_BK_2_diag,
		Group_BK_2_redundancy,
		BK_2_DP_status,
		BK_2_CRC_Check,
		BK_2_cycle_counter
	}
}

MENU Group_BK_2_diag
{
	LABEL	[buskoppler_status];
	ITEMS
	{
		BK_2_diag_active,
		BK_2_diag_simulation,
		SEPARATOR,
		BK_2_diag_status,
		BK_2_diag_error,
		BK_2_diag_error_extend
	}
}

MENU Group_BK_2_redundancy
{
	LABEL	[Redundanz];
	ITEMS
	{
		BK_2_red_active,
		BK_2_red_primary,
		BK_2_red_status,
		SEPARATOR,
		BK_2_red_internal,
		BK_2_red_profibus,
		BK_2_red_localbus
	}
}


/*-----------------------------------------------------------------------------*/
/*----	HCiR - Status ---------------------------------------------------------*/
/*-----------------------------------------------------------------------------*/

VARIABLE    Loc_P0_Slot
{
     LABEL     [P0_Slot0];
     HELP      [P0_Slot0_help];
     TYPE      UNSIGNED_INTEGER(1)
     {
        DEFAULT_VALUE	1;
		MIN_VALUE		1;
		MAX_VALUE		48;
     }						
    CLASS		LOCAL;
    HANDLING	READ;
}

/*
VARIABLE Loc_modul_status_HCIR_1
{
    LABEL		[P0_Slot0] + " " + (ARRAY_INDEX);
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,		[off]			},
		{ 1,		[HCIR_insert]	},
		{ 2,		[HCIR_delete]	}
	}
	CLASS		LOCAL;
	HANDLING	READ;
}


ARRAY	Loc_modul_status_HCIR
{
	NUMBER_OF_ELEMENTS	49;
	TYPE	Loc_modul_status_HCIR_1;
}
*/
/*
METHOD	method_read_HCIR (int nSlot)
{
	DEFINITION
	{
		if ((nSlot < Loc_P0_Slot.MIN_VALUE) || (nSlot > Loc_P0_Slot.MAX_VALUE))
			process_abort();

		Loc_P0_Slot = nSlot;
		ReadCommand(read_HCIR_slot);
	}
}
*/	

/*-----------------------------------------------------------------------------*/

MENU	OnlineWindow_diagnosis_2
{
	LABEL		[menu_module_diagnosis];		
	HELP		[menu_module_diagnosis_help];
	ITEMS
	{
		IF (P0_BK_Option_System == 0)		//LB
		{
			SELECT (P0_BK_Option_LBAufbau) 		
			{						
				CASE 0:	
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_1	
						CASE 1:	Page_module_state_1, Page_module_state_2	
						CASE 2:	Page_module_state_1, Page_module_state_2, Page_module_state_3
						CASE 3:	Page_module_state_1, Page_module_state_2, Page_module_state_3,
								Page_module_state_4
						CASE 4:	Page_module_state_1, Page_module_state_2, Page_module_state_3,
								Page_module_state_4, Page_module_state_5
						CASE 5:	Page_module_state_1, Page_module_state_2, Page_module_state_3,
								Page_module_state_4, Page_module_state_5, Page_module_state_6
					}
				}
				CASE 1:		
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_7	
						CASE 1:	Page_module_state_7, Page_module_state_2	
						CASE 2:	Page_module_state_7, Page_module_state_2, Page_module_state_3
						CASE 3:	Page_module_state_7, Page_module_state_2, Page_module_state_3,
								Page_module_state_4
						CASE 4:	Page_module_state_7, Page_module_state_2, Page_module_state_3,
								Page_module_state_4, Page_module_state_5
						CASE 5:	Page_module_state_7, Page_module_state_2, Page_module_state_3,
								Page_module_state_4, Page_module_state_5, Page_module_state_6
					}
				}
				CASE 2:		
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_8	
						CASE 1:	Page_module_state_8, Page_module_state_9	
					}
				}
				CASE 3:	
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_1	
						CASE 1:	Page_module_state_1, Page_module_state_2	
					}
				}			
				CASE 4:
								{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_16	
						CASE 1:	Page_module_state_16, Page_module_state_17	
					}
				}
				CASE 5:
								{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Page_module_state_18	
					}
				}
			}
		}
		ELSE
		{
			SELECT (P0_BK_Option_FBAufbau) 		
			{						
				CASE 0:	Page_module_state_11, Page_module_state_12
				CASE 1:	Page_module_state_11, Page_module_state_12,
						Page_module_state_13, Page_module_state_14
				CASE 2:	Page_module_state_15
			}
		}
	}
}

MENU Page_module_state_1
{
	LABEL		[menu_config_slot_1];
	ITEMS
	{
		P0_Type_Slot_1,
		P0_Type_Slot_2,
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		SEPARATOR,
		modul_status_active_1,
		modul_status_active_2,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		SEPARATOR,
		modul_status_error_1,
		modul_status_error_2,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8
	}
}

MENU Page_module_state_2
{
	LABEL		[menu_config_slot_2];
	ITEMS
	{
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		P0_Type_Slot_11,
		P0_Type_Slot_12,
		P0_Type_Slot_13,
		P0_Type_Slot_14,
		P0_Type_Slot_15,
		P0_Type_Slot_16,
		SEPARATOR,
		modul_status_active_9,
		modul_status_active_10,
		modul_status_active_11,
		modul_status_active_12,
		modul_status_active_13,
		modul_status_active_14,
		modul_status_active_15,
		modul_status_active_16,
		SEPARATOR,
		modul_status_error_9,
		modul_status_error_10,
		modul_status_error_11,
		modul_status_error_12,
		modul_status_error_13,
		modul_status_error_14,
		modul_status_error_15,
		modul_status_error_16
	}
}

MENU Page_module_state_3
{
	LABEL		[menu_config_slot_3];
	ITEMS
	{
		P0_Type_Slot_17,
		P0_Type_Slot_18,
		P0_Type_Slot_19,
		P0_Type_Slot_20,
		P0_Type_Slot_21,
		P0_Type_Slot_22,
		P0_Type_Slot_23,
		P0_Type_Slot_24,
		SEPARATOR,
		modul_status_active_17,
		modul_status_active_18,
		modul_status_active_19,
		modul_status_active_20,
		modul_status_active_21,
		modul_status_active_22,
		modul_status_active_23,
		modul_status_active_24,
		SEPARATOR,
		modul_status_error_17,
		modul_status_error_18,
		modul_status_error_19,
		modul_status_error_20,
		modul_status_error_21,
		modul_status_error_22,
		modul_status_error_23,
		modul_status_error_24
	}
}

MENU Page_module_state_4
{
	LABEL		[menu_config_slot_4];
	ITEMS
	{
		P0_Type_Slot_25,
		P0_Type_Slot_26,
		P0_Type_Slot_27,
		P0_Type_Slot_28,
		P0_Type_Slot_29,
		P0_Type_Slot_30,
		P0_Type_Slot_31,
		P0_Type_Slot_32,
		SEPARATOR,
		modul_status_active_25,
		modul_status_active_26,
		modul_status_active_27,
		modul_status_active_28,
		modul_status_active_29,
		modul_status_active_30,
		modul_status_active_31,
		modul_status_active_32,
		SEPARATOR,
		modul_status_error_25,
		modul_status_error_26,
		modul_status_error_27,
		modul_status_error_28,
		modul_status_error_29,
		modul_status_error_30,
		modul_status_error_31,
		modul_status_error_32
	}
}

MENU Page_module_state_5
{
	LABEL		[menu_config_slot_5];
	ITEMS
	{
		P0_Type_Slot_33,
		P0_Type_Slot_34,
		P0_Type_Slot_35,
		P0_Type_Slot_36,
		P0_Type_Slot_37,
		P0_Type_Slot_38,
		P0_Type_Slot_39,
		P0_Type_Slot_40,
		SEPARATOR,
		modul_status_active_33,
		modul_status_active_34,
		modul_status_active_35,
		modul_status_active_36,
		modul_status_active_37,
		modul_status_active_38,
		modul_status_active_39,
		modul_status_active_40,
		SEPARATOR,
		modul_status_error_33,
		modul_status_error_34,
		modul_status_error_35,
		modul_status_error_36,
		modul_status_error_37,
		modul_status_error_38,
		modul_status_error_39,
		modul_status_error_40
	}
}

MENU Page_module_state_6
{
	LABEL		[menu_config_slot_6];
	ITEMS
	{
		P0_Type_Slot_41,
		P0_Type_Slot_42,
		P0_Type_Slot_43,
		P0_Type_Slot_44,
		P0_Type_Slot_45,
		P0_Type_Slot_46,
		P0_Type_Slot_47,
		P0_Type_Slot_48,
		SEPARATOR,
		modul_status_active_41,
		modul_status_active_42,
		modul_status_active_43,
		modul_status_active_44,
		modul_status_active_45,
		modul_status_active_46,
		modul_status_active_47,
		modul_status_active_48,
		SEPARATOR,
		modul_status_error_41,
		modul_status_error_42,
		modul_status_error_43,
		modul_status_error_44,
		modul_status_error_45,
		modul_status_error_46,
		modul_status_error_47,
		modul_status_error_48
	}
}

MENU Page_module_state_7
{
	LABEL		[menu_config_slot_7];
	ITEMS
	{
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		SEPARATOR,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		SEPARATOR,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
	}
}

MENU Page_module_state_8
{
	LABEL		[menu_config_slot_8];
	ITEMS
	{
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		P0_Type_Slot_11,
		P0_Type_Slot_12,
		P0_Type_Slot_13,
		P0_Type_Slot_14,
		P0_Type_Slot_15,
		P0_Type_Slot_16,
		P0_Type_Slot_17,
		P0_Type_Slot_18,
		P0_Type_Slot_19,
		P0_Type_Slot_20,
		P0_Type_Slot_21,
		P0_Type_Slot_22,
		P0_Type_Slot_23,
		P0_Type_Slot_24,
		SEPARATOR,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		modul_status_active_9,
		modul_status_active_10,
		modul_status_active_11,
		modul_status_active_12,
		modul_status_active_13,
		modul_status_active_14,
		modul_status_active_15,
		modul_status_active_16,
		modul_status_active_17,
		modul_status_active_18,
		modul_status_active_19,
		modul_status_active_20,
		modul_status_active_21,
		modul_status_active_22,
		modul_status_active_23,
		modul_status_active_24,
		SEPARATOR,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
		modul_status_error_9,
		modul_status_error_10,
		modul_status_error_11,
		modul_status_error_12,
		modul_status_error_13,
		modul_status_error_14,
		modul_status_error_15,
		modul_status_error_16,
		modul_status_error_17,
		modul_status_error_18,
		modul_status_error_19,
		modul_status_error_20,
		modul_status_error_21,
		modul_status_error_22,
		modul_status_error_23,
		modul_status_error_24
	}
}

MENU Page_module_state_9
{
	LABEL		[menu_config_slot_9];
	ITEMS
	{
		P0_Type_Slot_25,
		P0_Type_Slot_26,
		P0_Type_Slot_27,
		P0_Type_Slot_28,
		P0_Type_Slot_29,
		P0_Type_Slot_30,
		P0_Type_Slot_31,
		P0_Type_Slot_32,
		P0_Type_Slot_33,
		P0_Type_Slot_34,
		P0_Type_Slot_35,
		P0_Type_Slot_36,
		P0_Type_Slot_37,
		P0_Type_Slot_38,
		P0_Type_Slot_39,
		P0_Type_Slot_40,
		P0_Type_Slot_41,
		P0_Type_Slot_42,
		P0_Type_Slot_43,
		P0_Type_Slot_44,
		P0_Type_Slot_45,
		P0_Type_Slot_46,
		P0_Type_Slot_47,
		P0_Type_Slot_48,
		SEPARATOR,
		modul_status_active_25,
		modul_status_active_26,
		modul_status_active_27,
		modul_status_active_28,
		modul_status_active_29,
		modul_status_active_30,
		modul_status_active_31,
		modul_status_active_32,
		modul_status_active_33,
		modul_status_active_34,
		modul_status_active_35,
		modul_status_active_36,
		modul_status_active_37,
		modul_status_active_38,
		modul_status_active_39,
		modul_status_active_40,
		modul_status_active_41,
		modul_status_active_42,
		modul_status_active_43,
		modul_status_active_44,
		modul_status_active_45,
		modul_status_active_46,
		modul_status_active_47,
		modul_status_active_48,
		SEPARATOR,
		modul_status_error_25,
		modul_status_error_26,
		modul_status_error_27,
		modul_status_error_28,
		modul_status_error_29,
		modul_status_error_30,
		modul_status_error_31,
		modul_status_error_32,
		modul_status_error_33,
		modul_status_error_34,
		modul_status_error_35,
		modul_status_error_36,
		modul_status_error_37,
		modul_status_error_38,
		modul_status_error_39,
		modul_status_error_40,
		modul_status_error_41,
		modul_status_error_42,
		modul_status_error_43,
		modul_status_error_44,
		modul_status_error_45,
		modul_status_error_46,
		modul_status_error_47,
		modul_status_error_48
	}
}

MENU Page_module_state_11
{
	LABEL		[menu_config_slot_11];
	ITEMS
	{
		P0_Type_Slot_1,
		P0_Type_Slot_2,
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		P0_Type_Slot_11,
		P0_Type_Slot_12,
		SEPARATOR,
		modul_status_active_1,
		modul_status_active_2,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		modul_status_active_9,
		modul_status_active_10,
		modul_status_active_11,
		modul_status_active_12,
		SEPARATOR,
		modul_status_error_1,
		modul_status_error_2,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
		modul_status_error_9,
		modul_status_error_10,
		modul_status_error_11,
		modul_status_error_12
	}
}

MENU Page_module_state_12
{
	LABEL		[menu_config_slot_12];
	ITEMS
	{
		P0_Type_Slot_13,
		P0_Type_Slot_14,
		P0_Type_Slot_15,
		P0_Type_Slot_16,
		P0_Type_Slot_17,
		P0_Type_Slot_18,
		P0_Type_Slot_19,
		P0_Type_Slot_20,
		P0_Type_Slot_21,
		P0_Type_Slot_22,
		P0_Type_Slot_23,
		P0_Type_Slot_24,
		SEPARATOR,
		modul_status_active_13,
		modul_status_active_14,
		modul_status_active_15,
		modul_status_active_16,
		modul_status_active_17,
		modul_status_active_18,
		modul_status_active_19,
		modul_status_active_20,
		modul_status_active_21,
		modul_status_active_22,
		modul_status_active_23,
		modul_status_active_24,
		SEPARATOR,
		modul_status_error_13,
		modul_status_error_14,
		modul_status_error_15,
		modul_status_error_16,
		modul_status_error_17,
		modul_status_error_18,
		modul_status_error_19,
		modul_status_error_20,
		modul_status_error_21,
		modul_status_error_22,
		modul_status_error_23,
		modul_status_error_24
	}
}

MENU Page_module_state_13
{
	LABEL		[menu_config_slot_13];
	ITEMS
	{
		P0_Type_Slot_25,
		P0_Type_Slot_26,
		P0_Type_Slot_27,
		P0_Type_Slot_28,
		P0_Type_Slot_29,
		P0_Type_Slot_30,
		P0_Type_Slot_31,
		P0_Type_Slot_32,
		P0_Type_Slot_33,
		P0_Type_Slot_34,
		P0_Type_Slot_35,
		P0_Type_Slot_36,
		SEPARATOR,
		modul_status_active_25,
		modul_status_active_26,
		modul_status_active_27,
		modul_status_active_28,
		modul_status_active_29,
		modul_status_active_30,
		modul_status_active_31,
		modul_status_active_32,
		modul_status_active_33,
		modul_status_active_34,
		modul_status_active_35,
		modul_status_active_36,
		SEPARATOR,
		modul_status_error_25,
		modul_status_error_26,
		modul_status_error_27,
		modul_status_error_28,
		modul_status_error_29,
		modul_status_error_30,
		modul_status_error_31,
		modul_status_error_32,
		modul_status_error_33,
		modul_status_error_34,
		modul_status_error_35,
		modul_status_error_36
	}
}

MENU Page_module_state_14
{
	LABEL		[menu_config_slot_14];
	ITEMS
	{
		P0_Type_Slot_37,
		P0_Type_Slot_38,
		P0_Type_Slot_39,
		P0_Type_Slot_40,
		P0_Type_Slot_41,
		P0_Type_Slot_42,
		P0_Type_Slot_43,
		P0_Type_Slot_44,
		P0_Type_Slot_45,
		P0_Type_Slot_46,
		P0_Type_Slot_47,
		P0_Type_Slot_48,
		SEPARATOR,
		modul_status_active_37,
		modul_status_active_38,
		modul_status_active_39,
		modul_status_active_40,
		modul_status_active_41,
		modul_status_active_42,
		modul_status_active_43,
		modul_status_active_44,
		modul_status_active_45,
		modul_status_active_46,
		modul_status_active_47,
		modul_status_active_48,
		SEPARATOR,
		modul_status_error_37,
		modul_status_error_38,
		modul_status_error_39,
		modul_status_error_40,
		modul_status_error_41,
		modul_status_error_42,
		modul_status_error_43,
		modul_status_error_44,
		modul_status_error_45,
		modul_status_error_46,
		modul_status_error_47,
		modul_status_error_48
	}
}

MENU Page_module_state_15
{
	LABEL		[menu_config_slot_15];
	ITEMS
	{
		P0_Type_Slot_1,
		P0_Type_Slot_2,
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		SEPARATOR,
		modul_status_active_1,
		modul_status_active_2,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		modul_status_active_9,
		modul_status_active_10,
		SEPARATOR,
		modul_status_error_1,
		modul_status_error_2,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
		modul_status_error_9,
		modul_status_error_10
	}
}
 
MENU Page_module_state_16
{
	LABEL		[menu_config_slot_16];
	ITEMS
	{
		P0_Type_Slot_1,
		P0_Type_Slot_2,
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		P0_Type_Slot_11,
		P0_Type_Slot_12,
		P0_Type_Slot_13,
		P0_Type_Slot_14,
		P0_Type_Slot_15,
		P0_Type_Slot_16,
		SEPARATOR,
		modul_status_active_1,
		modul_status_active_2,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		modul_status_active_9,
		modul_status_active_10,
		modul_status_active_11,
		modul_status_active_12,
		modul_status_active_13,
		modul_status_active_14,
		modul_status_active_15,
		modul_status_active_16,
		SEPARATOR,
		modul_status_error_1,
		modul_status_error_2,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
		modul_status_error_9,
		modul_status_error_10,
		modul_status_error_11,
		modul_status_error_12,
		modul_status_error_13,
		modul_status_error_14,
		modul_status_error_15,
		modul_status_error_16
	}
}

MENU Page_module_state_17
{
	LABEL		[menu_config_slot_17];
	ITEMS
	{
		P0_Type_Slot_17,
		P0_Type_Slot_18,
		P0_Type_Slot_19,
		P0_Type_Slot_20,
		P0_Type_Slot_21,
		P0_Type_Slot_22,
		P0_Type_Slot_23,
		P0_Type_Slot_24,
		P0_Type_Slot_25,
		P0_Type_Slot_26,
		P0_Type_Slot_27,
		P0_Type_Slot_28,
		P0_Type_Slot_29,
		P0_Type_Slot_30,
		P0_Type_Slot_31,
		P0_Type_Slot_32,
		SEPARATOR,
		modul_status_active_17,
		modul_status_active_18,
		modul_status_active_19,
		modul_status_active_20,
		modul_status_active_21,
		modul_status_active_22,
		modul_status_active_23,
		modul_status_active_24,
		modul_status_active_25,
		modul_status_active_26,
		modul_status_active_27,
		modul_status_active_28,
		modul_status_active_29,
		modul_status_active_30,
		modul_status_active_31,
		modul_status_active_32,
		SEPARATOR,
		modul_status_error_17,
		modul_status_error_18,
		modul_status_error_19,
		modul_status_error_20,
		modul_status_error_21,
		modul_status_error_22,
		modul_status_error_23,
		modul_status_error_24,
		modul_status_error_25,
		modul_status_error_26,
		modul_status_error_27,
		modul_status_error_28,
		modul_status_error_29,
		modul_status_error_30,
		modul_status_error_31,
		modul_status_error_32
	}
}

MENU Page_module_state_18
{
	LABEL		[menu_config_slot_18];
	ITEMS
	{
		P0_Type_Slot_3,
		P0_Type_Slot_4,
		P0_Type_Slot_5,
		P0_Type_Slot_6,
		P0_Type_Slot_7,
		P0_Type_Slot_8,
		P0_Type_Slot_9,
		P0_Type_Slot_10,
		P0_Type_Slot_11,
		P0_Type_Slot_12,
		P0_Type_Slot_13,
		P0_Type_Slot_14,
		SEPARATOR,
		modul_status_active_3,
		modul_status_active_4,
		modul_status_active_5,
		modul_status_active_6,
		modul_status_active_7,
		modul_status_active_8,
		modul_status_active_9,
		modul_status_active_10,
		modul_status_active_11,
		modul_status_active_12,
		modul_status_active_13,
		modul_status_active_14,
		SEPARATOR,
		modul_status_error_3,
		modul_status_error_4,
		modul_status_error_5,
		modul_status_error_6,
		modul_status_error_7,
		modul_status_error_8,
		modul_status_error_9,
		modul_status_error_10,
		modul_status_error_11,
		modul_status_error_12,
		modul_status_error_13,
		modul_status_error_14
	}
}


/*-----------------------------------------------------------------------------*/

MENU OnlineWindow_param_state
{
	LABEL		[OnlineWindow_param_state];		
	ITEMS
	{
		Page_param_state
	}
}

MENU Page_param_state
{
	LABEL		[Page_param_state];
	ITEMS
	{
		param_state1_active,
		param_state1_equal,
		param_state1_config,
		SEPARATOR,
		param_state2_active,
		param_state2_equal,
		param_state2_config
	}
}

/*-----------------------------------------------------------------------------*/

MENU OnlineWindow_PowerOption
{
	LABEL		[OnlineWindow_PowerOption];		
	ITEMS
	{
		IF (P0_BK_Option_System == 0)
		{
			Page_PowerOption_LB
		}
		ELSE
		{
			Page_PowerOption_FB
		}
	}
}

MENU Page_PowerOption_LB
{
	LABEL		[Page_PowerOption];
	ITEMS
	{
		P0_BK_Power_Option_Dummy_Auswertung,
		P0_BK_Power_Option1_Auswertung,
		P0_BK_Power_Option2_Auswertung,
		P0_BK_Power_Option3_Auswertung,
		P0_BK_Power_Option4_Auswertung,
		P0_BK_Power_Option5_Auswertung,
		P0_BK_Power_Option6_Auswertung
	}
}

MENU Page_PowerOption_FB
{
	LABEL		[Page_PowerOption];
	ITEMS
	{
		P0_BK_Power_Option_Dummy_Auswertung,
		P0_BK_Power_Option1_Auswertung,
		P0_BK_Power_Option2_Auswertung,
		P0_BK_Power_Option3_Auswertung,
		P0_BK_Power_Option4_Auswertung
	}
}

/*******************************************************************************/
/*****	Variablen **************************************************************/
/*******************************************************************************/

VARIABLE Loc_BK_connected
{
	LABEL		[BK_connect];		
	CLASS		LOCAL;
	TYPE		ASCII (60);
	PRE_EDIT_ACTIONS
	{
		DEFINITION
		{
			if ((P0_BK_Channel != 2) || (BK_1_red_primary == 1))
			{
				Loc_BK_connected = [Buskoppler1];
			}
			else
			{
				Loc_BK_connected = [Buskoppler2];
			}
		}
	}
	HANDLING	READ;
}

VARIABLE modul_status_active_1
{
	LABEL		[P0_Option_Modul_1];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
/*		{	0,	[Fehlercode0]	},
		{	1,	[Fehlercode1]	},
		{	2,	[Fehlercode2]	},
		{	3,	[Fehlercode3]	},
		{	4,	[Fehlercode4]	},
		{	5,	[Fehlercode5]	},
		{	6,	[Fehlercode6]	},
		{	7,	[Fehlercode7]	},
		{	8,	[Fehlercode8]	},
		{	9,	[Fehlercode9]	},
		{	10,	[Fehlercode10]	},
		{	11,	[Fehlercode11]	},
		{	12,	[Fehlercode12]	},
		{	13,	[Fehlercode13]	},
		{	14,	[Fehlercode14]	},
		{	15,	[Fehlercode15]	}
*/	}
	HANDLING	READ;
}

modul_status_active_2	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_2];
}

modul_status_active_3	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_3];
}

modul_status_active_4	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_4];
}

modul_status_active_5	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_5];
}

modul_status_active_6	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_6];
}

modul_status_active_7	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_7];
}

modul_status_active_8	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_8];
}

modul_status_active_9	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_9];
}

modul_status_active_10	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_10];
}

modul_status_active_11	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_11];
}

modul_status_active_12	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_12];
}

modul_status_active_13	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_13];
}

modul_status_active_14	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_14];
}

modul_status_active_15	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_15];
}

modul_status_active_16	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_16];
}

modul_status_active_17	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_17];
}

modul_status_active_18	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_18];
}

modul_status_active_19	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_19];
}

modul_status_active_20	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_20];
}

modul_status_active_21	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_21];
}

modul_status_active_22	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_22];
}

modul_status_active_23	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_23];
}

modul_status_active_24	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_24];
}

modul_status_active_25	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_25];
}

modul_status_active_26	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_26];
}

modul_status_active_27	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_27];
}

modul_status_active_28	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_28];
}

modul_status_active_29	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_29];
}

modul_status_active_30	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_30];
}

modul_status_active_31	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_31];
}

modul_status_active_32	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_32];
}

modul_status_active_33	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_33];
}

modul_status_active_34	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_34];
}

modul_status_active_35	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_35];
}

modul_status_active_36	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_36];
}

modul_status_active_37	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_37];
}

modul_status_active_38	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_38];
}

modul_status_active_39	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_39];
}

modul_status_active_40	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_40];
}

modul_status_active_41	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_41];
}

modul_status_active_42	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_42];
}

modul_status_active_43	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_43];
}

modul_status_active_44	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_44];
}

modul_status_active_45	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_45];
}

modul_status_active_46	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_46];
}

modul_status_active_47	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_47];
}

modul_status_active_48	LIKE	VARIABLE	modul_status_active_1
{
    REDEFINE    LABEL   [P0_Option_Modul_48];
}


VARIABLE modul_status_error_1
{
	LABEL		[status_1];		
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0,	[no_error]					},
		{	1,	[time_out_not_installed]	},
		{	2,	[error_internal]			},
		{	3,	[error_internal]			},
		{	4,	[error_internal]			},
		{	5,	[error_internal]			},
		{	6,	[error_internal]			},
		{	7,	[modul_DUMMY_1]				},
		{	8,	[modul_DUMMY_1]				},
		{	9,	[wrong_type_installed]		},
		{	10,	[line_fault]				},
		{	11,	[module_error]				},
		{	12,	[modul_DUMMY_1]				},
		{	13,	[modul_DUMMY_1]				},
		{	14,	[modul_DUMMY_1]				},
		{	15,	[modul_DUMMY_1]				}
	}
	HANDLING	READ;
}


modul_status_error_2	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_2];
}

modul_status_error_3	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_3];
}

modul_status_error_4	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_4];
}

modul_status_error_5	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_5];
}

modul_status_error_6	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_6];
}

modul_status_error_7	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_7];
}

modul_status_error_8	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_8];
}

modul_status_error_9	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_9];
}

modul_status_error_10	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_10];
}

modul_status_error_11	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_11];
}

modul_status_error_12	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_12];
}

modul_status_error_13	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_13];
}

modul_status_error_14	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_14];
}

modul_status_error_15	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_15];
}

modul_status_error_16	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_16];
}

modul_status_error_17	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_17];
}

modul_status_error_18	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_18];
}

modul_status_error_19	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_19];
}

modul_status_error_20	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_20];
}

modul_status_error_21	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_21];
}

modul_status_error_22	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_22];
}

modul_status_error_23	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_23];
}

modul_status_error_24	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_24];
}

modul_status_error_25	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_25];
}

modul_status_error_26	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_26];
}

modul_status_error_27	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_27];
}

modul_status_error_28	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_28];
}

modul_status_error_29	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_29];
}

modul_status_error_30	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_30];
}

modul_status_error_31	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_31];
}

modul_status_error_32	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_32];
}

modul_status_error_33	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_33];
}

modul_status_error_34	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_34];
}

modul_status_error_35	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_35];
}

modul_status_error_36	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_36];
}

modul_status_error_37	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_37];
}

modul_status_error_38	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_38];
}

modul_status_error_39	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_39];
}

modul_status_error_40	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_40];
}

modul_status_error_41	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_41];
}

modul_status_error_42	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_42];
}

modul_status_error_43	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_43];
}

modul_status_error_44	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_44];
}

modul_status_error_45	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_45];
}

modul_status_error_46	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_46];
}

modul_status_error_47	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_47];
}

modul_status_error_48	LIKE	VARIABLE	modul_status_error_1
{
    REDEFINE    LABEL   [status_48];
}

/*-----------------------------------------------------------------------------*/
/*----	Buskoppler 1 ----------------------------------------------------------*/
/*-----------------------------------------------------------------------------*/

VARIABLE BK_1_diag_active
{
	LABEL		[Buskoppler];		
	HELP		[BK_status_active_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{	0,	[passive]		},
		{	1,	[active]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_diag_simulation
{
	LABEL		[simulation];		
	HELP		[BK_status_simulation_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{	0,	[off]					},
		{	1,	[BK_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE BK_1_diag_status
{
	LABEL		[status];		
	HELP		[BK_status_error_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		{ 	0x0000,	[no_error]				},
		{	0x0001,	[communication_error]	},
		{	0x0002,	[internal_error]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_diag_error
{
	LABEL		[error];		
	HELP		[BK_status_error_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{ 0x0000,	[no_error]					},
		{ 0x0001,	[memory_error_PIC_RAM]		},
		{ 0x0002,	[memory_error_PIC_Register]	},
		{ 0x0003,	[memory_error_PIC_FLASH]	},
		{ 0x0004,	[internal_error_PIC]		},
		{ 0x0005,	[command_error_PIC]			},
		{ 0x0006,	[module_related_error]		},
		{ 0x0007,	[power_supply]				},
		{ 0x0008,	[memory_error_MOT_RAM]		},
		{ 0x0009,	[memory_error_MOT_FLASH]	},
		{ 0x000A,	[internal_error_PIC]		},
		{ 0x000B,	[internal_error_PIC]		},
		{ 0x000C,	[redundancy_error]			},
		{ 0x000D,	[redundancy_error]			},
		{ 0x000E,	[redundancy_error]			},
		{ 0x000F,	[internal_error]			}
	}
	HANDLING	READ;
}

VARIABLE BK_1_diag_error_extend
{
	LABEL		[error_extend];		
	HELP		[BK_status_error_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DISPLAY_FORMAT	"x";
	}
	HANDLING	READ;
}


VARIABLE BK_1_red_active
{
	LABEL		[Redundanz];		
	HELP		[BK_red_active_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{	0,	[passive]		},
		{	1,	[active]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_red_primary
{
	LABEL		[P0_Slot0];		
	HELP		[BK_red_primary_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{	0,	[secondary]		},
		{	1,	[pimary]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_red_internal
{
	LABEL		[BK_internal];		
	HELP		[BK_internal_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{ 0x00,	[off]					},
		{ 0x01,	[redundancy_error]		},
		{ 0x02,	[slave]					},
		{ 0x03,	[master]				}
	}
	HANDLING	READ;
}

VARIABLE BK_1_red_profibus
{
	LABEL		[BK_profibus];		
	HELP		[BK_profibus_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{ 0x00,	[offline]		},
		{ 0x01,	[bad_comm]		},
		{ 0x02,	[not_ready]		},
		{ 0x03,	[online]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_red_localbus
{
	LABEL		[BK_localbus];		
	HELP		[BK_localbus_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{ 0x00,	[off]					},
		{ 0x01,	[BK_localbus_passive_0]	},
		{ 0x02,	[passive]				},
		{ 0x03,	[BK_localbus_forced]	},
		{ 0x04,	[BK_localbus_no_slots]	},
		{ 0x05,	[redundancy_error]		},
		{ 0x06,	[active]				},
		{ 0x07,	[BK_localbus_single]	}
	}
	HANDLING	READ;
}

VARIABLE BK_1_red_status
{
	LABEL		[status];		
	HELP		[BK_red_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED (2)
	{
		{ 0x00,	[out_of_service]		},
		{ 0x01,	[BK_red_init]			},
		{ 0x02,	[error]					},
		{ 0x03,	[BK_red_alone]			},
		{ 0x04,	[no_error]				},
		{ 0x05,	[BK_red_param_read]		},
		{ 0x06,	[BK_red_param_write]	},
		{ 0x07,	[BK_red_param_rw]		},
		{ 0x08,	[BK_red_DP_param]		}
	}
	HANDLING	READ;
}

VARIABLE BK_1_DP_status
{
	LABEL		[BK_profibus_status];		
	HELP		[BK_profibus_status_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		BIT_ENUMERATED (2)
	{
		{ 	0x0000,	[no_error]					},
		{	0x0001,	[BK_DP_timeout]				},
		{	0x0002,	[BK_DP_clear]				},
		{	0x0004,	[BK_DP_leave]				},
		{	0x0008,	[BK_DP_baudrate_found]		},
		{	0x0010,	[BK_DP_freeze]				},
		{	0x0020,	[BK_DP_sync]				},
		{	0x0040,	[BK_DP_output_new]			},
		{	0x0080,	[BK_DP_data_exchange]		},
		{	0x0100,	[BK_DP_not_used]			},
		{	0x0200,	[bad_comm]					},
		{	0x4000,	[BK_DP_err_local_gateway]	},
		{	0x8000,	[BK_DP_err_remote_gateway]	}
	}
	HANDLING	READ;
}

VARIABLE BK_1_CRC_Check
{
	LABEL		[BK_CRC_check];
	HELP		[BK_CRC_check_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DISPLAY_FORMAT	"x";
	}
	HANDLING	READ;
}


VARIABLE BK_1_cycle_counter
{
	LABEL		[BK_cycle_counter];
	HELP		[BK_cycle_counter_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2)
	{
		DISPLAY_FORMAT	"x";
	}
	HANDLING	READ;
}


/*-----------------------------------------------------------------------------*/
/*----	Buskoppler 2 ----------------------------------------------------------*/
/*-----------------------------------------------------------------------------*/

BK_2_diag_active		LIKE	VARIABLE	BK_1_diag_active
{
}

BK_2_diag_simulation	LIKE	VARIABLE	BK_1_diag_simulation
{
}

BK_2_diag_status		LIKE	VARIABLE	BK_1_diag_status
{
}

BK_2_diag_error			LIKE	VARIABLE	BK_1_diag_error
{
}

BK_2_diag_error_extend	LIKE	VARIABLE	BK_1_diag_error_extend
{
}


BK_2_red_active			LIKE	VARIABLE	BK_1_red_active
{
}

BK_2_red_primary		LIKE	VARIABLE	BK_1_red_primary
{
}

BK_2_red_internal		LIKE	VARIABLE	BK_1_red_internal
{
}

BK_2_red_profibus		LIKE	VARIABLE	BK_1_red_profibus
{
}

BK_2_red_localbus		LIKE	VARIABLE	BK_1_red_localbus
{
}

BK_2_red_status			LIKE	VARIABLE	BK_1_red_status
{
}

BK_2_DP_status			LIKE	VARIABLE	BK_1_DP_status
{
}

BK_2_CRC_Check			LIKE	VARIABLE	BK_1_CRC_Check
{
}

BK_2_cycle_counter		LIKE	VARIABLE	BK_1_cycle_counter
{
}

// Parametersatz 1 und 2 auslesen

VARIABLE	param_state1_active
{
	LABEL		[param_state1_active];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[active]		}
	}
	HANDLING	READ;
}

VARIABLE    param_state1_dummy2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (3);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	param_state1_equal
{
	LABEL		[param_state1_equal];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[NOT_EQUAL]	},
		{	0x01,	[EQUAL]		}
	}
	HANDLING	READ;
}

VARIABLE    param_state1_dummy1
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (7);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	param_state1_config
{
	LABEL		[param_state1_config];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		DEFAULT_VALUE 0x1;
		{	0x0,	[valid]		},
		{	0x1,	[invalid]	},
		{	0x2,	[config]	},
		{	0x3,	[hcir]		}
	}
	HANDLING	READ;
}

VARIABLE	param_state2_active
{
	LABEL		[param_state2_active];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[active]		}
	}
	HANDLING	READ;
}

VARIABLE    param_state2_dummy2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (3);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	param_state2_equal
{
	LABEL		[param_state2_equal];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[NOT_EQUAL]	},
		{	0x01,	[EQUAL]		}
	}
	HANDLING	READ;
}

VARIABLE    param_state2_dummy1
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (7);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	param_state2_config
{
	LABEL		[param_state2_config];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		DEFAULT_VALUE 0x1;
		{	0x0,	[valid]		},
		{	0x1,	[invalid]	},
		{	0x2,	[config]	},
		{	0x3,	[hcir]		}
	}
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Kommandos **************************************************************/
/*******************************************************************************/

COMMAND read_BK_1_diagnosis
{
	SLOT		141;
	INDEX		0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			BK_1_diag_active				<0x8000>,
			BK_1_diag_simulation			<0x4000>,
			BK_1_diag_status				<0x3000>,
			BK_1_diag_error					<0x0F00>,
			BK_1_diag_error_extend			<0x00FF>,
			BK_1_red_active					<0x8000>,
			BK_1_red_primary				<0x4000>,
			BK_1_red_internal				<0x0C00>,
			BK_1_red_profibus				<0x0300>,
			BK_1_red_localbus				<0x0070>,
			BK_1_red_status					<0x000F>,
			BK_1_cycle_counter,
			BK_1_DP_status,
			0, 0, 
			0, 0,
			BK_1_CRC_Check,
			0, 0
		}
	}
}


COMMAND read_BK_2_diagnosis
{
	SLOT		142;
	INDEX		0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			BK_2_diag_active				<0x8000>,
			BK_2_diag_simulation			<0x4000>,
			BK_2_diag_status				<0x3000>,
			BK_2_diag_error					<0x0F00>,
			BK_2_diag_error_extend			<0x00FF>,
			BK_2_red_active					<0x8000>,
			BK_2_red_primary				<0x4000>,
			BK_2_red_internal				<0x0C00>,
			BK_2_red_profibus				<0x0300>,
			BK_2_red_localbus				<0x0070>,
			BK_2_red_status					<0x000F>,
			BK_2_cycle_counter,
			BK_2_DP_status,
			0, 0, 
			0, 0,
			BK_2_CRC_Check,
			0, 0
		}
	}
}

COMMAND read_modul_status_PowerOption
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
/*			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
*/			
//			P0_BK_Power_Option_Dummy2		<0x00C0>,                
			P0_BK_Power_Option_Dummy_Auswertung		<0xFF00>,                
			P0_BK_Power_Option_Dummy_Auswertung2	<0x00C0>,                
			P0_BK_Power_Option6_Auswertung			<0x0020>,                
			P0_BK_Power_Option5_Auswertung			<0x0010>,                
			P0_BK_Power_Option4_Auswertung			<0x0008>,                
			P0_BK_Power_Option3_Auswertung			<0x0004>,                
			P0_BK_Power_Option2_Auswertung			<0x0002>,                
			P0_BK_Power_Option1_Auswertung			<0x0001>              
		}
	}
}
COMMAND read_modul_status_slot_01_24
{
	SLOT		102;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active_1		<0xE000>,
			modul_status_error_1		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_2		<0xE000>,
			modul_status_error_2		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_3		<0xE000>,
			modul_status_error_3		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_4		<0xE000>,
			modul_status_error_4		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_5		<0xE000>,
			modul_status_error_5		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_6		<0xE000>,
			modul_status_error_6		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_7		<0xE000>,
			modul_status_error_7		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_8		<0xE000>,
			modul_status_error_8		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_9		<0xE000>,
			modul_status_error_9		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_10		<0xE000>,
			modul_status_error_10		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_11		<0xE000>,
			modul_status_error_11		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_12		<0xE000>,
			modul_status_error_12		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_13		<0xE000>,
			modul_status_error_13		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_14		<0xE000>,
			modul_status_error_14		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_15		<0xE000>,
			modul_status_error_15		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_16		<0xE000>,
			modul_status_error_16		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_17		<0xE000>,
			modul_status_error_17		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_18		<0xE000>,
			modul_status_error_18		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_19		<0xE000>,
			modul_status_error_19		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_20		<0xE000>,
			modul_status_error_20		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_21		<0xE000>,
			modul_status_error_21		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_22		<0xE000>,
			modul_status_error_22		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_23		<0xE000>,
			modul_status_error_23		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_24		<0xE000>,
			modul_status_error_24		<0x1F00>,
			Loc_dummy_word				<0x00FF>
		}
	}
}

COMMAND read_modul_status_slot_25_48
{
	SLOT		102;
	INDEX		25;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active_25		<0xE000>,
			modul_status_error_25		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_26		<0xE000>,
			modul_status_error_26		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_27		<0xE000>,
			modul_status_error_27		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_28		<0xE000>,
			modul_status_error_28		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_29		<0xE000>,
			modul_status_error_29		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_30		<0xE000>,
			modul_status_error_30		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_31		<0xE000>,
			modul_status_error_31		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_32		<0xE000>,
			modul_status_error_32		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_33		<0xE000>,
			modul_status_error_33		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_34		<0xE000>,
			modul_status_error_34		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_35		<0xE000>,
			modul_status_error_35		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_36		<0xE000>,
			modul_status_error_36		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_37		<0xE000>,
			modul_status_error_37		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_38		<0xE000>,
			modul_status_error_38		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_39		<0xE000>,
			modul_status_error_39		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_40		<0xE000>,
			modul_status_error_40		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_41		<0xE000>,
			modul_status_error_41		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_42		<0xE000>,
			modul_status_error_42		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_43		<0xE000>,
			modul_status_error_43		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_44		<0xE000>,
			modul_status_error_44		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_45		<0xE000>,
			modul_status_error_45		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_46		<0xE000>,
			modul_status_error_46		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_47		<0xE000>,
			modul_status_error_47		<0x1F00>,
			Loc_dummy_word				<0x00FF>,
			modul_status_active_48		<0xE000>,
			modul_status_error_48		<0x1F00>,
			Loc_dummy_word				<0x00FF>
		}
	}
}

COMMAND read_param_state
{
	SLOT		0;
	INDEX		47;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			param_state1_active		<0x80000000>,
			param_state1_dummy2		<0x70000000>,
			param_state1_equal		<0x08000000>,
			param_state1_dummy1		<0x07F00000>,
			param_state1_config		<0x000F0000>,

			param_state2_active		<0x00008000>,
			param_state2_dummy2		<0x00007000>,
			param_state2_equal		<0x00000800>,
			param_state2_dummy1		<0x000007F0>,
			param_state2_config		<0x0000000F>
		}
	}
}




