/*------------------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved          */
/*    Product:          SIMATIC PDM                                 */
/*                                                                  */
/*    Device:           P&F LB/FB-REMOTE IO                         */
/*    Description:      INCLUDE P&F BUS COUPLER Service Commands    */
/*                                                                  */
/*    Dictionary:       PFDP_DC_V6.dct                              */
/*                                                                  */
/*  $Revision:   1.6  $                                             */
/*  $Date:   11 Apr 2000 18:18:00  $                                */
/*------------------------------------------------------------------*/

MENU Menu_Device_Service
{
    LABEL       [service];
    ITEMS
    {
        method_warm_start,
        Dialog_Service_Monitor
    }
}

MENU    Dialog_Service_Monitor
{
    ACCESS  ONLINE;
    LABEL   [menu_service_monitor];
    HELP    [menu_service_monitor_help];
    ITEMS
    {
        Page_Service_Monitor
    }
}

MENU    Page_Service_Monitor
{
    LABEL   [menu_service_monitor];
    ITEMS
    {
        Loc_BK_connected,
        P0_BK_Tag                   (READ_ONLY),
        //P0_DA_Tag                   (READ_ONLY),	// fbi
        Loc_Monitor_Slot,
        Loc_Monitor_Index,
        Group_Slot_Data,
		method_set
    }
}

MENU    Group_Slot_Data
{
    ITEMS
    {
        P0_BK_Service_Dummy       (HIDDEN),
        Loc_Monitor_1,
        Loc_Monitor_2,
        Loc_Monitor_3,
        Loc_Monitor_4   
    }
}
/*
MENU    Group_Slot_Data
{
    ITEMS
    {
        P0_BK_Service_Dummy,
        P0_BK_Monitor_1,
        P0_BK_Monitor_2,
        P0_BK_Monitor_3,
        P0_BK_Monitor_4,
        P0_BK_Monitor_5,
        P0_BK_Monitor_6,
        P0_BK_Monitor_7,
        P0_BK_Monitor_8,
        P0_BK_Monitor_9,
        P0_BK_Monitor_10,
        P0_BK_Monitor_11,
        P0_BK_Monitor_12,
        P0_BK_Monitor_13,
        P0_BK_Monitor_14,
        P0_BK_Monitor_15,
        P0_BK_Monitor_16,
        P0_BK_Monitor_17,
        P0_BK_Monitor_18,
        P0_BK_Monitor_19,
        P0_BK_Monitor_20,
        P0_BK_Monitor_21,
        P0_BK_Monitor_22,
        P0_BK_Monitor_23,
        P0_BK_Monitor_24,
        P0_BK_Monitor_25,
        P0_BK_Monitor_26,
        P0_BK_Monitor_27,
        P0_BK_Monitor_28,
        P0_BK_Monitor_29,
        P0_BK_Monitor_30,
        P0_BK_Monitor_31,
        P0_BK_Monitor_32,
        P0_BK_Monitor_33,
        P0_BK_Monitor_34,
        P0_BK_Monitor_35,
        P0_BK_Monitor_36,
        P0_BK_Monitor_37,
        P0_BK_Monitor_38,
        P0_BK_Monitor_39,
        P0_BK_Monitor_40,
        P0_BK_Monitor_41,
        P0_BK_Monitor_42,
        P0_BK_Monitor_43,
        P0_BK_Monitor_44,
        P0_BK_Monitor_45,
        P0_BK_Monitor_46,
        P0_BK_Monitor_47,
        P0_BK_Monitor_48,
        P0_BK_Monitor_49,
        P0_BK_Monitor_50,
        P0_BK_Monitor_51,
        P0_BK_Monitor_52,
        P0_BK_Monitor_53,
        P0_BK_Monitor_54,
        P0_BK_Monitor_55,
        P0_BK_Monitor_56,
        P0_BK_Monitor_57,
        P0_BK_Monitor_58,
        P0_BK_Monitor_59,
        P0_BK_Monitor_60,
        P0_BK_Monitor_61,
        P0_BK_Monitor_62,
        P0_BK_Monitor_63,
        P0_BK_Monitor_64,
        Loc_Monitor_1,
        Loc_Monitor_2,
        Loc_Monitor_3,
        Loc_Monitor_4   
    }
}
*/
/*******************************************************************************/
/*****  Variables  *************************************************************/
/*******************************************************************************/
/*
VARIABLE    P0_BK_Service_Command
{
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ & WRITE;
}
*/
VARIABLE    P0_BK_Service_Command1
{
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Service_Command2
{
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Service_Command3
{
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Service_HResult
{
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (4);
    HANDLING    READ & WRITE;
}


VARIABLE    P0_BK_Service_Dummy
{
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED & DYNAMIC & HIDDEN;
    HANDLING    READ;
    POST_READ_ACTIONS
    {
        method_read_monitor
    }
}

VARIABLE    Loc_Monitor_Slot
{
    LABEL       "Slot";
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE       0;
        MAX_VALUE       255;
        DEFAULT_VALUE   141;
    }
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
}

VARIABLE    Loc_Monitor_Index
{
    LABEL       "Index";
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE       0;
        MAX_VALUE       255;
        DEFAULT_VALUE   0;
    }
    CLASS       LOCAL;
    HANDLING    READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_read_monitor
	}
}


VARIABLE    P0_BK_Monitor_1
{
    LABEL       [menu_service_monitor];
    TYPE        UNSIGNED_INTEGER(1);
    CLASS       CONTAINED & HIDDEN;
    HANDLING    READ;
}

P0_BK_Monitor_2     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_3     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_4     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_5     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_6     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_7     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_8     LIKE VARIABLE    P0_BK_Monitor_1
{                   
}                   
                    
P0_BK_Monitor_9     LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_10    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_11    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_12    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_13    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_14    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_15    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_16    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_17    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_18    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_19    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_20    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_21    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_22    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_23    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_24    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_25    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_26    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_27    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_28    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_29    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_30    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_31    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_32    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_33    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_34    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_34    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_35    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_36    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_37    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_38    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_39    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_40    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_41    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_42    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_43    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_44    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_45    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_46    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_47    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_48    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_49    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_50    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_51    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_52    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_53    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_54    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_55    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_56    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_57    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_58    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_59    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_60    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_61    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_62    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_63    LIKE VARIABLE    P0_BK_Monitor_1
{
}

P0_BK_Monitor_64    LIKE VARIABLE    P0_BK_Monitor_1
{
}


ARRAY OF VARIABLE Monitor
{
    ELEMENTS
    {
        0,      P0_BK_Monitor_1;
        1,      P0_BK_Monitor_2;
        2,      P0_BK_Monitor_3;
        3,      P0_BK_Monitor_4;
        4,      P0_BK_Monitor_5;
        5,      P0_BK_Monitor_6;
        6,      P0_BK_Monitor_7;
        7,      P0_BK_Monitor_8;
        8,      P0_BK_Monitor_9;
        9,      P0_BK_Monitor_10;
        10,     P0_BK_Monitor_11;
        11,     P0_BK_Monitor_12;
        12,     P0_BK_Monitor_13;
        13,     P0_BK_Monitor_14;
        14,     P0_BK_Monitor_15;
        15,     P0_BK_Monitor_16;
        16,     P0_BK_Monitor_17;
        17,     P0_BK_Monitor_18;
        18,     P0_BK_Monitor_19;
        19,     P0_BK_Monitor_20;
        20,     P0_BK_Monitor_21;
        21,     P0_BK_Monitor_22;
        22,     P0_BK_Monitor_23;
        23,     P0_BK_Monitor_24;
        24,     P0_BK_Monitor_25;
        25,     P0_BK_Monitor_26;
        26,     P0_BK_Monitor_27;
        27,     P0_BK_Monitor_28;
        28,     P0_BK_Monitor_29;
        29,     P0_BK_Monitor_30;
        30,     P0_BK_Monitor_31;
        31,     P0_BK_Monitor_32;
        32,     P0_BK_Monitor_33;
        33,     P0_BK_Monitor_34;
        34,     P0_BK_Monitor_35;
        35,     P0_BK_Monitor_36;
        36,     P0_BK_Monitor_37;
        37,     P0_BK_Monitor_38;
        38,     P0_BK_Monitor_39;
        39,     P0_BK_Monitor_40;
        40,     P0_BK_Monitor_41;
        41,     P0_BK_Monitor_42;
        42,     P0_BK_Monitor_43;
        43,     P0_BK_Monitor_44;
        44,     P0_BK_Monitor_45;
        45,     P0_BK_Monitor_46;
        46,     P0_BK_Monitor_47;
        47,     P0_BK_Monitor_48;
        48,     P0_BK_Monitor_49;
        49,     P0_BK_Monitor_50;
        50,     P0_BK_Monitor_51;
        51,     P0_BK_Monitor_52;
        52,     P0_BK_Monitor_53;
        53,     P0_BK_Monitor_54;
        54,     P0_BK_Monitor_55;
        55,     P0_BK_Monitor_56;
        56,     P0_BK_Monitor_57;
        57,     P0_BK_Monitor_58;
        58,     P0_BK_Monitor_59;
        59,     P0_BK_Monitor_60;
        60,     P0_BK_Monitor_61;
        61,     P0_BK_Monitor_62;
        62,     P0_BK_Monitor_63;
        63,     P0_BK_Monitor_64;
    }
}


VARIABLE    Loc_Monitor_1
{
    LABEL       "Byte 0..15";
    TYPE        ASCII(64);
    CLASS       LOCAL;
    HANDLING    READ;
}

Loc_Monitor_2       LIKE    VARIABLE    Loc_Monitor_1
{
    REDEFINE    LABEL       "Byte 16..31";
}

Loc_Monitor_3       LIKE    VARIABLE    Loc_Monitor_1
{
    REDEFINE    LABEL       "Byte 32..47";
}

Loc_Monitor_4       LIKE    VARIABLE    Loc_Monitor_1
{
    REDEFINE    LABEL       "Byte 48..63";
}


ARRAY OF VARIABLE Loc_Monitor
{
    ELEMENTS
    {
        0, Loc_Monitor_1;
        1, Loc_Monitor_2;
        2, Loc_Monitor_3;
        3, Loc_Monitor_4;
    }
}


/*******************************************************************************/
/*****  METHODS  ***************************************************************/
/*******************************************************************************/

METHOD method_warm_start
{
    LABEL       [warm_start];       
    HELP        [warm_start_help];
    ACCESS      OFFLINE;
    DEFINITION
    {
        ACKNOWLEDGE([warning_service_restart]);
		//Init VAR
        P0_BK_Service_Command1 = 0x0004;
		P0_BK_Service_Command2 = 0x0000;
		P0_BK_Service_Command3 = 0x0000;
        WriteCommand(write_ServiceCommand);         
		ReadCommand(read_HResult);        
		//EXEC Slot
        P0_BK_Service_Command1 = 0x0131;
		P0_BK_Service_Command2 = 0x0000;
		P0_BK_Service_Command3 = 0x0000;
        WriteCommand(write_ServiceCommand);         
		ReadCommand(read_HResult);        
      
    }
}
/*
METHOD method_start_counter
{
    LABEL       [start_counter];        
    HELP        [start_counter_help];
    ACCESS      OFFLINE;
    DEFINITION
    {
        ACKNOWLEDGE([warning_service_restart]);

        if (MODUL_TYPE < 0x8000)
            P0_BK_Service_Command = 0x08 + (P0_Slot0 * 256);
        else
            P0_BK_Service_Command = 0x08;
        
        WriteCommand(write_ServiceCommand);         
    }
}

METHOD method_stop_counter
{
    LABEL       [stop_counter];     
    HELP        [stop_counter_help];
    ACCESS      OFFLINE;
    DEFINITION
    {
        ACKNOWLEDGE([warning_service_restart]);

        if (MODUL_TYPE < 0x8000)
            P0_BK_Service_Command = 0x07 + (P0_Slot0 * 256);
        else
            P0_BK_Service_Command = 0x07;
        WriteCommand(write_ServiceCommand);         
    }
}
*/
METHOD  method_read_monitor
{
    DEFINITION
    {
        char    strMonitor[64];
        int     Part;
        int     v[2];
        int     i;
        int     n;
        int     m;

        ReadCommand(read_SlotMonitor);
        for (Part = 0; Part < 4; Part++)
        {
            n = Part * 16;
            i = 0;
    
            do
            {
                if ((n % 16 != 0) && (n % 8 == 0))
                {
                    strMonitor[i++] = '-';
                    strMonitor[i++] = ' ';
                }

                v[0] = (Monitor[n] & 0xF0) / 0x10;
                v[1] = (Monitor[n] & 0x0F);
                for (m = 0; m < 2; m++)
                {
                    if (v[m] < 0x0A)
                        strMonitor[i++] = v[m] + '0';
                    else
                        strMonitor[i++] = 'A' + (v[m] - 0x0A);
                }
                strMonitor[i++] = ' ';
                n++;
            } while (n % 16 != 0);

            Loc_Monitor[Part] = strMonitor;
        }
    }
}


/*******************************************************************************/
/*****  COMMANDS  **************************************************************/
/*******************************************************************************/

COMMAND write_ServiceCommand
{
    /*SLOT        131;
    INDEX       1;*/

    SLOT        0;
    INDEX       49;

    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
		/*
            P0_BK_Service_Command
			*/
			P0_BK_Service_Command1,
			P0_BK_Service_Command2,
			P0_BK_Service_Command3
        }
    }
} 
/*
COMMAND write_Count_reset
{
    SLOT        0;
    INDEX       49;

    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
			methode_write_Count_reset
        }
    }
} 
*/

COMMAND read_HResult
{
    SLOT        0;
    INDEX       48;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            P0_BK_Service_HResult
        }
    }
}
COMMAND read_SlotMonitor
{
    SLOT        Loc_Monitor_Slot;
    INDEX       Loc_Monitor_Index;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_BK_Monitor_1,
            P0_BK_Monitor_2,
            P0_BK_Monitor_3,
            P0_BK_Monitor_4,
            P0_BK_Monitor_5,
            P0_BK_Monitor_6,
            P0_BK_Monitor_7,
            P0_BK_Monitor_8,
            P0_BK_Monitor_9,
            P0_BK_Monitor_10,
            P0_BK_Monitor_11,
            P0_BK_Monitor_12,
            P0_BK_Monitor_13,
            P0_BK_Monitor_14,
            P0_BK_Monitor_15,
            P0_BK_Monitor_16,
            P0_BK_Monitor_17,
            P0_BK_Monitor_18,
            P0_BK_Monitor_19,
            P0_BK_Monitor_20,
            P0_BK_Monitor_21,
            P0_BK_Monitor_22,
            P0_BK_Monitor_23,
            P0_BK_Monitor_24,
            P0_BK_Monitor_25,
            P0_BK_Monitor_26,
            P0_BK_Monitor_27,
            P0_BK_Monitor_28,
            P0_BK_Monitor_29,
            P0_BK_Monitor_30,
            P0_BK_Monitor_31,
            P0_BK_Monitor_32,
            P0_BK_Monitor_33,
            P0_BK_Monitor_34,
            P0_BK_Monitor_35,
            P0_BK_Monitor_36,
            P0_BK_Monitor_37,
            P0_BK_Monitor_38,
            P0_BK_Monitor_39,
            P0_BK_Monitor_40,
            P0_BK_Monitor_41,
            P0_BK_Monitor_42,
            P0_BK_Monitor_43,
            P0_BK_Monitor_44,
            P0_BK_Monitor_45,
            P0_BK_Monitor_46,
            P0_BK_Monitor_47,
            P0_BK_Monitor_48,
            P0_BK_Monitor_49,
            P0_BK_Monitor_50,
            P0_BK_Monitor_51,
            P0_BK_Monitor_52,
            P0_BK_Monitor_53,
            P0_BK_Monitor_54,
            P0_BK_Monitor_55,
            P0_BK_Monitor_56,
            P0_BK_Monitor_57,
            P0_BK_Monitor_58,
            P0_BK_Monitor_59,
            P0_BK_Monitor_60,
            P0_BK_Monitor_61,
            P0_BK_Monitor_62,
            P0_BK_Monitor_63,
            P0_BK_Monitor_64
        }
    }
}

COMMAND read_service_dummy
{
    SLOT        141;
    INDEX       0;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_BK_Service_Dummy
        }
    }
}
