/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binrausgang Venitltreiber          */
/*                      Binreingang 2 Kanle Namur         */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:26  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****  Variables Kanal1    ****************************************************/
/*******************************************************************************/
/*COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status
        }
    }
}
*/
DIDO_P1_Slot1   LIKE VARIABLE   P0_Slot0
{
}

DIDO_P1_Index1  LIKE VARIABLE   P0_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 1;
    }
}

DIDO_P1_Tag     LIKE VARIABLE   P0_Tag
{
    REDEFINE HELP   [P1_Tag_help];
}

VARIABLE    DIDO_P1_State
{
    LABEL       [P1_State];
    HELP        [P1_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [automatic]     },
        { 1,    [simulation]    }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_ErrMode
{
    LABEL       [P1_ErrMode];
    HELP        [P1_ErrMode_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [aktuellen_wert]    },
        { 1,    [ersatzwert]        },
        { 2,    [letzten_wert]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_SimVal_Data
{
    LABEL       [P1_SimVal];
    HELP        [P1_SimVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_SimVal_State
{
    LABEL       [P1_SimVal_State];
    HELP        [P1_SimVal_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_SimVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_ErrVal_Data
{
    LABEL       [P1_ErrVal];
    HELP        [P1_ErrVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_ErrVal_State
{
    LABEL       [P1_ErrVal_State];
    HELP        [P1_ErrVal_State1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;                //dr. maug
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_ErrVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_Option_Invert
{
    LABEL       [P1_Option_Invert];
    HELP        [P1_Option_Invert_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0x0000, [inv_normal]    },
        {   0x0001, [inv_invers]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_Option_Leitung
{
    LABEL       [P1_Option_Leitung];
    HELP        [P1_Option_Leitung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [no]        },
        { 1,    [yes]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DIDO_P1_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE    DIDO_P1_OnDelay
{
    LABEL       [P1_OnDelay];
    HELP        [P1_OnDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_OffDelay
{
    LABEL       [P1_OffDelay];
    HELP        [P1_OffDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO_P1_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}


VARIABLE    DIDO_P1_Map
{
    LABEL       [P1_Map];
    HELP        [P1_Map_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    DIDO_P1_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (16);
    CLASS       CONTAINED;
    HANDLING    READ;
}

/*******************************************************************************/
/*****  Variables Kanal2    ****************************************************/
/*******************************************************************************/

/*COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status2
        }
    }
}
*/
DIDO_P2_Slot2           LIKE VARIABLE   P0_Slot0
{
}

DIDO_P2_Index2          LIKE VARIABLE   DIDO_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 2;
    }
}

DIDO_P2_Tag             LIKE VARIABLE   DIDO_P1_Tag
{
}

DIDO_P2_State           LIKE VARIABLE   DIDO_P1_State
{
}

DIDO_P2_ErrMode         LIKE VARIABLE   DIDO_P1_ErrMode
{
}

DIDO_P2_SimVal_Data     LIKE VARIABLE   DIDO_P1_SimVal_Data 
{
}

DIDO_P2_SimVal_State    LIKE VARIABLE   DIDO_P1_SimVal_State    
{
}

DIDO_P2_SimVal_Bit2_7   LIKE VARIABLE   DIDO_P1_SimVal_Bit2_7   
{
}

DIDO_P2_ErrVal_Data     LIKE VARIABLE   DIDO_P1_ErrVal_Data 
{
}

DIDO_P2_ErrVal_State    LIKE VARIABLE   DIDO_P1_ErrVal_State    
{
}

DIDO_P2_ErrVal_Bit2_7   LIKE VARIABLE   DIDO_P1_ErrVal_Bit2_7   
{
}

DIDO_P2_Option_Invert   LIKE VARIABLE   DIDO_P1_Option_Invert
{
}

DIDO_P2_Option_Leitung  LIKE VARIABLE   DIDO_P1_Option_Leitung
{
}

DIDO_P2_Option_Bit2_14  LIKE VARIABLE   DIDO_P1_Option_Bit2_14  
{
}

DIDO_P2_Option_Kanal	LIKE VARIABLE	DIDO_P1_Option_Kanal
{
}

DIDO_P2_OnDelay         LIKE VARIABLE   DIDO_P1_OnDelay     
{
}

DIDO_P2_OffDelay        LIKE VARIABLE   DIDO_P1_OffDelay        
{
}

DIDO_P2_Map             LIKE VARIABLE   DIDO_P1_Map         
{
}


VARIABLE    DIDO_P2_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (18);
    CLASS       CONTAINED;
    HANDLING    READ;
}

/*******************************************************************************/
/*****  Variables Kanal3    ****************************************************/
/*******************************************************************************/

/*COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status3
        }
    }
}
*/
DIDO_P3_Slot3           LIKE VARIABLE   P0_Slot0
{
}

DIDO_P3_Index3          LIKE VARIABLE   DIDO_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 3;
    }
}

DIDO_P3_Tag             LIKE VARIABLE   DIDO_P1_Tag
{
}

DIDO_P3_State           LIKE VARIABLE   DIDO_P1_State
{
}

DIDO_P3_ErrMode         LIKE VARIABLE   DIDO_P1_ErrMode
{
}

DIDO_P3_SimVal_Data     LIKE VARIABLE   DIDO_P1_SimVal_Data 
{
}

DIDO_P3_SimVal_State    LIKE VARIABLE   DIDO_P1_SimVal_State    
{
}

DIDO_P3_SimVal_Bit2_7   LIKE VARIABLE   DIDO_P1_SimVal_Bit2_7   
{
}

DIDO_P3_ErrVal_Data     LIKE VARIABLE   DIDO_P1_ErrVal_Data 
{
}

DIDO_P3_ErrVal_State    LIKE VARIABLE   DIDO_P1_ErrVal_State    
{
}

DIDO_P3_ErrVal_Bit2_7   LIKE VARIABLE   DIDO_P1_ErrVal_Bit2_7   
{
}

DIDO_P3_Option_Invert   LIKE VARIABLE   DIDO_P1_Option_Invert
{
}

DIDO_P3_Option_Leitung  LIKE VARIABLE   DIDO_P1_Option_Leitung
{
}

DIDO_P3_Option_Bit2_14  LIKE VARIABLE   DIDO_P1_Option_Bit2_14  
{
}

DIDO_P3_Option_Kanal	LIKE VARIABLE	DIDO_P1_Option_Kanal
{
}

DIDO_P3_OnDelay         LIKE VARIABLE   DIDO_P1_OnDelay     
{
}

DIDO_P3_OffDelay        LIKE VARIABLE   DIDO_P1_OffDelay        
{
}

DIDO_P3_Map             LIKE VARIABLE   DIDO_P1_Map         
{
}

DIDO_P3_DUMMY           LIKE VARIABLE   DIDO_P2_DUMMY       
{
}

/*******************************************************************************/
/*****  COMMAND             *****************************************************/
/*******************************************************************************/

#define DOWNLOAD_DIDO                   \
            P0_Slot0,                   \
            P0_Index0,                  \
            P0_Tag,                     \
            P0_Type,                    \
            P0_Channel,                 \
            P0_Sector,                  \
            P0_Option,                  \
/*            P0_Time,                    \
*/            P0_Revision,                \
            P0_Size,					\
			P0_CfgMode,					\
			DIDO_P1_Slot1,              \
            DIDO_P1_Index1,             \
            DIDO_P1_Tag,                \
            DIDO_P1_State,              \
            DIDO_P1_ErrMode,            \
            DIDO_P1_SimVal_Data,        \
			DIDO_P1_SimVal_State,       \
            DIDO_P1_ErrVal_Data,        \
            DIDO_P1_ErrVal_State,       \
            DIDO_P1_Option_Leitung,     \
            DIDO_P1_Option_Kanal,	    \
            DIDO_P1_Option_Invert,      \
            DIDO_P1_OnDelay,            \
            DIDO_P1_OffDelay,           \
            DIDO_P1_TestImp,            \
            DIDO_P2_Slot2,              \
            DIDO_P2_Index2,             \
            DIDO_P2_Tag,                \
            DIDO_P2_State,              \
            DIDO_P2_ErrMode,            \
            DIDO_P2_SimVal_Data,        \
            DIDO_P2_SimVal_State,       \
            DIDO_P2_ErrVal_Data,        \
            DIDO_P2_ErrVal_State,       \
            DIDO_P2_Option_Leitung,     \
            DIDO_P2_Option_Kanal,	    \
            DIDO_P2_Option_Invert,      \
            DIDO_P2_OnDelay,            \
            DIDO_P2_OffDelay,           \
            DIDO_P3_Slot3,              \
            DIDO_P3_Index3,             \
            DIDO_P3_Tag,                \
            DIDO_P3_State,              \
            DIDO_P3_ErrMode,            \
            DIDO_P3_SimVal_Data,        \
            DIDO_P3_SimVal_State,       \
            DIDO_P3_ErrVal_Data,        \
            DIDO_P3_ErrVal_State,       \
            DIDO_P3_Option_Invert,      \
            DIDO_P3_Option_Leitung,     \
            DIDO_P3_Option_Kanal,	    \
            DIDO_P3_OnDelay,            \
            DIDO_P3_OffDelay


#define UPLOAD_DIDO         DOWNLOAD_DIDO


COMMAND read_DIDO_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO_P1_Slot1,
            DIDO_P1_Index1,
            DIDO_P1_Tag,
            DIDO_P1_State,
            DIDO_P1_ErrMode,
            DIDO_P1_SimVal_Bit2_7       <0xFC>,
            DIDO_P1_SimVal_State        <0x02>,
            DIDO_P1_SimVal_Data         <0x01>,
            DIDO_P1_ErrVal_Bit2_7       <0xFC>,
            DIDO_P1_ErrVal_State        <0x02>,
            DIDO_P1_ErrVal_Data         <0x01>,
			DIDO_P1_Option_Kanal		<0x8000>,
            DIDO_P1_Option_Bit2_14      <0x7FFC>,
            DIDO_P1_Option_Leitung      <0x0002>,
            DIDO_P1_Option_Invert       <0x0001>,
            DIDO_P1_OnDelay,
            DIDO_P1_OffDelay,
            DIDO_P1_TestImp,
            DIDO_P1_DUMMY,
            DIDO_P1_Map
        }
    }
}

COMMAND write_DIDO_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO_P1_Slot1,
            DIDO_P1_Index1,
            DIDO_P1_Tag,
            DIDO_P1_State,
            DIDO_P1_ErrMode,
            DIDO_P1_SimVal_Bit2_7       <0xFC>,
            DIDO_P1_SimVal_State        <0x02>,
            DIDO_P1_SimVal_Data         <0x01>,
            DIDO_P1_ErrVal_Bit2_7       <0xFC>,
            DIDO_P1_ErrVal_State        <0x02>,
            DIDO_P1_ErrVal_Data         <0x01>,
			DIDO_P1_Option_Kanal		<0x8000>,
            DIDO_P1_Option_Bit2_14      <0x7FFC>,
            DIDO_P1_Option_Leitung      <0x0002>,
            DIDO_P1_Option_Invert       <0x0001>,
			DIDO_P1_OnDelay,
            DIDO_P1_OffDelay,
            DIDO_P1_TestImp,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // DIDO_P1_DUMMY,
            0, 0                                                // DIDO_P1_Map
//            DIDO_P1_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO_P2_Slot2,
            DIDO_P2_Index2,
            DIDO_P2_Tag,
            DIDO_P2_State,
            DIDO_P2_ErrMode,
            DIDO_P2_SimVal_Bit2_7       <0xFC>,
            DIDO_P2_SimVal_State        <0x02>,
            DIDO_P2_SimVal_Data         <0x01>,
            DIDO_P2_ErrVal_Bit2_7       <0xFC>,
            DIDO_P2_ErrVal_State        <0x02>,
            DIDO_P2_ErrVal_Data         <0x01>,
			DIDO_P2_Option_Kanal		<0x8000>,
            DIDO_P2_Option_Bit2_14      <0x7FFC>,
            DIDO_P2_Option_Leitung      <0x0002>,
            DIDO_P2_Option_Invert       <0x0001>,
	        DIDO_P2_OnDelay,
            DIDO_P2_OffDelay,
            DIDO_P2_DUMMY,
            DIDO_P2_Map
        }
    }
}

COMMAND write_DIDO_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO_P2_Slot2,
            DIDO_P2_Index2,
            DIDO_P2_Tag,
            DIDO_P2_State,
            DIDO_P2_ErrMode,
            DIDO_P2_SimVal_Bit2_7       <0xFC>,
            DIDO_P2_SimVal_State        <0x02>,
            DIDO_P2_SimVal_Data         <0x01>,
            DIDO_P2_ErrVal_Bit2_7       <0xFC>,
            DIDO_P2_ErrVal_State        <0x02>,
            DIDO_P2_ErrVal_Data         <0x01>,
			DIDO_P2_Option_Kanal		<0x8000>,
            DIDO_P2_Option_Bit2_14      <0x7FFC>,
            DIDO_P2_Option_Leitung      <0x0002>,
            DIDO_P2_Option_Invert       <0x0001>,
            DIDO_P2_OnDelay,
            DIDO_P2_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,   // DIDO_P2_DUMMY,
            0, 0                                                        // DIDO_P2_Map
//            DIDO_P2_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO_P3_Slot3,
            DIDO_P3_Index3,
            DIDO_P3_Tag,
            DIDO_P3_State,
            DIDO_P3_ErrMode,
            DIDO_P3_SimVal_Bit2_7       <0xFC>,
            DIDO_P3_SimVal_State        <0x02>,
            DIDO_P3_SimVal_Data         <0x01>,
            DIDO_P3_ErrVal_Bit2_7       <0xFC>,
            DIDO_P3_ErrVal_State        <0x02>,
            DIDO_P3_ErrVal_Data         <0x01>,
			DIDO_P3_Option_Kanal		<0x8000>,
            DIDO_P3_Option_Bit2_14      <0x7FFC>,
            DIDO_P3_Option_Leitung      <0x0002>,
            DIDO_P3_Option_Invert       <0x0001>,
            DIDO_P3_OnDelay,
            DIDO_P3_OffDelay,
            DIDO_P3_DUMMY,
            DIDO_P3_Map
        }
    }
}

COMMAND write_DIDO_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO_P3_Slot3,
            DIDO_P3_Index3,
            DIDO_P3_Tag,
            DIDO_P3_State,
            DIDO_P3_ErrMode,
            DIDO_P3_SimVal_Bit2_7       <0xFC>,
            DIDO_P3_SimVal_State        <0x02>,
            DIDO_P3_SimVal_Data         <0x01>,
            DIDO_P3_ErrVal_Bit2_7       <0xFC>,
            DIDO_P3_ErrVal_State        <0x02>,
            DIDO_P3_ErrVal_Data         <0x01>,
			DIDO_P3_Option_Kanal		<0x8000>,
            DIDO_P3_Option_Bit2_14      <0x7FFC>,
            DIDO_P3_Option_Leitung      <0x0002>,
            DIDO_P3_Option_Invert       <0x0001>,
            DIDO_P3_OnDelay,
            DIDO_P3_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,   // DIDO_P3_DUMMY,
            0, 0                                                        // DIDO_P3_Map
//            DIDO_P3_Map
        }
        REPLY
        {
        }
    }
}


/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO_kanal1
{
    LABEL       [ventil];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO_ident_k1,
        Tab_s_DIDO_output_k1
    }
}

MENU Tab_s_DIDO_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_Tag
    }
}

MENU Tab_s_DIDO_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_State,
        DIDO_P1_ErrMode,
        DIDO_P1_Option_Leitung,
        DIDO_P1_Option_Invert,
        Tab_s_DIDO_output_verzoegerung_k1,
        Tab_s_DIDO_output_simulation_k1,
        Tab_s_DIDO_output_ersatzwert_k1
    }
}

MENU Tab_s_DIDO_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_OnDelay,
        DIDO_P1_OffDelay,
        DIDO_P1_TestImp
    }
}

MENU Tab_s_DIDO_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_SimVal_Data,
        DIDO_P1_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P1_State == 1)
}

MENU Tab_s_DIDO_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_ErrVal_Data,
        DIDO_P1_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P1_ErrMode == 1)
}

MENU Tab_s_DIDO_kanal2
{
    LABEL       [menu_rueckmeldung1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO_ident_k2,
        Tab_s_DIDO_input_k2
    }
}

MENU Tab_s_DIDO_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_Tag
    }
}

MENU Tab_s_DIDO_input_k2
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_State,
        DIDO_P2_ErrMode,
        DIDO_P2_Option_Leitung,
        DIDO_P2_Option_Invert,
        Tab_s_DIDO_input_verzoegerung_k2,
        Tab_s_DIDO_input_simulation_k2,
        Tab_s_DIDO_input_ersatzwert_k2
    }
}

MENU Tab_s_DIDO_input_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_OnDelay,
        DIDO_P2_OffDelay
    }
}

MENU Tab_s_DIDO_input_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_SimVal_Data,
        DIDO_P2_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P2_State == 1)
}

MENU Tab_s_DIDO_input_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
//        DIDO_P2_ErrVal_Data                 (READ_ONLY),		//26.06.2006 fbi
        DIDO_P2_ErrVal_Data, //               (READ_ONLY),		//26.06.2006 fbi
//        DIDO_P2_ErrVal_State                (READ_ONLY)		//26.06.2006 fbi
        DIDO_P2_ErrVal_State //               (READ_ONLY)		//26.06.2006 fbi
    }   
    VALIDITY    VALID_IF_TRUE (DIDO_P2_ErrMode == 1)
}

MENU Tab_s_DIDO_kanal3
{
    LABEL       [menu_rueckmeldung2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO_ident_k3,
        Tab_s_DIDO_input_k3
    }
}

MENU Tab_s_DIDO_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_Tag
    }
}

MENU Tab_s_DIDO_input_k3
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_State,
        DIDO_P3_ErrMode,
        DIDO_P3_Option_Leitung,
        DIDO_P3_Option_Invert,
        Tab_s_DIDO_input_verzoegerung_k3,
        Tab_s_DIDO_input_simulation_k3,
        Tab_s_DIDO_input_ersatzwert_k3
    }
}

MENU Tab_s_DIDO_input_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_OnDelay,
        DIDO_P3_OffDelay
    }
}

MENU Tab_s_DIDO_input_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_SimVal_Data,
        DIDO_P3_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P3_State == 1)
}

MENU Tab_s_DIDO_input_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
//        DIDO_P3_ErrVal_Data                 (READ_ONLY),		//26.06.2006 fbi
        DIDO_P3_ErrVal_Data, //               (READ_ONLY),		//26.06.2006 fbi
//        DIDO_P3_ErrVal_State                (READ_ONLY)		//26.06.2006 fbi
        DIDO_P3_ErrVal_State //               (READ_ONLY)		//26.06.2006 fbi
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P3_ErrMode == 1)
}


/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO_kanal1
{
    LABEL       [ventil];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO_ident_k1,
        Tab_m_DIDO_output_k1
    }
}

MENU Tab_m_DIDO_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_Tag
    }
}

MENU Tab_m_DIDO_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_State                       (READ_ONLY),
        DIDO_P1_ErrMode                     (READ_ONLY),
        DIDO_P1_Option_Leitung              (READ_ONLY),
        DIDO_P1_Option_Invert               (READ_ONLY),
        Tab_m_DIDO_output_verzoegerung_k1,
        Tab_m_DIDO_output_simulation_k1,
        Tab_m_DIDO_output_ersatzwert_k1
    }
}

MENU Tab_m_DIDO_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_OnDelay                     (READ_ONLY),
        DIDO_P1_OffDelay                    (READ_ONLY),
        DIDO_P1_TestImp                     (READ_ONLY)
    }
}

MENU Tab_m_DIDO_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_SimVal_Data                 (READ_ONLY),
        DIDO_P1_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P1_State == 1)
}

MENU Tab_m_DIDO_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P1_ErrVal_Data                 (READ_ONLY),
        DIDO_P1_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P1_ErrMode == 1)
}

MENU Tab_m_DIDO_kanal2
{
    LABEL       [menu_rueckmeldung1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO_ident_k2,
        Tab_m_DIDO_input_k2
    }
}

MENU Tab_m_DIDO_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_Tag
    }
}

MENU Tab_m_DIDO_input_k2
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_State                       (READ_ONLY),
        DIDO_P2_ErrMode                     (READ_ONLY),
        DIDO_P2_Option_Leitung              (READ_ONLY),
        DIDO_P2_Option_Invert               (READ_ONLY),
        Tab_m_DIDO_input_verzoegerung_k2,
        Tab_m_DIDO_input_simulation_k2,
        Tab_m_DIDO_input_ersatzwert_k2
    }
}

MENU Tab_m_DIDO_input_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_OnDelay                     (READ_ONLY),
        DIDO_P2_OffDelay                    (READ_ONLY)
    }
}

MENU Tab_m_DIDO_input_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_SimVal_Data                 (READ_ONLY),
        DIDO_P2_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P2_State == 1)
}

MENU Tab_m_DIDO_input_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P2_ErrVal_Data                 (READ_ONLY),
        DIDO_P2_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P2_ErrMode == 1)
}

MENU Tab_m_DIDO_kanal3
{
    LABEL       [menu_rueckmeldung2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO_ident_k3,
        Tab_m_DIDO_input_k3
    }
}

MENU Tab_m_DIDO_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_Tag
    }
}

MENU Tab_m_DIDO_input_k3
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_State                       (READ_ONLY),
        DIDO_P3_ErrMode                     (READ_ONLY),
        DIDO_P3_Option_Leitung              (READ_ONLY),
        DIDO_P3_Option_Invert               (READ_ONLY),
        Tab_m_DIDO_input_verzoegerung_k3,
        Tab_m_DIDO_input_simulation_k3,
        Tab_m_DIDO_input_ersatzwert_k3
    }
}

MENU Tab_m_DIDO_input_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_OnDelay                     (READ_ONLY),
        DIDO_P3_OffDelay                    (READ_ONLY)
    }
}

MENU Tab_m_DIDO_input_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_SimVal_Data                 (READ_ONLY),
        DIDO_P3_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P3_State == 1)
}

MENU Tab_m_DIDO_input_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO_P3_ErrVal_Data                 (READ_ONLY),
        DIDO_P3_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO_P3_ErrMode == 1)
}
