/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Transmitterspeisegert bzw.			*/
/*						Eingangstrenner	4 Kanle            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.21  $                                    */
/*  $Date:   26.11.2002										*/
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Variables Kanal1 Index1 ************************************************/
/*******************************************************************************/

INSP02_P1_Slot1		LIKE VARIABLE	P0_Slot0
{
}

INSP02_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 1;
			}
}

INSP02_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	INSP02_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** SIMULATION *****************/

VARIABLE	INSP02_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP02_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_01	(INSP02_P1_SimVal, Loc_INSP02_P1_SimVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (INSP02_P1_SimVal, Loc_INSP02_P1_SimVal)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP02_P1_SimState_LiveZero
{
	LABEL		[P1_SimState_LiveZero];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP02_P1_SimOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_SimState_Data
{
	LABEL		[P1_SimState_Data];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP02_P1_SimOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_SimState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_SimState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_SimState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_SimOption
{
	LABEL		[P1_SimOption];
	HELP		[P1_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Ersatzwerte *****************/

VARIABLE	INSP02_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP02_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_01	(INSP02_P1_ErrVal, Loc_INSP02_P1_ErrVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (INSP02_P1_ErrVal, Loc_INSP02_P1_ErrVal)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP02_P1_ErrState_LiveZero
{
	LABEL		[P1_ErrState_LiveZero];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP02_P1_ErrOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrState_Data
{
	LABEL		[P1_ErrState_Data];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP02_P1_ErrOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ErrOption
{
	LABEL		[P1_ErrOption];
	HELP		[P1_ErrOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	INSP02_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/
INSP02_P1_Slot2		LIKE VARIABLE	P0_Slot0
{
}

INSP02_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	INSP02_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[standard]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_Option_Bit1_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}


/********** Skalierung *****************/

VARIABLE	Loc_INSP02_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	Loc_INSP02_P1_Me
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	INSP02_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P1_ScalMb, INSP02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P1_ScalMb, INSP02_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P1_LimLow, INSP02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P1_LimLow, INSP02_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}	
	CONSTANT_UNIT	[Percent_Second];
	CLASS			CONTAINED;
	HANDLING		READ & WRITE;
}

/********** HART *****************/

VARIABLE	INSP02_P1_HartOption
{
	LABEL		[P1_HartOption];
	HELP		[P1_HartOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x0,	[HART_inaktiv]	},
		{	0x1,	[HART_aktiv]	},
		{	0x3,	[HART_aktiv_intern_aus]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_HartPraeambel
{
	LABEL		[P1_HartPraeambel];
	HELP		[P1_HartPraeambel_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 15;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P1_HartRetry
{
	LABEL		[P1_HartRetry];
	HELP		[P1_HartRetry_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 3;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** LFD GRENZEN *****************/

VARIABLE	INSP02_P1_LfdLow
{
	LABEL		[P1_LfdLow];
	HELP		[P1_LfdLow_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -250;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP02_P1_LfdLow
{
	LABEL		[P1_LfdLow];
	HELP		[P1_LfdLow_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 3.60;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P1_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P1_LfdLow, Loc_INSP02_P1_LfdLow)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P1_LfdLow, Loc_INSP02_P1_LfdLow)
		method_check_MbMe_float		(Loc_INSP02_P1_LfdLow, Loc_INSP02_P1_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP02_P1_LfdHigh
{
	LABEL		[P1_LfdHigh];
	HELP		[P1_LfdHigh_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 10625;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP02_P1_LfdHigh
{
	LABEL		[P1_LfdHigh];
	HELP		[P1_LfdHigh_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 21.0;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P1_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P1_LfdHigh, Loc_INSP02_P1_LfdHigh)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P1_LfdHigh, Loc_INSP02_P1_LfdHigh)
		method_check_MbMe_float		(Loc_INSP02_P1_LfdLow, Loc_INSP02_P1_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP02_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (38);
	CLASS		CONTAINED;
	HANDLING	READ;
}


/*******************************************************************************/
/*****	Variables Kanal2 Index3 ************************************************/
/*******************************************************************************/

INSP02_P2_Slot3				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P2_Index3			LIKE VARIABLE	INSP02_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 3;
			}
}

INSP02_P2_Tag				LIKE VARIABLE	INSP02_P1_Tag
{
}

INSP02_P2_State				LIKE VARIABLE	INSP02_P1_State
{
}

INSP02_P2_ErrMode			LIKE VARIABLE	INSP02_P1_ErrMode
{
}

INSP02_P2_SimVal			LIKE VARIABLE	INSP02_P1_SimVal
{
}

VARIABLE	Loc_INSP02_P2_SimVal
{
	LABEL		[P2_SimVal];
	HELP		[P2_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_02	(INSP02_P2_SimVal, Loc_INSP02_P2_SimVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (INSP02_P2_SimVal, Loc_INSP02_P2_SimVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P2_SimState_LiveZero	LIKE VARIABLE	INSP02_P1_SimState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P2_SimOption);
}

INSP02_P2_SimState_Data		LIKE VARIABLE	INSP02_P1_SimState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P2_SimOption);
}

INSP02_P2_SimState_Bit2		LIKE VARIABLE	INSP02_P1_SimState_Bit2
{
}

INSP02_P2_SimState_Bit3		LIKE VARIABLE	INSP02_P1_SimState_Bit3
{

}

INSP02_P2_SimState_Bit4_7	LIKE VARIABLE	INSP02_P1_SimState_Bit4_7
{
}

VARIABLE	INSP02_P2_SimOption
{
	LABEL		[P2_SimOption];
	HELP		[P2_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

INSP02_P2_ErrVal			LIKE VARIABLE	INSP02_P1_ErrVal
{
}

VARIABLE	Loc_INSP02_P2_ErrVal
{
	LABEL		[P2_ErrVal];
	HELP		[P2_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_02	(INSP02_P2_ErrVal, Loc_INSP02_P2_ErrVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (INSP02_P2_ErrVal, Loc_INSP02_P2_ErrVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P2_ErrState_LiveZero	LIKE VARIABLE	INSP02_P1_ErrState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P2_ErrOption);
}

INSP02_P2_ErrState_Data		LIKE VARIABLE	INSP02_P1_ErrState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P2_ErrOption);
}

INSP02_P2_ErrState_Bit2		LIKE VARIABLE	INSP02_P1_ErrState_Bit2
{
}

INSP02_P2_ErrState_Bit3		LIKE VARIABLE	INSP02_P1_ErrState_Bit3
{
}

INSP02_P2_ErrState_Bit4_7	LIKE VARIABLE	INSP02_P1_ErrState_Bit4_7
{
}

INSP02_P2_ErrOption			LIKE VARIABLE	INSP02_P1_ErrOption
{
}

INSP02_P2_Map				LIKE VARIABLE	INSP02_P1_Map
{
}

INSP02_P2_DUMMY				LIKE VARIABLE	INSP02_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal2 Index4	************************************************/
/*******************************************************************************/

INSP02_P2_Slot4				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P2_Index4			LIKE VARIABLE	INSP02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 4;
			}
}

INSP02_P2_Mode				LIKE VARIABLE	INSP02_P1_Mode		
{
}

INSP02_P2_Option_Leitung	LIKE VARIABLE	INSP02_P1_Option_Leitung
{
}

INSP02_P2_Option_Bit1_14	LIKE VARIABLE	INSP02_P1_Option_Bit1_14
{
}

INSP02_P2_Option_Kanal		LIKE VARIABLE	INSP02_P1_Option_Kanal
{
}

Loc_INSP02_P2_Mb			LIKE VARIABLE	Loc_INSP02_P1_Mb
{
}

Loc_INSP02_P2_Me			LIKE VARIABLE	Loc_INSP02_P1_Me
{
}

VARIABLE	INSP02_P2_ScalMb
{
	LABEL		[P2_ScalMb];
	HELP		[P2_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P2_ScalMb, INSP02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P2_ScalMe
{
	LABEL		[P2_ScalMe];
	HELP		[P2_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P2_ScalMb, INSP02_P2_ScalMe)
	}
	HANDLING	READ & WRITE;
}

INSP02_P2_ScalOption		LIKE VARIABLE	INSP02_P1_ScalOption
{
}

VARIABLE	INSP02_P2_LimLow
{
	LABEL		[P2_LimLow];
	HELP		[P2_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P2_LimLow, INSP02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P2_LimHigh
{
	LABEL		[P2_LimHigh];
	HELP		[P2_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P2_LimLow, INSP02_P2_LimHigh)
	}
	HANDLING	READ & WRITE;
}

INSP02_P2_Filter			LIKE VARIABLE	INSP02_P1_Filter
{
}

INSP02_P2_HartOption		LIKE VARIABLE	INSP02_P1_HartOption
{
}

INSP02_P2_HartPraeambel		LIKE VARIABLE	INSP02_P1_HartPraeambel
{
}

INSP02_P2_HartRetry			LIKE VARIABLE	INSP02_P1_HartRetry
{
}

INSP02_P2_LfdLow			LIKE VARIABLE	INSP02_P1_LfdLow
{
}

VARIABLE	Loc_INSP02_P2_LfdLow
{
	LABEL		[P2_LfdLow];
	HELP		[P2_LfdLow_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 3.60;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P2_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P2_LfdLow, Loc_INSP02_P2_LfdLow)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P2_LfdLow, Loc_INSP02_P2_LfdLow)
		method_check_MbMe_float		(Loc_INSP02_P2_LfdLow, Loc_INSP02_P2_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P2_LfdHigh			LIKE VARIABLE	INSP02_P1_LfdHigh
{
}

VARIABLE	Loc_INSP02_P2_LfdHigh
{
	LABEL		[P2_LfdHigh];
	HELP		[P2_LfdHigh_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 21.0;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P2_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P2_LfdHigh, Loc_INSP02_P2_LfdHigh)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P2_LfdHigh, Loc_INSP02_P2_LfdHigh)
		method_check_MbMe_float		(Loc_INSP02_P2_LfdLow, Loc_INSP02_P2_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P2_DUMMY2			LIKE VARIABLE	INSP02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index5 ************************************************/
/*******************************************************************************/

INSP02_P3_Slot5				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P3_Index5			LIKE VARIABLE	INSP02_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 5;
			}
}


INSP02_P3_Tag				LIKE VARIABLE	INSP02_P1_Tag
{
}

INSP02_P3_State				LIKE VARIABLE	INSP02_P1_State
{
}

INSP02_P3_ErrMode			LIKE VARIABLE	INSP02_P1_ErrMode
{
}

INSP02_P3_SimVal			LIKE VARIABLE	INSP02_P1_SimVal
{
}

VARIABLE	Loc_INSP02_P3_SimVal
{
	LABEL		[P3_SimVal];
	HELP		[P3_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_03	(INSP02_P3_SimVal, Loc_INSP02_P3_SimVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (INSP02_P3_SimVal, Loc_INSP02_P3_SimVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P3_SimState_LiveZero	LIKE VARIABLE	INSP02_P1_SimState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P3_SimOption);
}

INSP02_P3_SimState_Data		LIKE VARIABLE	INSP02_P1_SimState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P3_SimOption);
}

INSP02_P3_SimState_Bit2		LIKE VARIABLE	INSP02_P1_SimState_Bit2
{
}

INSP02_P3_SimState_Bit3		LIKE VARIABLE	INSP02_P1_SimState_Bit3
{

}

INSP02_P3_SimState_Bit4_7	LIKE VARIABLE	INSP02_P1_SimState_Bit4_7
{
}

VARIABLE	INSP02_P3_SimOption
{
	LABEL		[P3_SimOption];
	HELP		[P3_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

INSP02_P3_ErrVal			LIKE VARIABLE	INSP02_P1_ErrVal
{
}

VARIABLE	Loc_INSP02_P3_ErrVal
{
	LABEL		[P3_ErrVal];
	HELP		[P3_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_03	(INSP02_P3_ErrVal, Loc_INSP02_P3_ErrVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (INSP02_P3_ErrVal, Loc_INSP02_P3_ErrVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P3_ErrState_LiveZero	LIKE VARIABLE	INSP02_P1_ErrState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P3_ErrOption);
}

INSP02_P3_ErrState_Data		LIKE VARIABLE	INSP02_P1_ErrState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P3_ErrOption);
}

INSP02_P3_ErrState_Bit2		LIKE VARIABLE	INSP02_P1_ErrState_Bit2
{
}

INSP02_P3_ErrState_Bit3		LIKE VARIABLE	INSP02_P1_ErrState_Bit3
{
}

INSP02_P3_ErrState_Bit4_7	LIKE VARIABLE	INSP02_P1_ErrState_Bit4_7
{
}

INSP02_P3_ErrOption			LIKE VARIABLE	INSP02_P1_ErrOption
{
}

INSP02_P3_Map				LIKE VARIABLE	INSP02_P1_Map
{
}

INSP02_P3_DUMMY				LIKE VARIABLE	INSP02_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index6	************************************************/
/*******************************************************************************/

INSP02_P3_Slot6				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P3_Index6			LIKE VARIABLE	INSP02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 6;
			}
}

INSP02_P3_Mode				LIKE VARIABLE	INSP02_P1_Mode		
{
}

INSP02_P3_Option_Leitung	LIKE VARIABLE	INSP02_P1_Option_Leitung
{
}

INSP02_P3_Option_Bit1_14	LIKE VARIABLE	INSP02_P1_Option_Bit1_14
{
}

INSP02_P3_Option_Kanal		LIKE VARIABLE	INSP02_P1_Option_Kanal
{
}

Loc_INSP02_P3_Mb			LIKE VARIABLE	Loc_INSP02_P1_Mb
{
}

Loc_INSP02_P3_Me			LIKE VARIABLE	Loc_INSP02_P1_Me
{
}

VARIABLE	INSP02_P3_ScalMb
{
	LABEL		[P3_ScalMb];
	HELP		[P3_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P3_ScalMb, INSP02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P3_ScalMe
{
	LABEL		[P3_ScalMe];
	HELP		[P3_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P3_ScalMb, INSP02_P3_ScalMe)
	}
	HANDLING	READ & WRITE;
}

INSP02_P3_ScalOption		LIKE VARIABLE	INSP02_P1_ScalOption
{
}

VARIABLE	INSP02_P3_LimLow
{
	LABEL		[P3_LimLow];
	HELP		[P3_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P3_LimLow, INSP02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P3_LimHigh
{
	LABEL		[P3_LimHigh];
	HELP		[P3_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P3_LimLow, INSP02_P3_LimHigh)
	}
	HANDLING	READ & WRITE;
}

INSP02_P3_Filter			LIKE VARIABLE	INSP02_P1_Filter
{
}

INSP02_P3_HartOption		LIKE VARIABLE	INSP02_P1_HartOption
{
}

INSP02_P3_HartPraeambel		LIKE VARIABLE	INSP02_P1_HartPraeambel
{
}

INSP02_P3_HartRetry			LIKE VARIABLE	INSP02_P1_HartRetry
{
}

INSP02_P3_LfdLow			LIKE VARIABLE	INSP02_P1_LfdLow
{
}

VARIABLE	Loc_INSP02_P3_LfdLow
{
	LABEL		[P3_LfdLow];
	HELP		[P3_LfdLow_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 3.60;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P3_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P3_LfdLow, Loc_INSP02_P3_LfdLow)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P3_LfdLow, Loc_INSP02_P3_LfdLow)
		method_check_MbMe_float		(Loc_INSP02_P3_LfdLow, Loc_INSP02_P3_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P3_LfdHigh			LIKE VARIABLE	INSP02_P1_LfdHigh
{
}

VARIABLE	Loc_INSP02_P3_LfdHigh
{
	LABEL		[P3_LfdHigh];
	HELP		[P3_LfdHigh_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 21.0;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P3_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P3_LfdHigh, Loc_INSP02_P3_LfdHigh)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P3_LfdHigh, Loc_INSP02_P3_LfdHigh)
		method_check_MbMe_float		(Loc_INSP02_P3_LfdLow, Loc_INSP02_P3_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P3_DUMMY2			LIKE VARIABLE	INSP02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index7 ************************************************/
/*******************************************************************************/

INSP02_P4_Slot7				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P4_Index7			LIKE VARIABLE	INSP02_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 7;
			}
}

INSP02_P4_Tag				LIKE VARIABLE	INSP02_P1_Tag
{
}

INSP02_P4_State				LIKE VARIABLE	INSP02_P1_State
{
}

INSP02_P4_ErrMode			LIKE VARIABLE	INSP02_P1_ErrMode
{
}

INSP02_P4_SimVal			LIKE VARIABLE	INSP02_P1_SimVal
{
}

VARIABLE	Loc_INSP02_P4_SimVal
{
	LABEL		[P4_SimVal];
	HELP		[P4_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_04	(INSP02_P4_SimVal, Loc_INSP02_P4_SimVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (INSP02_P4_SimVal, Loc_INSP02_P4_SimVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P4_SimState_LiveZero	LIKE VARIABLE	INSP02_P1_SimState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P4_SimOption);
}

INSP02_P4_SimState_Data		LIKE VARIABLE	INSP02_P1_SimState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P4_SimOption);
}

INSP02_P4_SimState_Bit2		LIKE VARIABLE	INSP02_P1_SimState_Bit2
{
}

INSP02_P4_SimState_Bit3		LIKE VARIABLE	INSP02_P1_SimState_Bit3
{

}

INSP02_P4_SimState_Bit4_7	LIKE VARIABLE	INSP02_P1_SimState_Bit4_7
{
}

VARIABLE	INSP02_P4_SimOption
{
	LABEL		[P4_SimOption];
	HELP		[P4_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

INSP02_P4_ErrVal			LIKE VARIABLE	INSP02_P1_ErrVal
{
}

VARIABLE	Loc_INSP02_P4_ErrVal
{
	LABEL		[P4_ErrVal];
	HELP		[P4_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float_04	(INSP02_P1_ErrVal, Loc_INSP02_P4_ErrVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (INSP02_P1_ErrVal, Loc_INSP02_P4_ErrVal)
	}
	HANDLING		READ & WRITE;
}

INSP02_P4_ErrState_LiveZero	LIKE VARIABLE	INSP02_P1_ErrState_LiveZero
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P4_ErrOption);
}

INSP02_P4_ErrState_Data		LIKE VARIABLE	INSP02_P1_ErrState_Data
{
	REDEFINE VALIDITY	VALID_IF_NOT_0(INSP02_P4_ErrOption);
}

INSP02_P4_ErrState_Bit2		LIKE VARIABLE	INSP02_P1_ErrState_Bit2
{
}

INSP02_P4_ErrState_Bit3		LIKE VARIABLE	INSP02_P1_ErrState_Bit3
{
}

INSP02_P4_ErrState_Bit4_7	LIKE VARIABLE	INSP02_P1_ErrState_Bit4_7
{
}

INSP02_P4_ErrOption			LIKE VARIABLE	INSP02_P1_ErrOption
{
}

INSP02_P4_Map				LIKE VARIABLE	INSP02_P1_Map
{
}

INSP02_P4_DUMMY				LIKE VARIABLE	INSP02_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index8	************************************************/
/*******************************************************************************/

INSP02_P4_Slot8				LIKE VARIABLE	P0_Slot0
{
}

INSP02_P4_Index8			LIKE VARIABLE	INSP02_P1_Index2
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 8;
			}
}

INSP02_P4_Mode				LIKE VARIABLE	INSP02_P1_Mode		
{
}

INSP02_P4_Option_Leitung	LIKE VARIABLE	INSP02_P1_Option_Leitung
{
}

INSP02_P4_Option_Bit1_14	LIKE VARIABLE	INSP02_P1_Option_Bit1_14
{
}

INSP02_P4_Option_Kanal		LIKE VARIABLE	INSP02_P1_Option_Kanal
{
}

Loc_INSP02_P4_Mb			LIKE VARIABLE	Loc_INSP02_P1_Mb
{
}

Loc_INSP02_P4_Me			LIKE VARIABLE	Loc_INSP02_P1_Me
{
}

VARIABLE	INSP02_P4_ScalMb
{
	LABEL		[P4_ScalMb];
	HELP		[P4_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P4_ScalMb, INSP02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P4_ScalMe
{
	LABEL		[P4_ScalMe];
	HELP		[P4_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P4_ScalMb, INSP02_P4_ScalMe)
	}
	HANDLING	READ & WRITE;
}

INSP02_P4_ScalOption		LIKE VARIABLE	INSP02_P1_ScalOption
{
}

VARIABLE	INSP02_P4_LimLow
{
	LABEL		[P4_LimLow];
	HELP		[P4_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P4_LimLow, INSP02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP02_P4_LimHigh
{
	LABEL		[P4_LimHigh];
	HELP		[P4_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP02_P4_LimLow, INSP02_P4_LimHigh)
	}
	HANDLING	READ & WRITE;
}


INSP02_P4_Filter			LIKE VARIABLE	INSP02_P1_Filter
{
}

INSP02_P4_HartOption		LIKE VARIABLE	INSP02_P1_HartOption
{
}

INSP02_P4_HartPraeambel		LIKE VARIABLE	INSP02_P1_HartPraeambel
{
}

INSP02_P4_HartRetry			LIKE VARIABLE	INSP02_P1_HartRetry
{
}

INSP02_P4_LfdLow			LIKE VARIABLE	INSP02_P1_LfdLow
{
}

VARIABLE	Loc_INSP02_P4_LfdLow
{
	LABEL		[P4_LfdLow];
	HELP		[P4_LfdLow_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 3.60;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P4_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P4_LfdLow, Loc_INSP02_P4_LfdLow)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P4_LfdLow, Loc_INSP02_P4_LfdLow)
		method_check_MbMe_float		(Loc_INSP02_P4_LfdLow, Loc_INSP02_P4_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P4_LfdHigh			LIKE VARIABLE	INSP02_P1_LfdHigh
{
}

VARIABLE	Loc_INSP02_P4_LfdHigh
{
	LABEL		[P4_LfdHigh];
	HELP		[P4_LfdHigh_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 21.0;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP02_P4_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP02_P4_LfdHigh, Loc_INSP02_P4_LfdHigh)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP02_P4_LfdHigh, Loc_INSP02_P4_LfdHigh)
		method_check_MbMe_float		(Loc_INSP02_P4_LfdLow, Loc_INSP02_P4_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

INSP02_P4_DUMMY2			LIKE VARIABLE	INSP02_P1_DUMMY2
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define	DOWNLOAD_INSP02							\
			P0_Type,							\
			P0_Slot0,							\
			P0_Index0,							\
			P0_Tag,								\
			P0_Channel,							\
			P0_Sector,							\
			P0_Option,							\
/*			P0_Time,							\
*/			P0_Revision,						\
			P0_Size,							\
			P0_CfgMode,					\
			INSP02_P1_Slot1,					\
			INSP02_P1_Index1,					\
			INSP02_P1_Tag,						\
			INSP02_P1_State,					\
			INSP02_P1_ErrMode,					\
			INSP02_P1_SimVal,					\
			INSP02_P1_SimState_LiveZero,		\
			INSP02_P1_SimState_Data,			\
			INSP02_P1_SimOption,				\
			INSP02_P1_ErrVal,					\
			INSP02_P1_ErrState_LiveZero,		\
			INSP02_P1_ErrState_Data,			\
			INSP02_P1_ErrOption,				\
			INSP02_P1_Slot2,					\
			INSP02_P1_Index2,					\
			INSP02_P1_Mode,						\
			INSP02_P1_Option_Leitung,			\
			INSP02_P1_Option_Kanal,				\
			INSP02_P1_ScalMb,					\
			INSP02_P1_ScalMe,					\
			INSP02_P1_ScalOption,				\
			INSP02_P1_LimLow,					\
			INSP02_P1_LimHigh,					\
			INSP02_P1_Filter,					\
			INSP02_P1_HartOption,				\
			INSP02_P1_HartPraeambel, 			\
			INSP02_P1_HartRetry,				\
			INSP02_P1_LfdLow,					\
			INSP02_P1_LfdHigh,					\
			INSP02_P2_Slot3,					\
			INSP02_P2_Index3,					\
			INSP02_P2_Tag,						\
			INSP02_P2_State,					\
			INSP02_P2_ErrMode,					\
			INSP02_P2_SimVal,					\
			INSP02_P2_SimState_LiveZero,		\
			INSP02_P2_SimState_Data,			\
			INSP02_P2_SimOption,				\
			INSP02_P2_ErrVal,					\
			INSP02_P2_ErrState_LiveZero,		\
			INSP02_P2_ErrState_Data,			\
			INSP02_P2_ErrOption,				\
			INSP02_P2_Slot4,					\
			INSP02_P2_Index4,					\
			INSP02_P2_Mode,						\
			INSP02_P2_Option_Leitung,			\
			INSP02_P2_Option_Kanal,				\
			INSP02_P2_ScalMb,					\
			INSP02_P2_ScalMe,					\
			INSP02_P2_ScalOption,				\
			INSP02_P2_LimLow,					\
			INSP02_P2_LimHigh,					\
			INSP02_P2_Filter,					\
			INSP02_P2_HartOption,				\
			INSP02_P2_HartPraeambel, 			\
			INSP02_P2_HartRetry,				\
			INSP02_P2_LfdLow,					\
			INSP02_P2_LfdHigh,					\
			INSP02_P3_Slot5,					\
			INSP02_P3_Index5,					\
			INSP02_P3_Tag,						\
			INSP02_P3_State,					\
			INSP02_P3_ErrMode,					\
			INSP02_P3_SimVal,					\
			INSP02_P3_SimState_LiveZero,		\
			INSP02_P3_SimState_Data,			\
			INSP02_P3_SimOption,				\
			INSP02_P3_ErrVal,					\
			INSP02_P3_ErrState_LiveZero,		\
			INSP02_P3_ErrState_Data,			\
			INSP02_P3_ErrOption,				\
			INSP02_P3_Slot6,					\
			INSP02_P3_Index6,					\
			INSP02_P3_Mode,						\
			INSP02_P3_Option_Leitung,			\
			INSP02_P3_Option_Kanal,				\
			INSP02_P3_ScalMb,					\
			INSP02_P3_ScalMe,					\
			INSP02_P3_ScalOption,				\
			INSP02_P3_LimLow,					\
			INSP02_P3_LimHigh,					\
			INSP02_P3_Filter,					\
			INSP02_P3_HartOption,				\
			INSP02_P3_HartPraeambel, 			\
			INSP02_P3_HartRetry,				\
			INSP02_P3_LfdLow,					\
			INSP02_P3_LfdHigh,					\
			INSP02_P4_Slot7,					\
			INSP02_P4_Index7,					\
			INSP02_P4_Tag,						\
			INSP02_P4_State,					\
			INSP02_P4_ErrMode,					\
			INSP02_P4_SimVal,					\
			INSP02_P4_SimState_LiveZero,		\
			INSP02_P4_SimState_Data,			\
			INSP02_P4_SimOption,				\
			INSP02_P4_ErrVal,					\
			INSP02_P4_ErrState_LiveZero,		\
			INSP02_P4_ErrState_Data,			\
			INSP02_P4_ErrOption,				\
			INSP02_P4_Slot8,					\
			INSP02_P4_Index8,					\
			INSP02_P4_Mode,						\
			INSP02_P4_Option_Leitung,			\
			INSP02_P4_Option_Kanal,				\
			INSP02_P4_ScalMb,					\
			INSP02_P4_ScalMe,					\
			INSP02_P4_ScalOption,				\
			INSP02_P4_LimLow,					\
			INSP02_P4_LimHigh,					\
			INSP02_P4_Filter,					\
			INSP02_P4_HartOption,				\
			INSP02_P4_HartPraeambel, 			\
			INSP02_P4_HartRetry,				\
			INSP02_P4_LfdLow,					\
			INSP02_P4_LfdHigh


#define	UPLOAD_INSP02			DOWNLOAD_INSP02

/*******************************************************************************/
/*****	Kanal1 Index1	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P1_Slot1,
			INSP02_P1_Index1,
			INSP02_P1_Tag,
			INSP02_P1_State,
			INSP02_P1_ErrMode,
			INSP02_P1_SimVal,
			INSP02_P1_SimState_Bit4_7		<0xF0>,
			INSP02_P1_SimState_Bit3			<0x08>,
			INSP02_P1_SimState_Bit2			<0x04>,
			INSP02_P1_SimState_Data			<0x02>,
			INSP02_P1_SimState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P1_SimOption				<0x01>,
			INSP02_P1_ErrVal,
			INSP02_P1_ErrState_Bit4_7		<0xF0>,
			INSP02_P1_ErrState_Bit3			<0x08>,
			INSP02_P1_ErrState_Bit2			<0x04>,
			INSP02_P1_ErrState_Data			<0x02>,
			INSP02_P1_ErrState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P1_ErrOption				<0x01>,
			INSP02_P1_DUMMY,
			INSP02_P1_Map
		}
	}
}

COMMAND write_INSP02_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P1_Slot1,
			INSP02_P1_Index1,
			INSP02_P1_Tag,
			INSP02_P1_State,
			INSP02_P1_ErrMode,
			INSP02_P1_SimVal,
			INSP02_P1_SimState_Bit4_7		<0xF0>,
			INSP02_P1_SimState_Bit3			<0x08>,
			INSP02_P1_SimState_Bit2			<0x04>,
			INSP02_P1_SimState_Data			<0x02>,
			INSP02_P1_SimState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P1_SimOption				<0x01>,
			INSP02_P1_ErrVal,
			INSP02_P1_ErrState_Bit4_7		<0xF0>,
			INSP02_P1_ErrState_Bit3			<0x08>,
			INSP02_P1_ErrState_Bit2			<0x04>,
			INSP02_P1_ErrState_Data			<0x02>,
			INSP02_P1_ErrState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P1_ErrOption				<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// INSP02_P1_DUMMY,
			0, 0														// INSP02_P1_Map
//			INSP02_P1_Map
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal1 Index2	********************************************************/
/*******************************************************************************/


COMMAND read_INSP02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P1_Slot2,
			INSP02_P1_Index2,
			INSP02_P1_Mode,
			INSP02_P1_Option_Kanal			<0x8000>,
			INSP02_P1_Option_Bit1_14		<0x7FFE>,
			INSP02_P1_Option_Leitung		<0x0001>,
			INSP02_P1_ScalMb,
			INSP02_P1_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P1_ScalOption			<0x0001>,
			INSP02_P1_LimLow,
			INSP02_P1_LimHigh,
			INSP02_P1_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P1_HartOption			<0x0007>,
			INSP02_P1_HartPraeambel,
			INSP02_P1_HartRetry,
			INSP02_P1_LfdLow,
			INSP02_P1_LfdHigh,
			INSP02_P1_DUMMY2
		}
	}
}

COMMAND write_INSP02_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P1_Slot2,
			INSP02_P1_Index2,
			INSP02_P1_Mode,
			INSP02_P1_Option_Kanal			<0x8000>,
			INSP02_P1_Option_Bit1_14		<0x7FFE>,
			INSP02_P1_Option_Leitung		<0x0001>,
			INSP02_P1_ScalMb,
			INSP02_P1_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P1_ScalOption			<0x0001>,
			INSP02_P1_LimLow,
			INSP02_P1_LimHigh,
			INSP02_P1_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P1_HartOption			<0x0007>,
			INSP02_P1_HartPraeambel,
			INSP02_P1_HartRetry,
			INSP02_P1_LfdLow,
			INSP02_P1_LfdHigh,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0, 		// INSP02_P1_DUMMY2  
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// INSP02_P1_DUMMY2
			0, 0, 0, 0, 0, 0										// INSP02_P1_DUMMY2
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2 Index3	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P2_Slot3,
			INSP02_P2_Index3,
			INSP02_P2_Tag,
			INSP02_P2_State,
			INSP02_P2_ErrMode,
			INSP02_P2_SimVal,
			INSP02_P2_SimState_Bit4_7	<0xF0>,
			INSP02_P2_SimState_Bit3		<0x08>,
			INSP02_P2_SimState_Bit2		<0x04>,
			INSP02_P2_SimState_Data		<0x02>,
			INSP02_P2_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P2_SimOption			<0x01>,
			INSP02_P2_ErrVal,
			INSP02_P2_ErrState_Bit4_7	<0xF0>,
			INSP02_P2_ErrState_Bit3		<0x08>,
			INSP02_P2_ErrState_Bit2		<0x04>,
			INSP02_P2_ErrState_Data		<0x02>,
			INSP02_P2_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P2_ErrOption			<0x01>,
			INSP02_P2_DUMMY,
			INSP02_P2_Map
		}
	}
}

COMMAND write_INSP02_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P2_Slot3,
			INSP02_P2_Index3,
			INSP02_P2_Tag,
			INSP02_P2_State,
			INSP02_P2_ErrMode,
			INSP02_P2_SimVal,
			INSP02_P2_SimState_Bit4_7	<0xF0>,
			INSP02_P2_SimState_Bit3		<0x08>,
			INSP02_P2_SimState_Bit2		<0x04>,
			INSP02_P2_SimState_Data		<0x02>,
			INSP02_P2_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P2_SimOption			<0x01>,
			INSP02_P2_ErrVal,
			INSP02_P2_ErrState_Bit4_7	<0xF0>,
			INSP02_P2_ErrState_Bit3		<0x08>,
			INSP02_P2_ErrState_Bit2		<0x04>,
			INSP02_P2_ErrState_Data		<0x02>,
			INSP02_P2_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P2_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// INSP02_P2_DUMMY,
			0, 0														// INSP02_P2_Map
//			INSP02_P2_Map
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2 Index4	********************************************************/
/*******************************************************************************/


COMMAND read_INSP02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P2_Slot4,
			INSP02_P2_Index4,
			INSP02_P2_Mode,
			INSP02_P2_Option_Kanal			<0x8000>,
			INSP02_P2_Option_Bit1_14		<0x7FFE>,
			INSP02_P2_Option_Leitung		<0x0001>,
			INSP02_P2_ScalMb,
			INSP02_P2_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P2_ScalOption			<0x0001>,
			INSP02_P2_LimLow,
			INSP02_P2_LimHigh,
			INSP02_P2_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P2_HartOption			<0x0007>,
			INSP02_P2_HartPraeambel,	
			INSP02_P2_HartRetry,
			INSP02_P2_LfdLow,
			INSP02_P2_LfdHigh,
			INSP02_P2_DUMMY2
		}
	}
}

COMMAND write_INSP02_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P2_Slot4,
			INSP02_P2_Index4,
			INSP02_P2_Mode,
			INSP02_P2_Option_Kanal			<0x8000>,
			INSP02_P2_Option_Bit1_14		<0x7FFE>,
			INSP02_P2_Option_Leitung		<0x0001>,
			INSP02_P2_ScalMb,
			INSP02_P2_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P2_ScalOption			<0x0001>,
			INSP02_P2_LimLow,
			INSP02_P2_LimHigh,
			INSP02_P2_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P2_HartOption			<0x0007>,
			INSP02_P2_HartPraeambel,
			INSP02_P2_HartRetry,
			INSP02_P2_LfdLow,
			INSP02_P2_LfdHigh,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0, 		// INSP02_P2_DUMMY2  
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// INSP02_P2_DUMMY2
			0, 0, 0, 0, 0, 0										// INSP02_P2_DUMMY2
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3 Index5	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P3_Slot5,
			INSP02_P3_Index5,
			INSP02_P3_Tag,
			INSP02_P3_State,
			INSP02_P3_ErrMode,
			INSP02_P3_SimVal,
			INSP02_P3_SimState_Bit4_7	<0xF0>,
			INSP02_P3_SimState_Bit3		<0x08>,
			INSP02_P3_SimState_Bit2		<0x04>,
			INSP02_P3_SimState_Data		<0x02>,
			INSP02_P3_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P3_SimOption			<0x01>,
			INSP02_P3_ErrVal,
			INSP02_P3_ErrState_Bit4_7	<0xF0>,
			INSP02_P3_ErrState_Bit3		<0x08>,
			INSP02_P3_ErrState_Bit2		<0x04>,
			INSP02_P3_ErrState_Data		<0x02>,
			INSP02_P3_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P3_ErrOption			<0x01>,
			INSP02_P3_DUMMY,
			INSP02_P3_Map
		}
	}
}

COMMAND write_INSP02_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P3_Slot5,
			INSP02_P3_Index5,
			INSP02_P3_Tag,
			INSP02_P3_State,
			INSP02_P3_ErrMode,
			INSP02_P3_SimVal,
			INSP02_P3_SimState_Bit4_7		<0xF0>,
			INSP02_P3_SimState_Bit3			<0x08>,
			INSP02_P3_SimState_Bit2			<0x04>,
			INSP02_P3_SimState_Data			<0x02>,
			INSP02_P3_SimState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P3_SimOption				<0x01>,
			INSP02_P3_ErrVal,
			INSP02_P3_ErrState_Bit4_7		<0xF0>,
			INSP02_P3_ErrState_Bit3			<0x08>,
			INSP02_P3_ErrState_Bit2			<0x04>,
			INSP02_P3_ErrState_Data			<0x02>,
			INSP02_P3_ErrState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P3_ErrOption				<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// INSP02_P3_DUMMY,
			0, 0														// INSP02_P3_Map
//			INSP02_P3_Map
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3 Index6	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P3_Slot6,
			INSP02_P3_Index6,
			INSP02_P3_Mode,
			INSP02_P3_Option_Kanal			<0x8000>,
			INSP02_P3_Option_Bit1_14		<0x7FFE>,
			INSP02_P3_Option_Leitung		<0x0001>,
			INSP02_P3_ScalMb,
			INSP02_P3_ScalMe,
			Bit1_15						<0xFFFE>,
			INSP02_P3_ScalOption		<0x0001>,
			INSP02_P3_LimLow,
			INSP02_P3_LimHigh,
			INSP02_P3_Filter,
			Bit3_15						<0xFFF8>,
			INSP02_P3_HartOption		<0x0007>,
			INSP02_P3_HartPraeambel,
			INSP02_P3_HartRetry,
			INSP02_P3_LfdLow,
			INSP02_P3_LfdHigh,
			INSP02_P3_DUMMY2
		}
	}
}

COMMAND write_INSP02_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P3_Slot6,
			INSP02_P3_Index6,
			INSP02_P3_Mode,
			INSP02_P3_Option_Kanal			<0x8000>,
			INSP02_P3_Option_Bit1_14		<0x7FFE>,
			INSP02_P3_Option_Leitung		<0x0001>,
			INSP02_P3_ScalMb,
			INSP02_P3_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P3_ScalOption			<0x0001>,
			INSP02_P3_LimLow,
			INSP02_P3_LimHigh,
			INSP02_P3_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P3_HartOption			<0x0007>,
			INSP02_P3_HartPraeambel,
			INSP02_P3_HartRetry,
			INSP02_P3_LfdLow,
			INSP02_P3_LfdHigh,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0, 		// INSP02_P3_DUMMY2  
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// INSP02_P3_DUMMY2
			0, 0, 0, 0, 0, 0										// INSP02_P3_DUMMY2
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal4 Index7	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P4_Slot7,
			INSP02_P4_Index7,
			INSP02_P4_Tag,
			INSP02_P4_State,
			INSP02_P4_ErrMode,
			INSP02_P4_SimVal,
			INSP02_P4_SimState_Bit4_7	<0xF0>,
			INSP02_P4_SimState_Bit3		<0x08>,
			INSP02_P4_SimState_Bit2		<0x04>,
			INSP02_P4_SimState_Data		<0x02>,
			INSP02_P4_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P4_SimOption			<0x01>,
			INSP02_P4_ErrVal,
			INSP02_P4_ErrState_Bit4_7	<0xF0>,
			INSP02_P4_ErrState_Bit3		<0x08>,
			INSP02_P4_ErrState_Bit2		<0x04>,
			INSP02_P4_ErrState_Data		<0x02>,
			INSP02_P4_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP02_P4_ErrOption			<0x01>,
			INSP02_P4_DUMMY,
			INSP02_P4_Map
		}
	}
}

COMMAND write_INSP02_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P4_Slot7,
			INSP02_P4_Index7,
			INSP02_P4_Tag,
			INSP02_P4_State,
			INSP02_P4_ErrMode,
			INSP02_P4_SimVal,
			INSP02_P4_SimState_Bit4_7		<0xF0>,
			INSP02_P4_SimState_Bit3			<0x08>,
			INSP02_P4_SimState_Bit2			<0x04>,
			INSP02_P4_SimState_Data			<0x02>,
			INSP02_P4_SimState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P4_SimOption				<0x01>,
			INSP02_P4_ErrVal,
			INSP02_P4_ErrState_Bit4_7		<0xF0>,
			INSP02_P4_ErrState_Bit3			<0x08>,
			INSP02_P4_ErrState_Bit2			<0x04>,
			INSP02_P4_ErrState_Data			<0x02>,
			INSP02_P4_ErrState_LiveZero		<0x01>,
			Bit1_7							<0xFE>,
			INSP02_P4_ErrOption				<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// INSP02_P4_DUMMY,
			0, 0														// INSP02_P4_Map
//			INSP02_P4_Map
			}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal4 Index8	********************************************************/
/*******************************************************************************/

COMMAND read_INSP02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP02_P4_Slot8,
			INSP02_P4_Index8,
			INSP02_P4_Mode,
			INSP02_P4_Option_Kanal			<0x8000>,
			INSP02_P4_Option_Bit1_14		<0x7FFE>,
			INSP02_P4_Option_Leitung		<0x0001>,
			INSP02_P4_ScalMb,
			INSP02_P4_ScalMe,
			Bit1_15						<0xFFFE>,
			INSP02_P4_ScalOption		<0x0001>,
			INSP02_P4_LimLow,
			INSP02_P4_LimHigh,
			INSP02_P4_Filter,
			Bit3_15						<0xFFF8>,
			INSP02_P4_HartOption		<0x0007>,
			INSP02_P4_HartPraeambel,
			INSP02_P4_HartRetry,
			INSP02_P4_LfdLow,
			INSP02_P4_LfdHigh,
			INSP02_P4_DUMMY2
		}
	}
}

COMMAND write_INSP02_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP02_P4_Slot8,
			INSP02_P4_Index8,
			INSP02_P4_Mode,
			INSP02_P4_Option_Kanal			<0x8000>,
			INSP02_P4_Option_Bit1_14		<0x7FFE>,
			INSP02_P4_Option_Leitung		<0x0001>,
			INSP02_P4_ScalMb,
			INSP02_P4_ScalMe,
			Bit1_15							<0xFFFE>,
			INSP02_P4_ScalOption			<0x0001>,
			INSP02_P4_LimLow,
			INSP02_P4_LimHigh,
			INSP02_P4_Filter,
			Bit3_15							<0xFFF8>,
			INSP02_P4_HartOption			<0x0007>,
			INSP02_P4_HartPraeambel,
			INSP02_P4_HartRetry,
			INSP02_P4_LfdLow,
			INSP02_P4_LfdHigh,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0, 		// INSP02_P4_DUMMY2  
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// INSP02_P4_DUMMY2
			0, 0, 0, 0, 0, 0										// INSP02_P4_DUMMY2
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1   ***************************************************************/
/*******************************************************************************/

MENU Tab_s_INSP02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_INSP02_ident_k1,
		Tab_s_INSP02_input_k1
	}
}

MENU Tab_s_INSP02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_Tag,
		INSP02_P1_Option_Kanal
	}
}

MENU Tab_s_INSP02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_State,
		INSP02_P1_ErrMode,
//		INSP02_P1_Filter						(READ_ONLY),
//		INSP02_P1_LimLow						(READ_ONLY),
//		INSP02_P1_LimHigh						(READ_ONLY),
		INSP02_P1_Filter,
		INSP02_P1_LimLow,
		INSP02_P1_LimHigh,
		Tab_s_INSP02_input_simulation_k1,	
		Tab_s_INSP02_input_ersatzwert_k1,
		Tab_s_INSP02_input_hart_k1,
		Tab_s_INSP02_input_skal_k1,
		Tab_s_INSP02_input_lfd_k1
	}
}

MENU Tab_s_INSP02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P1_SimVal,
		INSP02_P1_SimOption,
		INSP02_P1_SimState_LiveZero,
		INSP02_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P1_State == 1)
}

MENU Tab_s_INSP02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P1_ErrVal, //					(READ_ONLY), //fbi 26.06.2006
		INSP02_P1_ErrOption,
		INSP02_P1_ErrState_LiveZero				(READ_ONLY),
		INSP02_P1_ErrState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P1_ErrMode == 1)
}


MENU Tab_s_INSP02_input_hart_k1
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_HartOption,
		Tab_s_INSP02_input_hart_kommunikation_k1
	}
}

MENU Tab_s_INSP02_input_hart_kommunikation_k1
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_HartPraeambel,
		INSP02_P1_HartRetry
	}										
	VALIDITY	VALID_IF_TRUE ((INSP02_P1_HartOption == 1 || INSP02_P1_HartOption == 3))
}

MENU Tab_s_INSP02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_ScalOption,
		INSP02_P1_ScalMb,
		INSP02_P1_ScalMe,
	}
}

MENU Tab_s_INSP02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_Option_Leitung,
		Loc_INSP02_P1_LfdLow,
		Loc_INSP02_P1_LfdHigh
	}
}

/*******************************************************************************/
/*****	Kanal2   ***************************************************************/
/*******************************************************************************/

MENU Tab_s_INSP02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_INSP02_ident_k2,
		Tab_s_INSP02_input_k2
	}
}

MENU Tab_s_INSP02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_Tag,
		INSP02_P2_Option_Kanal
	}
}

MENU Tab_s_INSP02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_State,
		INSP02_P2_ErrMode,
//		INSP02_P2_Filter						(READ_ONLY),
//		INSP02_P2_LimLow						(READ_ONLY),
//		INSP02_P2_LimHigh						(READ_ONLY),
		INSP02_P2_Filter,
		INSP02_P2_LimLow,
		INSP02_P2_LimHigh,
		Tab_s_INSP02_input_simulation_k2,	
		Tab_s_INSP02_input_ersatzwert_k2,
		Tab_s_INSP02_input_hart_k2,
		Tab_s_INSP02_input_skal_k2,
		Tab_s_INSP02_input_lfd_k2
	}
}

MENU Tab_s_INSP02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P2_SimVal,
		INSP02_P2_SimOption,
		INSP02_P2_SimState_LiveZero,
		INSP02_P2_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P2_State == 1)
}

MENU Tab_s_INSP02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P2_ErrVal, //					(READ_ONLY), //fbi 26.06.2006
		INSP02_P2_ErrOption,
		INSP02_P2_ErrState_LiveZero				(READ_ONLY),
		INSP02_P2_ErrState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P2_ErrMode == 1)
}


MENU Tab_s_INSP02_input_hart_k2
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_HartOption,
		Tab_s_INSP02_input_hart_kommunikation_k2
	}
}

MENU Tab_s_INSP02_input_hart_kommunikation_k2
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_HartPraeambel,
		INSP02_P2_HartRetry
	}										
	VALIDITY	VALID_IF_TRUE ((INSP02_P2_HartOption == 1 || INSP02_P2_HartOption == 3))
}

MENU Tab_s_INSP02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_ScalOption,
		INSP02_P2_ScalMb,
		INSP02_P2_ScalMe,
	}
}

MENU Tab_s_INSP02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_Option_Leitung,
		Loc_INSP02_P2_LfdLow,
		Loc_INSP02_P2_LfdHigh
	}
}

/*******************************************************************************/
/*****	Kanal3   ***************************************************************/
/*******************************************************************************/

MENU Tab_s_INSP02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_INSP02_ident_k3,
		Tab_s_INSP02_input_k3
	}
}

MENU Tab_s_INSP02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_Tag,
		INSP02_P3_Option_Kanal
	}
}

MENU Tab_s_INSP02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_State,
		INSP02_P3_ErrMode,
//		INSP02_P3_Filter						(READ_ONLY),
//		INSP02_P3_LimLow						(READ_ONLY),
//		INSP02_P3_LimHigh						(READ_ONLY),
		INSP02_P3_Filter,
		INSP02_P3_LimLow,
		INSP02_P3_LimHigh,
		Tab_s_INSP02_input_simulation_k3,	
		Tab_s_INSP02_input_ersatzwert_k3,
		Tab_s_INSP02_input_hart_k3,
		Tab_s_INSP02_input_skal_k3,
		Tab_s_INSP02_input_lfd_k3
	}
}

MENU Tab_s_INSP02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P3_SimVal,
		INSP02_P3_SimOption,
		INSP02_P3_SimState_LiveZero,
		INSP02_P3_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P3_State == 1)
}

MENU Tab_s_INSP02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P3_ErrVal, //					(READ_ONLY), //fbi 26.06.2006
		INSP02_P3_ErrOption,
		INSP02_P3_ErrState_LiveZero				(READ_ONLY),
		INSP02_P3_ErrState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P3_ErrMode == 1)
}


MENU Tab_s_INSP02_input_hart_k3
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_HartOption,
		Tab_s_INSP02_input_hart_kommunikation_k3
	}
}

MENU Tab_s_INSP02_input_hart_kommunikation_k3
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_HartPraeambel,
		INSP02_P3_HartRetry
	}										
	VALIDITY	VALID_IF_TRUE ((INSP02_P3_HartOption == 1 || INSP02_P3_HartOption == 3))
}

MENU Tab_s_INSP02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_ScalOption,
		INSP02_P3_ScalMb,
		INSP02_P3_ScalMe,
	}
}

MENU Tab_s_INSP02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_Option_Leitung,
		Loc_INSP02_P3_LfdLow,
		Loc_INSP02_P3_LfdHigh
	}
}

/*******************************************************************************/
/*****	Kanal4   ***************************************************************/
/*******************************************************************************/

MENU Tab_s_INSP02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_INSP02_ident_k4,
		Tab_s_INSP02_input_k4
	}
}

MENU Tab_s_INSP02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_Tag,
		INSP02_P4_Option_Kanal
	}
}

MENU Tab_s_INSP02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_State,
		INSP02_P4_ErrMode,
//		INSP02_P4_Filter						(READ_ONLY),
//		INSP02_P4_LimLow						(READ_ONLY),
//		INSP02_P4_LimHigh						(READ_ONLY),
		INSP02_P4_Filter,
		INSP02_P4_LimLow,
		INSP02_P4_LimHigh,
		Tab_s_INSP02_input_simulation_k4,	
		Tab_s_INSP02_input_ersatzwert_k4,
		Tab_s_INSP02_input_hart_k4,
		Tab_s_INSP02_input_skal_k4,
		Tab_s_INSP02_input_lfd_k4
	}
}

MENU Tab_s_INSP02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P4_SimVal,
		INSP02_P4_SimOption,
		INSP02_P4_SimState_LiveZero,
		INSP02_P4_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P4_State == 1)
}

MENU Tab_s_INSP02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P4_ErrVal, //					(READ_ONLY), //fbi 26.06.2006
		INSP02_P4_ErrOption,
		INSP02_P4_ErrState_LiveZero				(READ_ONLY),
		INSP02_P4_ErrState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P4_ErrMode == 1)
}


MENU Tab_s_INSP02_input_hart_k4
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_HartOption,
		Tab_s_INSP02_input_hart_kommunikation_k4
	}
}

MENU Tab_s_INSP02_input_hart_kommunikation_k4
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_HartPraeambel,
		INSP02_P4_HartRetry
	}										
	VALIDITY	VALID_IF_TRUE ((INSP02_P4_HartOption == 1 || INSP02_P4_HartOption == 3))
}

MENU Tab_s_INSP02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_ScalOption,
		INSP02_P4_ScalMb,
		INSP02_P4_ScalMe,
	}
}

MENU Tab_s_INSP02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_Option_Leitung,
		Loc_INSP02_P4_LfdLow,
		Loc_INSP02_P4_LfdHigh
	}
}

/*******************************************************************************/
/*****	Table: Maintenance   ***************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1   ***************************************************************/
/*******************************************************************************/

MENU Tab_m_INSP02_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_INSP02_ident_k1,
		Tab_m_INSP02_input_k1
	}
}

MENU Tab_m_INSP02_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_Tag,
		INSP02_P1_Option_Kanal
	}
}

MENU Tab_m_INSP02_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_State							(READ_ONLY),
		INSP02_P1_ErrMode						(READ_ONLY),
		INSP02_P1_Filter						(READ_ONLY),
		INSP02_P1_LimLow						(READ_ONLY),
		INSP02_P1_LimHigh						(READ_ONLY),
		Tab_m_INSP02_input_simulation_k1,
		Tab_m_INSP02_input_ersatzwert_k1,
		Tab_m_INSP02_input_hart_k1,
		Tab_m_INSP02_input_skal_k1,
		Tab_m_INSP02_input_lfd_k1
	}
}

MENU Tab_m_INSP02_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P1_SimVal					(READ_ONLY),
		INSP02_P1_SimOption						(READ_ONLY),
		INSP02_P1_SimState_LiveZero				(READ_ONLY),
		INSP02_P1_SimState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P1_State == 1)
}


MENU Tab_m_INSP02_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P1_ErrVal					(READ_ONLY),
		INSP02_P1_ErrOption						(READ_ONLY),
		INSP02_P1_ErrState_LiveZero				(READ_ONLY),
		INSP02_P1_ErrState_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P1_ErrMode == 1)
}

MENU Tab_m_INSP02_input_hart_k1
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_HartOption,
		Tab_m_INSP02_input_hart_kommunikation_k1
	}
}

MENU Tab_m_INSP02_input_hart_kommunikation_k1
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_HartPraeambel					(READ_ONLY),
		INSP02_P1_HartRetry						(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((INSP02_P1_HartOption == 1 || INSP02_P1_HartOption == 3))
}

MENU Tab_m_INSP02_input_skal_k1
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_ScalOption					(READ_ONLY),
		INSP02_P1_ScalMb						(READ_ONLY),
		INSP02_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_INSP02_input_lfd_k1
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P1_Option_Leitung				(READ_ONLY),
		Loc_INSP02_P1_LfdLow					(READ_ONLY),
		Loc_INSP02_P1_LfdHigh					(READ_ONLY)
	}									
}

/*******************************************************************************/
/*****	Kanal2   ***************************************************************/
/*******************************************************************************/

MENU Tab_m_INSP02_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_INSP02_ident_k2,
		Tab_m_INSP02_input_k2
	}
}

MENU Tab_m_INSP02_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_Tag,
		INSP02_P2_Option_Kanal
	}
}

MENU Tab_m_INSP02_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_State						(READ_ONLY),
		INSP02_P2_ErrMode					(READ_ONLY),
		INSP02_P2_Filter					(READ_ONLY),
		INSP02_P2_LimLow					(READ_ONLY),
		INSP02_P2_LimHigh					(READ_ONLY),
		Tab_m_INSP02_input_simulation_k2,
		Tab_m_INSP02_input_ersatzwert_k2,
		Tab_m_INSP02_input_hart_k2,
		Tab_m_INSP02_input_skal_k2,
		Tab_m_INSP02_input_lfd_k2
	}
}

MENU Tab_m_INSP02_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P2_SimVal				(READ_ONLY),
		INSP02_P2_SimOption					(READ_ONLY),
		INSP02_P2_SimState_LiveZero			(READ_ONLY),
		INSP02_P2_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P2_State == 1)
}


MENU Tab_m_INSP02_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P2_ErrVal				(READ_ONLY),
		INSP02_P2_ErrOption					(READ_ONLY),
		INSP02_P2_ErrState_LiveZero			(READ_ONLY),
		INSP02_P2_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P2_ErrMode == 1)
}

MENU Tab_m_INSP02_input_hart_k2
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_HartOption,
		Tab_m_INSP02_input_hart_kommunikation_k2
	}
}

MENU Tab_m_INSP02_input_hart_kommunikation_k2
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_HartPraeambel				(READ_ONLY),
		INSP02_P2_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((INSP02_P2_HartOption == 1 || INSP02_P2_HartOption == 3))
}

MENU Tab_m_INSP02_input_skal_k2
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_ScalOption				(READ_ONLY),
		INSP02_P2_ScalMb					(READ_ONLY),
		INSP02_P2_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_INSP02_input_lfd_k2
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P2_Option_Leitung			(READ_ONLY),
		Loc_INSP02_P2_LfdLow				(READ_ONLY),
		Loc_INSP02_P2_LfdHigh				(READ_ONLY)
	}									
}

/*******************************************************************************/
/*****	Kanal3   ***************************************************************/
/*******************************************************************************/

MENU Tab_m_INSP02_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_INSP02_ident_k3,
		Tab_m_INSP02_input_k3
	}
}

MENU Tab_m_INSP02_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_Tag,
		INSP02_P3_Option_Kanal
	}
}

MENU Tab_m_INSP02_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_State						(READ_ONLY),
		INSP02_P3_ErrMode					(READ_ONLY),
		INSP02_P3_Filter					(READ_ONLY),
		INSP02_P3_LimLow					(READ_ONLY),
		INSP02_P3_LimHigh					(READ_ONLY),
		Tab_m_INSP02_input_simulation_k3,
		Tab_m_INSP02_input_ersatzwert_k3,
		Tab_m_INSP02_input_hart_k3,
		Tab_m_INSP02_input_skal_k3,
		Tab_m_INSP02_input_lfd_k3
	}
}

MENU Tab_m_INSP02_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P3_SimVal				(READ_ONLY),
		INSP02_P3_SimOption					(READ_ONLY),
		INSP02_P3_SimState_LiveZero			(READ_ONLY),
		INSP02_P3_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P3_State == 1)
}


MENU Tab_m_INSP02_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P3_ErrVal				(READ_ONLY),
		INSP02_P3_ErrOption					(READ_ONLY),
		INSP02_P3_ErrState_LiveZero			(READ_ONLY),
		INSP02_P3_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P3_ErrMode == 1)
}

MENU Tab_m_INSP02_input_hart_k3
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_HartOption,
		Tab_m_INSP02_input_hart_kommunikation_k3
	}
}

MENU Tab_m_INSP02_input_hart_kommunikation_k3
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_HartPraeambel				(READ_ONLY),
		INSP02_P3_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((INSP02_P3_HartOption == 1 || INSP02_P3_HartOption == 3))
}

MENU Tab_m_INSP02_input_skal_k3
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_ScalOption				(READ_ONLY),
		INSP02_P3_ScalMb					(READ_ONLY),
		INSP02_P3_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_INSP02_input_lfd_k3
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P3_Option_Leitung			(READ_ONLY),
		Loc_INSP02_P3_LfdLow				(READ_ONLY),
		Loc_INSP02_P3_LfdHigh				(READ_ONLY)
	}									
}

/*******************************************************************************/
/*****	Kanal4   ***************************************************************/
/*******************************************************************************/

MENU Tab_m_INSP02_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_INSP02_ident_k4,
		Tab_m_INSP02_input_k4
	}
}

MENU Tab_m_INSP02_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_Tag,
		INSP02_P4_Option_Kanal
	}
}

MENU Tab_m_INSP02_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_State						(READ_ONLY),
		INSP02_P4_ErrMode					(READ_ONLY),
		INSP02_P4_Filter					(READ_ONLY),
		INSP02_P4_LimLow					(READ_ONLY),
		INSP02_P2_LimHigh					(READ_ONLY),
		Tab_m_INSP02_input_simulation_k4,
		Tab_m_INSP02_input_ersatzwert_k4,
		Tab_m_INSP02_input_hart_k4,
		Tab_m_INSP02_input_skal_k4,
		Tab_m_INSP02_input_lfd_k4
	}
}

MENU Tab_m_INSP02_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P4_SimVal				(READ_ONLY),
		INSP02_P4_SimOption					(READ_ONLY),
		INSP02_P4_SimState_LiveZero			(READ_ONLY),
		INSP02_P4_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P4_State == 1)
}


MENU Tab_m_INSP02_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP02_P4_ErrVal				(READ_ONLY),
		INSP02_P4_ErrOption					(READ_ONLY),
		INSP02_P4_ErrState_LiveZero			(READ_ONLY),
		INSP02_P4_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP02_P4_ErrMode == 1)
}

MENU Tab_m_INSP02_input_hart_k4
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_HartOption,
		Tab_m_INSP02_input_hart_kommunikation_k4
	}
}

MENU Tab_m_INSP02_input_hart_kommunikation_k4
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_HartPraeambel				(READ_ONLY),
		INSP02_P4_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((INSP02_P4_HartOption == 1 || INSP02_P4_HartOption == 3))
}

MENU Tab_m_INSP02_input_skal_k4
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_ScalOption				(READ_ONLY),
		INSP02_P4_ScalMb					(READ_ONLY),
		INSP02_P4_ScalMe					(READ_ONLY)
	}
}

MENU Tab_m_INSP02_input_lfd_k4
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP02_P4_Option_Leitung			(READ_ONLY),
		Loc_INSP02_P4_LfdLow				(READ_ONLY),
		Loc_INSP02_P4_LfdHigh				(READ_ONLY)
	}									
}
