/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM		                    */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      INCLUDE P&F MODULE STATUS			*/
/*															*/
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.22  $                                    */
/*  $Date:   Mar 03 2000 16:33:48  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Online Window  *********************************************************/
/*******************************************************************************/

MENU OnlineWindow_diagnosis
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		P0_Type				(READ_ONLY),
		P0_Tag				(READ_ONLY),
		P0_Slot0			(READ_ONLY),
		P0_Revision
	}
}

MENU OnlineWindow_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_modul_display
	}
}

MENU	Page_modul_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Group_modul_status,
		SELECT (P0_Type) 		
		{						
			CASE MODUL_1001:	Group_DI_chan_1,	Group_DI_chan_2							// DI2C
			CASE MODUL_1101:	Group_DI_chan_1,	Group_DI_chan_2							// DI2C
			CASE MODUL_1201:	Group_DI_chan_1,	Group_DI_chan_2							// DI2C
			CASE MODUL_1301:	Group_DI_chan_1,	Group_DI_chan_2							// DI2C

			CASE MODUL_1002:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3		// DI3C
			CASE MODUL_1102:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3		// DI3C
			CASE MODUL_1202:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3		// DI3C
			CASE MODUL_1302:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3		// DI3C
			
			CASE MODUL_1008:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	//	
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// DI8C
			CASE MODUL_1108:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	//	
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// DI8C
			CASE MODUL_1208:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	//	
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// DI8C
			CASE MODUL_1308:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	//	
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// DI8C

			CASE MODUL_1003:	Group_DIFR_chan_1											// DIFR
			CASE MODUL_1103:	Group_DIFR_chan_1											// DIFR
			CASE MODUL_1203:	Group_DIFR_chan_1											// DIFR
			CASE MODUL_1303:	Group_DIFR_chan_1											// DIFR

			CASE MODUL_2002:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2101:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2102:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2103:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2104:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2105:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2106:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2107:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2108:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2109:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2110:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2111:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2112:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2113:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2201:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2202:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2203:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2204:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2205:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2206:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2207:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2208:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2209:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2210:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2211:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2212:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO
			CASE MODUL_2213:	Group_DO_chan_1,	Group_DO_chan_2,	Group_DO_chan_3		// DIDO

			CASE MODUL_3101:	Group_AI_chan_1												// INSP	
			CASE MODUL_3201:	Group_AI_chan_1												// INSP		
			CASE MODUL_3002:	Group_AI_chan_1												// INSP	
			CASE MODUL_3102:	Group_AI_chan_1												// INSP		
			CASE MODUL_3202:	Group_AI_chan_1												// INSP		
			CASE MODUL_3302:	Group_AI_chan_1												// INSP		
			CASE MODUL_3103:	Group_AI_chan_1												// INSP	
			CASE MODUL_3203:	Group_AI_chan_1												// INSP	
			CASE MODUL_3104:	Group_AI_chan_1_4, 	Group_AI_chan_2_4,						//	
								Group_AI_chan_3_4, 	Group_AI_chan_4_4						// INSP02	
			CASE MODUL_3204:	Group_AI_chan_1_4, 	Group_AI_chan_2_4,						//	
								Group_AI_chan_3_4, 	Group_AI_chan_4_4						// INSP02
			CASE MODUL_3005:	Group_AI_chan_1_4, 	Group_AI_chan_2_4,						//	
								Group_AI_chan_3_4, 	Group_AI_chan_4_4						// INSP02
			CASE MODUL_3105:	Group_AI_chan_1_4, 	Group_AI_chan_2_4,						//
								Group_AI_chan_3_4, 	Group_AI_chan_4_4						// INSP02	
			CASE MODUL_3205:	Group_AI_chan_1_4, 	Group_AI_chan_2_4,						//	
								Group_AI_chan_3_4, 	Group_AI_chan_4_4						// INSP02

			CASE MODUL_4101:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4201:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4002:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4102:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4202:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4302:	Group_AO_chan_1												// OUSP	
			CASE MODUL_4104:	Group_AO_chan_1_4, 	Group_AO_chan_2_4,						//	
								Group_AO_chan_3_4, 	Group_AO_chan_4_4						// OUSP02	
			CASE MODUL_4204:	Group_AO_chan_1_4, 	Group_AO_chan_2_4,						//	
								Group_AO_chan_3_4, 	Group_AO_chan_4_4						// OUSP02
			CASE MODUL_4005:	Group_AO_chan_1_4, 	Group_AO_chan_2_4,						//	
								Group_AO_chan_3_4, 	Group_AO_chan_4_4						// OUSP02
			CASE MODUL_4105:	Group_AO_chan_1_4, 	Group_AO_chan_2_4,						//	
								Group_AO_chan_3_4, 	Group_AO_chan_4_4						// OUSP02
			CASE MODUL_4205:	Group_AO_chan_1_4, 	Group_AO_chan_2_4,						//	
								Group_AO_chan_3_4, 	Group_AO_chan_4_4						// OUSP02

			CASE MODUL_5001:	Group_AI_chan_1												// TempR
			CASE MODUL_5101:	Group_AI_chan_1												// TempR
			CASE MODUL_5201:	Group_AI_chan_1												// TempR

			CASE MODUL_5002:	Group_AI_chan_1												// TempTC
			CASE MODUL_5102:	Group_AI_chan_1												// TempTC
			CASE MODUL_5202:	Group_AI_chan_1												// TempTC

			CASE MODUL_5004:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//	
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempR02
			CASE MODUL_5104:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//	
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempR02
			CASE MODUL_5204:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//	
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempR02

			CASE MODUL_5005:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//		
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempTC02
			CASE MODUL_5105:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//	
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempTC02
			CASE MODUL_5205:	Group_AI_chan_1_4, 			Group_AI_chan_2_4,				//	
								Group_AI_chan_3_4, 			Group_AI_chan_4_4				// TempTC02

			CASE MODUL_5006:	Group_AI_chan_1												// VOIN
			CASE MODUL_5106:	Group_AI_chan_1												// VOIN
			CASE MODUL_5206:	Group_AI_chan_1												// VOIN

			CASE MODUL_6101:	Group_DI_chan_1,	Group_DI_chan_2							// RL2C
			CASE MODUL_6301:	Group_DI_chan_1,	Group_DI_chan_2							// RL2C

			CASE MODUL_6005:	Group_DI_chan_1,	Group_DI_chan_2,						// 
								Group_DI_chan_3,	Group_DI_chan_4							// RL4C
			CASE MODUL_6305:	Group_DI_chan_1,	Group_DI_chan_2,						// 
								Group_DI_chan_3,	Group_DI_chan_4							// RL4C

			CASE MODUL_6006:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	// 
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// RL8C
			CASE MODUL_6306:	Group_DI_chan_1,	Group_DI_chan_2,	Group_DI_chan_3,	// 
								Group_DI_chan_4,	Group_DI_chan_5,	Group_DI_chan_6,	//
								Group_DI_chan_7,	Group_DI_chan_8							// RL8C

			CASE MODUL_6008:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4,	Group02_DO_chan_5,	Group02_DO_chan_6,	//
								Group02_DO_chan_7,	Group02_DO_chan_8						// DIDO02
			CASE MODUL_6108:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4,	Group02_DO_chan_5,	Group02_DO_chan_6,	//
								Group02_DO_chan_7,	Group02_DO_chan_8						// DIDO02
			CASE MODUL_6208:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4,	Group02_DO_chan_5,	Group02_DO_chan_6,	//
								Group02_DO_chan_7,	Group02_DO_chan_8						// DIDO02
			CASE MODUL_6308:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4,	Group02_DO_chan_5,	Group02_DO_chan_6,	//
								Group02_DO_chan_7,	Group02_DO_chan_8						// DIDO02

			CASE MODUL_6010:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6110:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6210:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6111:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6211:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6112:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6212:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6113:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6213:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6114:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
			CASE MODUL_6214:	Group02_DO_chan_1,	Group02_DO_chan_2,	Group02_DO_chan_3,	//
								Group02_DO_chan_4											// DIDO03
		}
	}
}


MENU	Group_modul_status
{
	LABEL	[modulstatus];
	ITEMS
	{
		P0_Type					(READ_ONLY),
//		modul_status_active,
//		modul_status_error
		modul_status_active7,
		modul_status_active6,
		modul_status_active5,
//		modul_status_active4,
		modul_status_error	
	}
}

MENU	Group_DI_chan_1
{
	LABEL	[menu_kanal1];
	ITEMS
	{
		Val_digital_chan_1,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group_DI_chan_2
{
	LABEL	[menu_kanal2];
	ITEMS
	{
		Val_digital_chan_2,
		SEPARATOR,
		modul_status_LFD_2
	}
}

MENU	Group_DI_chan_3
{
	LABEL	[menu_kanal3];
	ITEMS
	{
		Val_digital_chan_3,
		SEPARATOR,
		modul_status_LFD_3
	}
}
MENU	Group_DI_chan_4
{
	LABEL	[menu_kanal4];
	ITEMS
	{
		Val_digital_chan_4,
		SEPARATOR,
		modul_status_LFD_4
	}
}
MENU	Group_DI_chan_5
{
	LABEL	[menu_kanal5];
	ITEMS
	{
		Val_digital_chan_5,
		SEPARATOR,
		modul_status_LFD_5
	}
}
MENU	Group_DI_chan_6
{
	LABEL	[menu_kanal6];
	ITEMS
	{
		Val_digital_chan_6,
		SEPARATOR,
		modul_status_LFD_6
	}
}
MENU	Group_DI_chan_7
{
	LABEL	[menu_kanal7];
	ITEMS
	{
		Val_digital_chan_7,
		SEPARATOR,
		modul_status_LFD_7
	}
}
MENU	Group_DI_chan_8
{
	LABEL	[menu_kanal8];
	ITEMS
	{
		Val_digital_chan_8,
		SEPARATOR,
		modul_status_LFD_8
	}
}
/*
MENU	Group_DO_chan_1
{
	LABEL	[ventil];
	ITEMS
	{
		Val_digital_chan_1,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group_DO_chan_2
{
	LABEL	[menu_rueckmeldung1];
	ITEMS
	{
		Val_digital_chan_2,
		SEPARATOR,
		modul_status_LFD_2
	}
}

MENU	Group_DO_chan_3
{
	LABEL	[menu_rueckmeldung2];
	ITEMS
	{
		Val_digital_chan_3,
		SEPARATOR,
		modul_status_LFD_3
	}
}
*/
MENU	Group_DO_chan_1
{
	LABEL	[ventil];
	ITEMS
	{
		Val_digitalout_chan_1,
		SEPARATOR,
		modul_statusout_LFD_1
	}
}

MENU	Group_DO_chan_2
{
	LABEL	[menu_rueckmeldung1];
	ITEMS
	{
		Val_digitalout_chan_2,
		SEPARATOR,
		modul_statusout_LFD_2
	}
}

MENU	Group_DO_chan_3
{
	LABEL	[menu_rueckmeldung2];
	ITEMS
	{
		Val_digitalout_chan_3,
		SEPARATOR,
		modul_statusout_LFD_3
	}
}

MENU	Group02_DO_chan_1
{
	LABEL	[ventil1];
	ITEMS
	{
		Val_digital_chan_1,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group02_DO_chan_2
{
	LABEL	[ventil2];
	ITEMS
	{
		Val_digital_chan_2,
		SEPARATOR,
		modul_status_LFD_2
	}
}

MENU	Group02_DO_chan_3
{
	LABEL	[ventil3];
	ITEMS
	{
		Val_digital_chan_3,
		SEPARATOR,
		modul_status_LFD_3
	}
}

MENU	Group02_DO_chan_4
{
	LABEL	[ventil4];
	ITEMS
	{
		Val_digital_chan_4,
		SEPARATOR,
		modul_status_LFD_4
	}
}

MENU	Group02_DO_chan_5
{
	LABEL	[ventil5];
	ITEMS
	{
		Val_digital_chan_5,
		SEPARATOR,
		modul_status_LFD_5
	}
}

MENU	Group02_DO_chan_6
{
	LABEL	[ventil6];
	ITEMS
	{
		Val_digital_chan_6,
		SEPARATOR,
		modul_status_LFD_6
	}
}

MENU	Group02_DO_chan_7
{
	LABEL	[ventil7];
	ITEMS
	{
		Val_digital_chan_7,
		SEPARATOR,
		modul_status_LFD_7
	}
}

MENU	Group02_DO_chan_8
{
	LABEL	[ventil8];
	ITEMS
	{
		Val_digital_chan_8,
		SEPARATOR,
		modul_status_LFD_8
	}
}

MENU	Group_DIFR_chan_1
{
	LABEL	[menu_kanal1];
	ITEMS
	{
		IF (DIFR_P1_Mode == 0)
		{
			modul_meas_value_AI_12	(HIDDEN),
			BarVal_AI_chan_12,
		}
		IF (DIFR_P1_Mode == 1)
		{
			modul_meas_value_AI_12	(HIDDEN),
			BarVal_AI_chan_12,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 2)
		{
			Val_digital_counter32,
			method_set_zaehler_0,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 3)
		{
			Val_digital_counter32,
			method_set_zaehler_0,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 4)
		{
			Val_digital_counter12//,
//			method_set_zaehler_0,
//			DIFR_P1_Richtung		(READ_ONLY),
//			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 5)
		{
			Val_digital_counter12,
//			method_set_zaehler_0,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 8)
		{
			modul_meas_value_AI_12	(HIDDEN),
			BarVal_AI_chan_12,
			SEPARATOR,
			Val_digital_counter32,
			method_set_zaehler_0,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		IF (DIFR_P1_Mode == 9)
		{
			modul_meas_value_AI_12	(HIDDEN),
			BarVal_AI_chan_12,
			SEPARATOR,
			Val_digital_counter32,
			method_set_zaehler_0,
			DIFR_P1_Richtung		(READ_ONLY),
			DIFR_P1_Zustand			(READ_ONLY),
		}
		SEPARATOR,
		modul_status_LFD_A_1
	}
}

MENU	Group_AI_chan_1
{
	LABEL	[menu_kanal1];
	ITEMS
	{
		modul_meas_value_AI			(HIDDEN),
		BarVal_AI_chan_1,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group_AI_chan_1_4
{
	LABEL	[menu_kanal1];
	ITEMS
	{
//		modul_meas_value_AI_1,
		modul_meas_value_AI_1		(HIDDEN),
		BarVal_AI_chan_1,
		SEPARATOR,
		modul_status_LFD_A_1
	}
}

MENU	Group_AI_chan_2_4
{
	LABEL	[menu_kanal2];
	ITEMS
	{
		modul_meas_value_AI_2		(HIDDEN),
		BarVal_AI_chan_2,
		SEPARATOR,
		modul_status_LFD_A_2
	}
}

MENU	Group_AI_chan_3_4
{
	LABEL	[menu_kanal3];
	ITEMS
	{
		modul_meas_value_AI_3		(HIDDEN),
		BarVal_AI_chan_3,
		SEPARATOR,
		modul_status_LFD_A_3
	}
}

MENU	Group_AI_chan_4_4
{
	LABEL	[menu_kanal4];
	ITEMS
	{
		modul_meas_value_AI_4		(HIDDEN),
		BarVal_AI_chan_4,
		SEPARATOR,
		modul_status_LFD_A_4
	}
}

MENU	Group_AO_chan_1
{
	LABEL	[menu_kanal1];
	ITEMS
	{
		modul_meas_value_AO			(HIDDEN),
//		modul_meas_value_AO_PCS		(HIDDEN),
		IF 	(Mod4y5y_P1_State == 1)
		{
			Loc_Mod4y5y_P1_SimVal		(READ_ONLY)
		}
		BarVal_AO_chan_1_1,
//		BarVal_AO_chan_1_2,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group_AO_chan_1_4
{
	LABEL	[menu_kanal1];
	ITEMS
	{
		modul_meas_value_AO_1			(HIDDEN),
		IF 	(Mod4y5y_P1_State == 1)
		{
			Loc_Mod4y5y_P1_SimVal		(READ_ONLY)
		}
		BarVal_AO_chan_1_1,
		SEPARATOR,
		modul_status_LFD_1
	}
}

MENU	Group_AO_chan_2_4
{
	LABEL	[menu_kanal2];
	ITEMS
	{
		modul_meas_value_AO_2			(HIDDEN),
		IF 	(Mod4y5y_P2_State == 1)
		{
			Loc_Mod4y5y_P2_SimVal		(READ_ONLY)
		}
		BarVal_AO_chan_2_1,
		SEPARATOR,
		modul_status_LFD_2
	}
}

MENU	Group_AO_chan_3_4
{
	LABEL	[menu_kanal3];
	ITEMS
	{
		modul_meas_value_AO_3			(HIDDEN),
		IF 	(Mod4y5y_P3_State == 1)
		{
			Loc_Mod4y5y_P3_SimVal		(READ_ONLY)
		}
		BarVal_AO_chan_3_1,
		SEPARATOR,
		modul_status_LFD_3
	}
}

MENU	Group_AO_chan_4_4
{
	LABEL	[menu_kanal4];
	ITEMS
	{
		modul_meas_value_AO_4			(HIDDEN),
		IF 	(Mod4y5y_P4_State == 1)
		{
			Loc_Mod4y5y_P4_SimVal		(READ_ONLY)
		}
		BarVal_AO_chan_4_1,
		SEPARATOR,
		modul_status_LFD_4
	}
}

MENU	Val_digitalout_chan_1
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binaryout_value_1
	}
}

MENU	Val_digitalout_chan_2
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binaryout_value_2
	}
}

MENU	Val_digitalout_chan_3
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binaryout_value_3
	}
}
MENU	Val_digital_chan_1
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_1
	}
}

MENU	Val_digital_chan_2
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_2
	}
}

MENU	Val_digital_chan_3
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_3
	}
}

MENU	Val_digital_chan_4
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_4
	}
}
MENU	Val_digital_chan_5
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_5
	}
}
MENU	Val_digital_chan_6
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_6
	}
}
MENU	Val_digital_chan_7
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_7
	}
}
MENU	Val_digital_chan_8
{
	LABEL	[binary_value];		
	ITEMS
	{
		modul_meas_binary_value_8
	}
}
/*
MENU	Val_digital_counter
{
	LABEL	[counter];
	ITEMS
	{
		modul_meas_value_counter
	}
}
*/

MENU	Val_digital_counter12
{
	LABEL	[counter];
	ITEMS
	{
		modul_meas_value_counter12
	}
}

MENU	Val_digital_counter32
{
	LABEL	[counter];
	ITEMS
	{
		modul_meas_value_counter32
	}
}


MENU	BarVal_AI_chan_12
{
	LABEL	[analog_input_value];		
	ITEMS
	{
		Loc_modul_analog_value_1_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_1y03:	Loc_DIFR_P1_FrqMb,	Loc_DIFR_P1_FrqMe
		}
	}
}

				
MENU	BarVal_AI_chan_1
{
	LABEL	[analog_input_value];		
	ITEMS
	{
		Loc_modul_analog_value_1_1,
		SELECT (P0_Type & MODUL_MASK)
		{
//			CASE MODUL_1y03:	Loc_DIFR_P1_FrqMb,	Loc_DIFR_P1_FrqMe

			CASE MODUL_3y01:	Loc_INSP_P1_Mb,		Loc_INSP_P1_Me
			CASE MODUL_3y02:	Loc_INSP_P1_Mb,		Loc_INSP_P1_Me
			CASE MODUL_3y03:	Loc_INSP_P1_Mb,		Loc_INSP_P1_Me
			CASE MODUL_3y04:	Loc_INSP02_P1_Mb,	Loc_INSP02_P1_Me
			CASE MODUL_3y05:	Loc_INSP02_P1_Mb,	Loc_INSP02_P1_Me
			
			CASE MODUL_5y01:	IF (SENSOR_RTD_R)
								{
									Loc_TempR_R_P1_Mb,	Loc_TempR_R_P1_Me
								}
								ELSE	
								{
									IF (SENSOR_RTD_TEMP && SENSOR_RTD_UNIT_C)
									{
										Loc_TempR_TC_P1_Mb,	Loc_TempR_TC_P1_Me
									}
									ELSE
									{
										Loc_TempR_TF_P1_Mb,	Loc_TempR_TF_P1_Me
									}
								}


			CASE MODUL_5y02:	IF (SENSOR_TC_VOLT)
								{
									Loc_VoltTC_P1_Mb,	Loc_VoltTC_P1_Me
								}
								ELSE 
								{
									IF (SENSOR_TC_TEMP && SENSOR_TC_UNIT_C)
									{
										Loc_TempTCC_P1_Mb,	Loc_TempTCC_P1_Me
									}
									ELSE
									{
										Loc_TempTCF_P1_Mb,	Loc_TempTCF_P1_Me
									}
								}

			CASE MODUL_5y04:	IF (SENSOR_RTD_R_01)
								{
									Loc_TempR02_R_P1_Mb,	Loc_TempR02_R_P1_Me
								}
								ELSE	
								{
									IF (SENSOR_RTD_TEMP_01 && SENSOR_RTD_UNIT_C_01)
									{
										Loc_TempR02_TC_P1_Mb,	Loc_TempR02_TC_P1_Me
									}
									ELSE
									{
										Loc_TempR02_TF_P1_Mb,	Loc_TempR02_TF_P1_Me
									}
								}


			CASE MODUL_5y05:	IF (SENSOR_TC_VOLT_01)
								{
									Loc_VoltTC02_P1_Mb,		Loc_VoltTC02_P1_Me
								}
								ELSE 
								{
									IF (SENSOR_TC_TEMP_01 && SENSOR_TC_UNIT_C_01)
									{
										Loc_TempTCC02_P1_Mb,	Loc_TempTCC02_P1_Me
									}
									ELSE
									{
										Loc_TempTCF02_P1_Mb,	Loc_TempTCF02_P1_Me
									}
								}

			CASE MODUL_5y06:	Loc_VOIN_P1_Mb,		Loc_VOIN_P1_Me	
		}
	}
}

MENU	BarVal_AI_chan_2
{
	LABEL	[analog_input_value];		
	ITEMS
	{
		Loc_modul_analog_value_2_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_3y04:	Loc_INSP02_P2_Mb,		Loc_INSP02_P2_Me
			CASE MODUL_3y05:	Loc_INSP02_P2_Mb,		Loc_INSP02_P2_Me
			
			CASE MODUL_5y04:	IF (SENSOR_RTD_R_02)
								{
									Loc_TempR02_R_P2_Mb,	Loc_TempR02_R_P2_Me
								}
								ELSE	
								{
									IF (SENSOR_RTD_TEMP_02 && SENSOR_RTD_UNIT_C_02)
									{
										Loc_TempR02_TC_P2_Mb,	Loc_TempR02_TC_P2_Me
									}
									ELSE
									{
										Loc_TempR02_TF_P2_Mb,	Loc_TempR02_TF_P2_Me
									}
								}


			CASE MODUL_5y05:	IF (SENSOR_TC_VOLT_02)
								{
									Loc_VoltTC02_P2_Mb,		Loc_VoltTC02_P2_Me
								}
								ELSE 
								{
									IF (SENSOR_TC_TEMP_02 && SENSOR_TC_UNIT_C_02)
									{
										Loc_TempTCC02_P2_Mb,	Loc_TempTCC02_P2_Me
									}
									ELSE
									{
										Loc_TempTCF02_P2_Mb,	Loc_TempTCF02_P2_Me
									}
								}
		}
	}
}

MENU	BarVal_AI_chan_3
{
	LABEL	[analog_input_value];		
	ITEMS
	{
		Loc_modul_analog_value_3_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_3y04:	Loc_INSP02_P3_Mb,		Loc_INSP02_P3_Me
			CASE MODUL_3y05:	Loc_INSP02_P3_Mb,		Loc_INSP02_P3_Me
			
			CASE MODUL_5y04:	IF (SENSOR_RTD_R_03)
								{
									Loc_TempR02_R_P3_Mb,	Loc_TempR02_R_P3_Me
								}
								ELSE	
								{
									IF (SENSOR_RTD_TEMP_03 && SENSOR_RTD_UNIT_C_03)
									{
										Loc_TempR02_TC_P3_Mb,	Loc_TempR02_TC_P3_Me
									}
									ELSE
									{
										Loc_TempR02_TF_P3_Mb,	Loc_TempR02_TF_P3_Me
									}
								}


			CASE MODUL_5y05:	IF (SENSOR_TC_VOLT_03)
								{
									Loc_VoltTC02_P3_Mb,		Loc_VoltTC02_P3_Me
								}
								ELSE 
								{
									IF (SENSOR_TC_TEMP_03 && SENSOR_TC_UNIT_C_03)
									{
										Loc_TempTCC02_P3_Mb,	Loc_TempTCC02_P3_Me
									}
									ELSE
									{
										Loc_TempTCF02_P3_Mb,	Loc_TempTCF02_P3_Me
									}
								}
		}
	}
}

MENU	BarVal_AI_chan_4
{
	LABEL	[analog_input_value];		
	ITEMS
	{
		Loc_modul_analog_value_4_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_3y04:	Loc_INSP02_P4_Mb,		Loc_INSP02_P4_Me
			CASE MODUL_3y05:	Loc_INSP02_P4_Mb,		Loc_INSP02_P4_Me
			
			CASE MODUL_5y04:	IF (SENSOR_RTD_R_04)
								{
									Loc_TempR02_R_P4_Mb,	Loc_TempR02_R_P4_Me
								}
								ELSE	
								{
									IF (SENSOR_RTD_TEMP_04 && SENSOR_RTD_UNIT_C_04)
									{
										Loc_TempR02_TC_P4_Mb,	Loc_TempR02_TC_P4_Me
									}
									ELSE
									{
										Loc_TempR02_TF_P4_Mb,	Loc_TempR02_TF_P4_Me
									}
								}


			CASE MODUL_5y05:	IF (SENSOR_TC_VOLT_04)
								{
									Loc_VoltTC02_P4_Mb,		Loc_VoltTC02_P4_Me
								}
								ELSE 
								{
									IF (SENSOR_TC_TEMP_04 && SENSOR_TC_UNIT_C_04)
									{
										Loc_TempTCC02_P4_Mb,	Loc_TempTCC02_P4_Me
									}
									ELSE
									{
										Loc_TempTCF02_P4_Mb,	Loc_TempTCF02_P4_Me
									}
								}
		}
	}
}

MENU	BarVal_AO_chan_1_1
{
	LABEL	[analog_output_value];
	ITEMS
	{
		Loc_modul_analog_value_1_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y01:	Loc_OUSP_P1_Mb,		Loc_OUSP_P1_Me
			CASE MODUL_4y02:	Loc_OUSP_P1_Mb,		Loc_OUSP_P1_Me
			CASE MODUL_4y03:	Loc_OUSP_P1_Mb,		Loc_OUSP_P1_Me
			CASE MODUL_4y04:	Loc_OUSP02_P1_Mb,	Loc_OUSP02_P1_Me
			CASE MODUL_4y05:	Loc_OUSP02_P1_Mb,	Loc_OUSP02_P1_Me
		}
	}
}

/*
MENU	BarVal_AO_chan_1_2
{
	LABEL	[analog_output_value_PCS];
	ITEMS
	{
		Loc_modul_analog_value_1_2,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y01:	Loc_OUSP_P1_Mb_PCS,		Loc_OUSP_P1_Me_PCS
			CASE MODUL_4y02:	Loc_OUSP_P1_Mb_PCS,		Loc_OUSP_P1_Me_PCS
			CASE MODUL_4y03:	Loc_OUSP_P1_Mb_PCS,		Loc_OUSP_P1_Me_PCS
			CASE MODUL_4y04:	Loc_OUSP02_P1_Mb_PCS,	Loc_OUSP02_P1_Me_PCS
			CASE MODUL_4y05:	Loc_OUSP02_P1_Mb_PCS,	Loc_OUSP02_P1_Me_PCS
		}
	}
}
*/
MENU	BarVal_AO_chan_2_1
{
	LABEL	[analog_output_value];
	ITEMS
	{
		Loc_modul_analog_value_2_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P2_Mb,	Loc_OUSP02_P2_Me
			CASE MODUL_4y05:	Loc_OUSP02_P2_Mb,	Loc_OUSP02_P2_Me
		}			
	}
}
/*
MENU	BarVal_AO_chan_2_2
{
	LABEL	[analog_output_value_PCS];
	ITEMS
	{
		Loc_modul_analog_value_2_2,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P2_Mb_PCS,	Loc_OUSP02_P2_Me_PCS
			CASE MODUL_4y05:	Loc_OUSP02_P2_Mb_PCS,	Loc_OUSP02_P2_Me_PCS
		}
	}
}
*/
MENU	BarVal_AO_chan_3_1
{
	LABEL	[analog_output_value];
	ITEMS
	{
		Loc_modul_analog_value_3_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P3_Mb,	Loc_OUSP02_P3_Me
			CASE MODUL_4y05:	Loc_OUSP02_P3_Mb,	Loc_OUSP02_P3_Me
		}
	}
}
/*
MENU	BarVal_AO_chan_3_2
{
	LABEL	[analog_output_value_PCS];
	ITEMS
	{
		Loc_modul_analog_value_3_2,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P3_Mb_PCS,	Loc_OUSP02_P3_Me_PCS
			CASE MODUL_4y05:	Loc_OUSP02_P3_Mb_PCS,	Loc_OUSP02_P3_Me_PCS
		}
	}
}
*/
MENU	BarVal_AO_chan_4_1
{
	LABEL	[analog_output_value];
	ITEMS
	{
		Loc_modul_analog_value_4_1,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P4_Mb,	Loc_OUSP02_P4_Me
			CASE MODUL_4y05:	Loc_OUSP02_P4_Mb,	Loc_OUSP02_P4_Me
		}
	}
}
/*
MENU	BarVal_AO_chan_4_2
{
	LABEL	[analog_output_value_PCS];
	ITEMS
	{
		Loc_modul_analog_value_4_2,
		SELECT (P0_Type & MODUL_MASK)
		{
			CASE MODUL_4y04:	Loc_OUSP02_P4_Mb_PCS,	Loc_OUSP02_P4_Me_PCS
			CASE MODUL_4y05:	Loc_OUSP02_P4_Mb_PCS,	Loc_OUSP02_P4_Me_PCS
		}
	}
}
*/
/*******************************************************************************/
/*****	Variablen **************************************************************/
/*******************************************************************************/

VARIABLE	modul_status_active7
{
	LABEL		[P0_Option_Modul];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[active]		}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active6
{
	LABEL		[betriebsart];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[inv_normal	]					},
		{	0x01,	[modul_status_simulation]		}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active5
{
	LABEL		[fehlercode];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[no_error		]	},
		{	0x01,	[error_code_0_3	]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active4
{
	LABEL		[Status_Bit4];
//    TYPE        ASCII (1);
	TYPE		ENUMERATED(1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	modul_status_active
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active_A_4C
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active_AI_1C
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active_AO_1C
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active_Temp_1C
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_active_Temp_4C
{
	LABEL		[P0_Option_Modul];
	HELP		[P0_Option_Modul_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0x00,	[passive]		},
		{	0x01,	[passive]		},
		{	0x02,	[passive]		},
		{	0x03,	[passive]		},
		{	0x04,	[active]		},
		{	0x05,	[active]		},
		{	0x06,	[modul_status_simulation]	},
		{	0x07,	[modul_status_simulation]	}
	}
	HANDLING	READ;
}

/*
modul_status_active_A_4C		LIKE	VARIABLE modul_status_active
{
}

modul_status_active_AI_1C		LIKE	VARIABLE modul_status_active
{
}

modul_status_active_AO_1C		LIKE	VARIABLE modul_status_active
{
}

modul_status_active_Temp_1C		LIKE	VARIABLE modul_status_active
{
}

modul_status_active_Temp_4C		LIKE	VARIABLE modul_status_active
{
}
*/

VARIABLE modul_status_error
{
	LABEL		[status];		
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0,	[no_error]					},
		{	1,	[time_out_not_installed]	},
		{	2,	[error_internal]			},
		{	3,	[error_internal]			},
		{	4,	[error_internal]			},
		{	5,	[error_internal]			},
		{	6,	[error_internal]			},
		{	7,	[modul_DUMMY_1]				},
		{	8,	[modul_DUMMY_1]				},
		{	9,	[wrong_type_installed]		},
		{	10,	[line_fault]				},
		{	11,	[module_error]				},
		{	12,	[modul_DUMMY_1]				},
		{	13,	[modul_DUMMY_1]				},
		{	14,	[modul_DUMMY_1]				},
		{	15,	[modul_DUMMY_1]				}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_byte_3
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER(1);
	HANDLING	READ;
}

VARIABLE	modul_status_byte_4
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER(1);
	HANDLING	READ;
}

VARIABLE	modul_statusout_LFD_1
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_statusout_LFD_2
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_statusout_LFD_3
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}


VARIABLE	modul_status_LFD_1
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_2
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_3
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_4
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_5
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_6
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_7
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_8
{
	LABEL		[status];		
	HELP		[modul_status_LFD_chan_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		ENUMERATED
	{
//		{	0,	[no_error]		},
//		{	1,	[line_fault]	}
		{	0,	[daten_ok]			},
		{	1,	[daten_ungueltig]	}
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_binaryout_value_1
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binaryout_value_2
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binaryout_value_3
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_1
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_2
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_3
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_4
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_5
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_6
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_7
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}

VARIABLE	modul_meas_binary_value_8
{
	LABEL		[binary_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER;
	HANDLING	READ;
}
/*
modul_meas_binary_value_2		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_3		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_4		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_5		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_6		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_7		LIKE	VARIABLE modul_meas_binary_value_1
{
}

modul_meas_binary_value_8		LIKE	VARIABLE modul_meas_binary_value_1
{
}
*/

VARIABLE	modul_status_LFD_A_1
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_A_2
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_A_3
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_status_LFD_A_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*
modul_status_LFD_A_1			LIKE	VARIABLE modul_meas_value_status_AI_1
{
}

modul_status_LFD_A_2			LIKE	VARIABLE modul_status_LFD_A_1
{
}

modul_status_LFD_A_3			LIKE	VARIABLE modul_status_LFD_A_1
{
}

modul_status_LFD_A_4			LIKE	VARIABLE modul_status_LFD_A_1
{
}
*/
/*
modul_status_error_A_4C			LIKE	VARIABLE modul_status_error
{
}

modul_status_error_AI_1C		LIKE	VARIABLE modul_status_error
{
}
		
modul_status_LFD_AI_1C			LIKE	VARIABLE modul_status_error
{
}

modul_status_error_AO_1C		LIKE	VARIABLE modul_status_error
{
}

modul_status_error_Temp_1C		LIKE	VARIABLE modul_status_error
{
}

modul_status_error_Temp_4C		LIKE	VARIABLE modul_status_error
{
}
*/

VARIABLE	modul_meas_value_AI
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value1(modul_meas_value_AI, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_12
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value1(modul_meas_value_AI_12, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AO
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value1(modul_meas_value_AO, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_1
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value1(modul_meas_value_AI_1, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_2
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value2(modul_meas_value_AI_2, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_3
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value3(modul_meas_value_AI_3, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_4
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value4(modul_meas_value_AI_4, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AO_1
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value1(modul_meas_value_AO_1, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AO_2
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value2(modul_meas_value_AO_2, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AO_3
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value3(modul_meas_value_AO_3, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AO_4
{
	LABEL		[measuring_value];		
	HELP		[measuring_value_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	SCALE_ACTIONS
	{
		method_scale_analog_value4(modul_meas_value_AO_4, 0)
	}
	HANDLING	READ;
}

VARIABLE	modul_meas_value_counter12
{
	LABEL		[counter];		
	HELP		[counter_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (2);
	HANDLING	READ;
}

VARIABLE	modul_meas_value_counter32
{
	LABEL		[counter];		
	HELP		[counter_help];
	CLASS		CONTAINED & DYNAMIC;
	TYPE		UNSIGNED_INTEGER (4);
	HANDLING	READ;
}

VARIABLE	Loc_modul_analog_value_1_1
{
	LABEL		[measuring_value];
	HELP		[measuring_value_help];
	CLASS		LOCAL;
	TYPE		FLOAT;
	CONSTANT_UNIT	Loc_modul_meas_unit_1_1;
	HANDLING	READ;
}

VARIABLE	Loc_modul_analog_value_2_1
{
	LABEL		[measuring_value];
	HELP		[measuring_value_help];
	CLASS		LOCAL;
	TYPE		FLOAT;
	CONSTANT_UNIT	Loc_modul_meas_unit_2_1;
	HANDLING	READ;
}

VARIABLE	Loc_modul_analog_value_3_1
{
	LABEL		[measuring_value];
	HELP		[measuring_value_help];
	CLASS		LOCAL;
	TYPE		FLOAT;
	CONSTANT_UNIT	Loc_modul_meas_unit_3_1;
	HANDLING	READ;
}

VARIABLE	Loc_modul_analog_value_4_1
{
	LABEL		[measuring_value];
	HELP		[measuring_value_help];
	CLASS		LOCAL;
	TYPE		FLOAT;
	CONSTANT_UNIT	Loc_modul_meas_unit_4_1;
	HANDLING	READ;
}
/*
Loc_modul_analog_value_2_1	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_2_1;
}

Loc_modul_analog_value_3_1	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_3_1;
}

Loc_modul_analog_value_4_1	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_4_1;
}
*/
/*
Loc_modul_analog_value_1_2	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_1_2;
}

Loc_modul_analog_value_2_2	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_2_2;
}

Loc_modul_analog_value_3_2	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_3_2;
}

Loc_modul_analog_value_4_2	LIKE VARIABLE	Loc_modul_analog_value_1_1
{
	REDEFINE	CONSTANT_UNIT	Loc_modul_meas_unit_4_2;
}
*/
VARIABLE	modul_meas_value_lzero_AI_1
{
	LABEL		[State_LiveZero];
	HELP		[State_LiveZero_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_lzero_AI_2
{
	LABEL		[State_LiveZero];
	HELP		[State_LiveZero_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_lzero_AI_3
{
	LABEL		[State_LiveZero];
	HELP		[State_LiveZero_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_lzero_AI_4
{
	LABEL		[State_LiveZero];
	HELP		[State_LiveZero_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*
modul_meas_value_lzero_AI_2			LIKE	VARIABLE modul_meas_value_lzero_AI_1
{
}

modul_meas_value_lzero_AI_3			LIKE	VARIABLE modul_meas_value_lzero_AI_1
{
}

modul_meas_value_lzero_AI_4			LIKE	VARIABLE modul_meas_value_lzero_AI_1
{
}
*/

VARIABLE	modul_meas_value_status_AI_1
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_2
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_3
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_1C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_4_1C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_4_2C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_4_3C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AI_4_4C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_Temp_1
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_Temp_1_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_Temp_2_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_Temp_3_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_Temp_4_4
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	[daten_ok		]	},
		{	1,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_AI_bit2_3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
    TYPE        ASCII (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE    modul_DUMMY_0
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_1
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_3
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_8_15
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (8);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_4_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (4);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	modul_meas_value_AI_bit0
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
    TYPE        ASCII (1);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE    modul_DUMMY_2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (6);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    modul_DUMMY_2_3
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (2);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	modul_meas_value_status_AO_1C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	"OK					"	},
		{	1,	"Leitungsueberwachung"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AO_4_1C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	"OK					"	},
		{	1,	"Leitungsueberwachung"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AO_4_2C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	"OK					"	},
		{	1,	"Leitungsueberwachung"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AO_4_3C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	"OK					"	},
		{	1,	"Leitungsueberwachung"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	modul_meas_value_status_AO_4_4C
{
	LABEL		[State_Data];
	HELP		[State_Data_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0,	"OK					"	},
		{	1,	"Leitungsueberwachung"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	Loc_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	CLASS		LOCAL;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Percent];
	HANDLING	READ;
}

VARIABLE	Loc_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	CLASS		LOCAL;
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100;
	}
	CONSTANT_UNIT	[Percent];
	HANDLING	READ;
}

VARIABLE	Loc_modul_meas_unit_1_1
{
	CLASS		LOCAL;
	TYPE		ASCII (16)
	{
		DEFAULT_VALUE	"          ";
	}
	HANDLING	READ;
}

Loc_modul_meas_unit_2_1	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_3_1	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_4_1	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_1_2	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_2_2	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_3_2	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

Loc_modul_meas_unit_4_2	LIKE VARIABLE	Loc_modul_meas_unit_1_1
{
}

/*******************************************************************************/
/*****	Methoden ***************************************************************/
/*******************************************************************************/

METHOD	method_scale_analog_value1 (long meas_value, int chan)
{
	DEFINITION
	{
		float	phys_Mb,  phys_Me;
		float	scale_Mb, scale_Me;		
		
		phys_Mb = 0;
		phys_Me = 100; 
		scale_Mb = 0;
		scale_Me = 100;

		meas_value.DISPLAY = meas_value.DEVICE & 0xFFF0;
		switch (P0_Type)
		{
			case MODUL_1003:
			case MODUL_1103:
			case MODUL_1203:
			case MODUL_1303:
				scale_Mb	= DIFR_P1_FrqScalMb;
				scale_Me	= DIFR_P1_FrqScalMe;
				phys_Mb		= Loc_DIFR_P1_FrqMb;
				phys_Me		= Loc_DIFR_P1_FrqMe;
				Loc_modul_meas_unit_1_1 = [Hz];
				break;
			case MODUL_3101:
			case MODUL_3201:
			case MODUL_3002:
			case MODUL_3102:
			case MODUL_3202:
			case MODUL_3302:
			case MODUL_3103:
			case MODUL_3203:
				scale_Mb	= INSP_P1_ScalMb;
				scale_Me	= INSP_P1_ScalMe;
				phys_Mb		= Loc_INSP_P1_Mb;
				phys_Me		= Loc_INSP_P1_Me;
				Loc_modul_meas_unit_1_1 = [Percent];
				break;
			case MODUL_3104:
			case MODUL_3204:
			case MODUL_3005:
			case MODUL_3105:
			case MODUL_3205:
				scale_Mb	= INSP02_P1_ScalMb;
				scale_Me	= INSP02_P1_ScalMe;
				phys_Mb		= Loc_INSP02_P1_Mb;
				phys_Me		= Loc_INSP02_P1_Me;
				Loc_modul_meas_unit_1_1 = [Percent];
				break;
			case MODUL_4101:	
			case MODUL_4201:	
			case MODUL_4002:	
			case MODUL_4102:	
			case MODUL_4202:	
			case MODUL_4302:	
				if (chan == 0)
				{
//					scale_Mb	= 0;
//					scale_Me	= 50000;
					scale_Mb	= OUSP_P1_ScalMb;	
					scale_Me	= OUSP_P1_ScalMe;	
					phys_Mb		= Loc_OUSP_P1_Mb;
					phys_Me		= Loc_OUSP_P1_Me;
					Loc_modul_meas_unit_1_1 = [mA];
				}
				else
				{
					scale_Mb	= OUSP_P1_ScalMb;	
					scale_Me	= OUSP_P1_ScalMe;	
					phys_Mb		= Loc_OUSP_P1_Mb_PCS;
					phys_Me		= Loc_OUSP_P1_Me_PCS;
					Loc_modul_meas_unit_1_2 = [Percent];
				}
				break;
			case MODUL_4104:	
			case MODUL_4204:	
			case MODUL_4005:	
			case MODUL_4105:	
			case MODUL_4205:	
				if (chan == 0)
				{
//					scale_Mb	= 0;
//					scale_Me	= 50000;
					scale_Mb	= OUSP02_P1_ScalMb;	
					scale_Me	= OUSP02_P1_ScalMe;	
					phys_Mb		= Loc_OUSP02_P1_Mb;
					phys_Me		= Loc_OUSP02_P1_Me;
					Loc_modul_meas_unit_1_1 = [mA];
				}
				else
				{
					scale_Mb	= OUSP02_P1_ScalMb;	
					scale_Me	= OUSP02_P1_ScalMe;	
					phys_Mb		= Loc_OUSP02_P1_Mb_PCS;
					phys_Me		= Loc_OUSP02_P1_Me_PCS;
					Loc_modul_meas_unit_1_2 = [Percent];
				}
				break;
			case MODUL_5001:		
			case MODUL_5101:		
			case MODUL_5201:		
				if (SENSOR_RTD_TEMP)
				{	
					if (ivar_value(TempR_P1_Option_Temperatur) == 0)	
					{											
						Loc_modul_meas_unit_1_1 = [degC];
						scale_Mb	= TempR_P1_ScalMb;	
						scale_Me	= TempR_P1_ScalMe;	
						phys_Mb		= Loc_TempR_TC_P1_Mb;
						phys_Me		= Loc_TempR_TC_P1_Me;
					}											
					else
					{											
						Loc_modul_meas_unit_1_1 = [degF];
						scale_Mb	= TempR_P1_ScalMb;	
						scale_Me	= TempR_P1_ScalMe;	
						phys_Mb		= Loc_TempR_TF_P1_Mb;
						phys_Me		= Loc_TempR_TF_P1_Me;
					}											
				}
				else
				{
					Loc_modul_meas_unit_1_1 = [Ohm];
					scale_Mb	= TempR_P1_ScalMb;	
					scale_Me	= TempR_P1_ScalMe;	
					phys_Mb		= Loc_TempR_R_P1_Mb;
					phys_Me		= Loc_TempR_R_P1_Me;
				}											
				break;
			case MODUL_5004:		
			case MODUL_5104:		
			case MODUL_5204:		
				if (SENSOR_RTD_TEMP_01)
				{	
					if (ivar_value(TempR02_P1_Option_Temperatur) == 0)	
					{											
						Loc_modul_meas_unit_1_1 = [degC];
						scale_Mb	= TempR02_P1_ScalMb;	
						scale_Me	= TempR02_P1_ScalMe;	
						phys_Mb		= Loc_TempR02_TC_P1_Mb;
						phys_Me		= Loc_TempR02_TC_P1_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_1_1 = [degF];
						scale_Mb	= TempR02_P1_ScalMb;	
						scale_Me	= TempR02_P1_ScalMe;	
						phys_Mb		= Loc_TempR02_TF_P1_Mb;
						phys_Me		= Loc_TempR02_TF_P1_Me;
					}											
				}
				else
				{
					Loc_modul_meas_unit_1_1 = [Ohm];
					scale_Mb	= TempR02_P1_ScalMb;	
					scale_Me	= TempR02_P1_ScalMe;	
					phys_Mb		= Loc_TempR02_R_P1_Mb;
					phys_Me		= Loc_TempR02_R_P1_Me;
				}
				break;
			case MODUL_5002:		
			case MODUL_5102:		
			case MODUL_5202:		
				if (SENSOR_TC_TEMP)
				{
					if (ivar_value(TempTC_P1_Option_Temperatur) == 0)
					{											
						Loc_modul_meas_unit_1_1 = [degC];
						scale_Mb	= TempTC_P1_ScalMb;
						scale_Me	= TempTC_P1_ScalMe;
						phys_Mb		= Loc_TempTCC_P1_Mb;
						phys_Me		= Loc_TempTCC_P1_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_1_1 = [degF];
						scale_Mb	= TempTC_P1_ScalMb;
						scale_Me	= TempTC_P1_ScalMe;
						phys_Mb		= Loc_TempTCF_P1_Mb;
						phys_Me		= Loc_TempTCF_P1_Me;
					}											
				}
				else
				{	
					Loc_modul_meas_unit_1_1 = [mV];
					scale_Mb	= TempTC_P1_ScalMb;
					scale_Me	= TempTC_P1_ScalMe;
					phys_Mb		= Loc_VoltTC_P1_Mb;
					phys_Me		= Loc_VoltTC_P1_Me;
				}											
				break;
			case MODUL_5005:		
			case MODUL_5105:		
			case MODUL_5205:		
				if (SENSOR_TC_TEMP_01)
				{
					if (ivar_value(TempTC02_P1_Option_Temperatur) == 0)
					{											
						Loc_modul_meas_unit_1_1 = [degC];
						scale_Mb	= TempTC02_P1_ScalMb;
						scale_Me	= TempTC02_P1_ScalMe;
						phys_Mb		= Loc_TempTCC02_P1_Mb;
						phys_Me		= Loc_TempTCC02_P1_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_1_1 = [degF];
						scale_Mb	= TempTC02_P1_ScalMb;
						scale_Me	= TempTC02_P1_ScalMe;
						phys_Mb		= Loc_TempTCF02_P1_Mb;
						phys_Me		= Loc_TempTCF02_P1_Me;
					}											
				}
				else if (!(SENSOR_TC_TEMP_01))
				{	
					Loc_modul_meas_unit_1_1 = [mV];
					scale_Mb	= TempTC02_P1_ScalMb;
					scale_Me	= TempTC02_P1_ScalMe;
					phys_Mb		= Loc_VoltTC02_P1_Mb;
					phys_Me		= Loc_VoltTC02_P1_Me;
				}	
				
				break;
			case MODUL_5006:		
			case MODUL_5106:		
			case MODUL_5206:		
				scale_Mb	= VOIN_P1_ScalMb;
				scale_Me	= VOIN_P1_ScalMe;	
				phys_Mb		= Loc_VOIN_P1_Mb;
				phys_Me		= Loc_VOIN_P1_Me;
				Loc_modul_meas_unit_1_1 = [V];
				break;
			default:
				meas_value	= 0;
				scale_Mb	= 0;
				scale_Me	= 100;
				phys_Mb		= 0;
				phys_Me		= 100;
				Loc_modul_meas_unit_1_1		= "%";
				break;
		}
		if (chan == 0)
		{
			Loc_modul_analog_value_1_1	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
/*
		else
		{
			Loc_modul_analog_value_1_2	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
*/
	}
}
 
METHOD	method_scale_analog_value2 (long meas_value, int chan)
{
	DEFINITION
	{
		float	phys_Mb,  phys_Me;
		float	scale_Mb, scale_Me;		
		
		phys_Mb = 0;
		phys_Me = 100; 
		scale_Mb = 0;
		scale_Me = 100;

		meas_value.DISPLAY = meas_value.DEVICE & 0xFFF0;
		switch (P0_Type)
		{
			case MODUL_3104:
			case MODUL_3204:
			case MODUL_3005:
			case MODUL_3105:
			case MODUL_3205:
				scale_Mb	= INSP02_P2_ScalMb;
				scale_Me	= INSP02_P2_ScalMe;
				phys_Mb		= Loc_INSP02_P2_Mb;
				phys_Me		= Loc_INSP02_P2_Me;
				Loc_modul_meas_unit_2_1 = [Percent];
				break;
			case MODUL_4104:	
			case MODUL_4204:	
			case MODUL_4005:	
			case MODUL_4105:	
			case MODUL_4205:	
				if (chan == 0)
				{
//					scale_Mb	= 0;
//					scale_Me	= 50000;
					scale_Mb	= OUSP02_P2_ScalMb;	
					scale_Me	= OUSP02_P2_ScalMe;	
					phys_Mb		= Loc_OUSP02_P2_Mb;
					phys_Me		= Loc_OUSP02_P2_Me;
					Loc_modul_meas_unit_2_1 = [mA];
				}
/*				else
				{
					scale_Mb	= OUSP02_P2_ScalMb;	
					scale_Me	= OUSP02_P2_ScalMe;	
					phys_Mb		= Loc_OUSP02_P2_Mb_PCS;
					phys_Me		= Loc_OUSP02_P2_Me_PCS;
					Loc_modul_meas_unit_2_2 = [Percent];
				}
*/
				break;
			case MODUL_5004:		
			case MODUL_5104:		
			case MODUL_5204:		
				if (SENSOR_RTD_TEMP_02)
				{	
					if (ivar_value(TempR02_P2_Option_Temperatur) == 0)	
					{											
						Loc_modul_meas_unit_2_1 = [degC];
						scale_Mb	= TempR02_P2_ScalMb;	
						scale_Me	= TempR02_P2_ScalMe;	
						phys_Mb		= Loc_TempR02_TC_P2_Mb;
						phys_Me		= Loc_TempR02_TC_P2_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_2_1 = [degF];
						scale_Mb	= TempR02_P2_ScalMb;	
						scale_Me	= TempR02_P2_ScalMe;	
						phys_Mb		= Loc_TempR02_TF_P2_Mb;
						phys_Me		= Loc_TempR02_TF_P2_Me;
					}											
				}
				else
				{
					Loc_modul_meas_unit_2_1 = [Ohm];
					scale_Mb	= TempR02_P2_ScalMb;	
					scale_Me	= TempR02_P2_ScalMe;	
					phys_Mb		= Loc_TempR02_R_P2_Mb;
					phys_Me		= Loc_TempR02_R_P2_Me;
				}	
				break;
			case MODUL_5005:		
			case MODUL_5105:		
			case MODUL_5205:		
				if (SENSOR_TC_TEMP_02)
				{
					if (ivar_value(TempTC02_P2_Option_Temperatur) == 0)
					{											
						Loc_modul_meas_unit_2_1 = [degC];
						scale_Mb	= TempTC02_P2_ScalMb;
						scale_Me	= TempTC02_P2_ScalMe;
						phys_Mb		= Loc_TempTCC02_P2_Mb;
						phys_Me		= Loc_TempTCC02_P2_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_2_1 = [degF];
						scale_Mb	= TempTC02_P2_ScalMb;
						scale_Me	= TempTC02_P2_ScalMe;
						phys_Mb		= Loc_TempTCF02_P2_Mb;
						phys_Me		= Loc_TempTCF02_P2_Me;
					}											
				}
				else
				{	
					Loc_modul_meas_unit_2_1 = [mV];
					scale_Mb	= TempTC02_P2_ScalMb;
					scale_Me	= TempTC02_P2_ScalMe;
					phys_Mb		= Loc_VoltTC02_P2_Mb;
					phys_Me		= Loc_VoltTC02_P2_Me;
				}											
				break;
		}
		if (chan == 0)
		{
			Loc_modul_analog_value_2_1	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
/*		else
		{
			Loc_modul_analog_value_2_2	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
*/
	}
}

METHOD	method_scale_analog_value3 (long meas_value, int chan)
{
	DEFINITION
	{
		float	phys_Mb,  phys_Me;
		float	scale_Mb, scale_Me;		
		
		phys_Mb = 0;
		phys_Me = 100; 
		scale_Mb = 0;
		scale_Me = 100;

		meas_value.DISPLAY = meas_value.DEVICE & 0xFFF0;
		switch (P0_Type)
		{
			case MODUL_3104:
			case MODUL_3204:
			case MODUL_3005:
			case MODUL_3105:
			case MODUL_3205:
				scale_Mb	= INSP02_P3_ScalMb;
				scale_Me	= INSP02_P3_ScalMe;
				phys_Mb		= Loc_INSP02_P3_Mb;
				phys_Me		= Loc_INSP02_P3_Me;
				Loc_modul_meas_unit_3_1 = [Percent];
				break;
			case MODUL_4104:	
			case MODUL_4204:	
			case MODUL_4005:	
			case MODUL_4105:	
			case MODUL_4205:	
				if (chan == 0)
				{
//					scale_Mb	= 0;
//					scale_Me	= 50000;
					scale_Mb	= OUSP02_P3_ScalMb;	
					scale_Me	= OUSP02_P3_ScalMe;	
					phys_Mb		= Loc_OUSP02_P3_Mb;
					phys_Me		= Loc_OUSP02_P3_Me;
					Loc_modul_meas_unit_3_1 = [mA];
				}
/*				else
				{
					scale_Mb	= OUSP02_P3_ScalMb;	
					scale_Me	= OUSP02_P3_ScalMe;	
					phys_Mb		= Loc_OUSP02_P3_Mb_PCS;
					phys_Me		= Loc_OUSP02_P3_Me_PCS;
					Loc_modul_meas_unit_3_2 = [Percent];
				}
*/
				break;

			case MODUL_5004:		
			case MODUL_5104:		
			case MODUL_5204:		
				if (SENSOR_RTD_TEMP_03)
				{	
					if (ivar_value(TempR02_P3_Option_Temperatur) == 0)	
					{											
						Loc_modul_meas_unit_3_1 = [degC];
						scale_Mb	= TempR02_P3_ScalMb;	
						scale_Me	= TempR02_P3_ScalMe;	
						phys_Mb		= Loc_TempR02_TC_P3_Mb;
						phys_Me		= Loc_TempR02_TC_P3_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_3_1 = [degF];
						scale_Mb	= TempR02_P3_ScalMb;	
						scale_Me	= TempR02_P3_ScalMe;	
						phys_Mb		= Loc_TempR02_TF_P3_Mb;
						phys_Me		= Loc_TempR02_TF_P3_Me;
					}											
				}
				else
				{
					Loc_modul_meas_unit_3_1 = [Ohm];
					scale_Mb	= TempR02_P3_ScalMb;	
					scale_Me	= TempR02_P3_ScalMe;	
					phys_Mb		= Loc_TempR02_R_P3_Mb;
					phys_Me		= Loc_TempR02_R_P3_Me;
				}											
				break;
			case MODUL_5005:		
			case MODUL_5105:		
			case MODUL_5205:		
				if (SENSOR_TC_TEMP_03)
				{
					if (ivar_value(TempTC02_P3_Option_Temperatur) == 0)
					{											
						Loc_modul_meas_unit_3_1 = [degC];
						scale_Mb	= TempTC02_P3_ScalMb;
						scale_Me	= TempTC02_P3_ScalMe;
						phys_Mb		= Loc_TempTCC02_P3_Mb;
						phys_Me		= Loc_TempTCC02_P3_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_3_1 = [degF];
						scale_Mb	= TempTC02_P3_ScalMb;
						scale_Me	= TempTC02_P3_ScalMe;
						phys_Mb		= Loc_TempTCF02_P3_Mb;
						phys_Me		= Loc_TempTCF02_P3_Me;
					}											
				}
				else
				{	
					Loc_modul_meas_unit_3_1 = [mV];
					scale_Mb	= TempTC02_P3_ScalMb;
					scale_Me	= TempTC02_P3_ScalMe;
					phys_Mb		= Loc_VoltTC02_P3_Mb;
					phys_Me		= Loc_VoltTC02_P3_Me;
				}											
				break;
		}
		if (chan == 0)
		{
			Loc_modul_analog_value_3_1	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
/*		else
		{
			Loc_modul_analog_value_3_2	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
*/	}
}

METHOD	method_scale_analog_value4 (long meas_value, int chan)
{
	DEFINITION
	{
		float	phys_Mb,  phys_Me;
		float	scale_Mb, scale_Me;		
		
		phys_Mb = 0;
		phys_Me = 100; 
		scale_Mb = 0;
		scale_Me = 100;

		meas_value.DISPLAY = meas_value.DEVICE & 0xFFF0;
		switch (P0_Type)
		{
			case MODUL_3104:
			case MODUL_3204:
			case MODUL_3005:
			case MODUL_3105:
			case MODUL_3205:
				scale_Mb	= INSP02_P4_ScalMb;
				scale_Me	= INSP02_P4_ScalMe;
				phys_Mb		= Loc_INSP02_P4_Mb;
				phys_Me		= Loc_INSP02_P4_Me;
				Loc_modul_meas_unit_4_1 = [Percent];
				break;
			case MODUL_4104:	
			case MODUL_4204:	
			case MODUL_4005:	
			case MODUL_4105:	
			case MODUL_4205:	
				if (chan == 0)
				{
//					scale_Mb	= 0;
//					scale_Me	= 50000;
					scale_Mb	= OUSP02_P4_ScalMb;	
					scale_Me	= OUSP02_P4_ScalMe;	
					phys_Mb		= Loc_OUSP02_P4_Mb;
					phys_Me		= Loc_OUSP02_P4_Me;
					Loc_modul_meas_unit_4_1 = [mA];
				}
/*				else
				{
					scale_Mb	= OUSP02_P4_ScalMb;	
					scale_Me	= OUSP02_P4_ScalMe;	
					phys_Mb		= Loc_OUSP02_P4_Mb_PCS;
					phys_Me		= Loc_OUSP02_P4_Me_PCS;
					Loc_modul_meas_unit_4_2 = [Percent];
				}
*/
				break;
			case MODUL_5004:		
			case MODUL_5104:		
			case MODUL_5204:		
				if (SENSOR_RTD_TEMP_04)
				{	
					if (ivar_value(TempR02_P4_Option_Temperatur) == 0)	
					{											
						Loc_modul_meas_unit_4_1 = [degC];
						scale_Mb	= TempR02_P4_ScalMb;	
						scale_Me	= TempR02_P4_ScalMe;	
						phys_Mb		= Loc_TempR02_TC_P4_Mb;
						phys_Me		= Loc_TempR02_TC_P4_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_4_1 = [degF];
						scale_Mb	= TempR02_P4_ScalMb;	
						scale_Me	= TempR02_P4_ScalMe;	
						phys_Mb		= Loc_TempR02_TF_P4_Mb;
						phys_Me		= Loc_TempR02_TF_P4_Me;
					}											
				}
				else
				{
					Loc_modul_meas_unit_4_1 = [Ohm];
					scale_Mb	= TempR02_P4_ScalMb;	
					scale_Me	= TempR02_P4_ScalMe;	
					phys_Mb		= Loc_TempR02_R_P4_Mb;
					phys_Me		= Loc_TempR02_R_P4_Me;
				}											
				break;
			case MODUL_5005:		
			case MODUL_5105:		
			case MODUL_5205:		
				if (SENSOR_TC_TEMP_04)
				{
					if (ivar_value(TempTC02_P4_Option_Temperatur) == 0)
					{											
						Loc_modul_meas_unit_4_1 = [degC];
						scale_Mb	= TempTC02_P4_ScalMb;
						scale_Me	= TempTC02_P4_ScalMe;
						phys_Mb		= Loc_TempTCC02_P4_Mb;
						phys_Me		= Loc_TempTCC02_P4_Me;
					}											
					else 
					{											
						Loc_modul_meas_unit_4_1 = [degF];
						scale_Mb	= TempTC02_P4_ScalMb;
						scale_Me	= TempTC02_P4_ScalMe;
						phys_Mb		= Loc_TempTCF02_P4_Mb;
						phys_Me		= Loc_TempTCF02_P4_Me;
					}											
				}
				else
				{	
					Loc_modul_meas_unit_4_1 = [mV];
					scale_Mb	= TempTC02_P4_ScalMb;
					scale_Me	= TempTC02_P4_ScalMe;
					phys_Mb		= Loc_VoltTC02_P4_Mb;
					phys_Me		= Loc_VoltTC02_P4_Me;
				}																				
				break;
		}
		if (chan == 0)
		{
			Loc_modul_analog_value_4_1	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
/*		else
		{
			Loc_modul_analog_value_4_2	= (meas_value - scale_Mb) / (scale_Me - scale_Mb) * (phys_Me - phys_Mb) + phys_Mb;
		}
*/	}
}


/*******************************************************************************/
/*****	Kommandos **************************************************************/
/*******************************************************************************/

COMMAND read_modul_status_AI_1C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
			
			modul_DUMMY_2_7					<0x00FC>,
			modul_meas_value_status_AI_1C	<0x0002>,
			modul_DUMMY_0					<0x0001>
		}
	}
}

COMMAND read_modul_status_AI_4C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x80000000>,
			modul_status_active6			<0x40000000>,
			modul_status_active5			<0x20000000>,
			modul_status_active4			<0x10000000>,
			modul_status_error				<0x0F000000>,

			modul_DUMMY_2_7					<0x00C00000>,
			modul_status_LFD_A_2			<0x00200000>,
			modul_DUMMY_0					<0x00100000>,
			modul_DUMMY_2_7					<0x000C0000>,
			modul_status_LFD_A_1			<0x00020000>,
			modul_DUMMY_0					<0x00010000>,

			modul_status_byte_3				<0x0000FF00>,

			modul_DUMMY_2_7					<0x000000C0>,
			modul_status_LFD_A_4			<0x00000020>,
			modul_DUMMY_0					<0x00000010>,
			modul_DUMMY_2_7					<0x0000000C>,
			modul_status_LFD_A_3			<0x00000002>,
			modul_DUMMY_0					<0x00000001>
		}
	}
}

COMMAND read_modul_status_AO_1C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
			
			modul_DUMMY_2_7					<0x00FC>,
			modul_meas_value_status_AO_1C	<0x0002>,
			modul_DUMMY_0					<0x0001>
		}
	}
}

COMMAND read_modul_status_AO_4C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x80000000>,
			modul_status_active6			<0x40000000>,
			modul_status_active5			<0x20000000>,
			modul_status_active4			<0x10000000>,
			modul_status_error				<0x0F000000>,

			modul_DUMMY_2_7					<0x00C00000>,
			modul_meas_value_status_AO_4_2C	<0x00200000>,
			modul_DUMMY_0					<0x00100000>,
			modul_DUMMY_2_7					<0x000C0000>,
			modul_meas_value_status_AO_4_1C	<0x00020000>,
			modul_DUMMY_0					<0x00010000>,

			modul_status_byte_3				<0x0000FF00>,

			modul_DUMMY_2_7					<0x000000C0>,
			modul_meas_value_status_AO_4_4C	<0x00000020>,
			modul_DUMMY_0					<0x00000010>,
			modul_DUMMY_2_7					<0x0000000C>,
			modul_meas_value_status_AO_4_3C	<0x00000002>,
			modul_DUMMY_0					<0x00000001>
		}
	}
}

COMMAND read_modul_status_AI_Frequenz_102
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{

			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
			
			modul_DUMMY_4_7					<0x00F0>,
			DIFR_P1_Richtung				<0x0008>,
			modul_DUMMY_2					<0x0004>,
			modul_DUMMY_1					<0x0002>,
			DIFR_P1_Zustand					<0x0001>
		}
	}
}

COMMAND read_modul_status_Temp_1C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
			
			modul_DUMMY_2_7					<0x00FC>,
			modul_meas_value_status_Temp_1	<0x0002>,
			modul_DUMMY_0					<0x0001>
		}
	}
}

COMMAND read_modul_status_Temp_4C
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7				<0x80000000>,
			modul_status_active6				<0x40000000>,
			modul_status_active5				<0x20000000>,
			modul_status_active4				<0x10000000>,
			modul_status_error					<0x0F000000>,

			modul_DUMMY_2_7						<0x00C00000>,
			modul_meas_value_status_Temp_2_4	<0x00200000>,
			modul_DUMMY_0						<0x00100000>,
			modul_DUMMY_2_7						<0x000C0000>,
			modul_meas_value_status_Temp_1_4	<0x00020000>,
			modul_DUMMY_0						<0x00010000>,

			modul_status_byte_3					<0x0000FF00>,

			modul_DUMMY_2_7						<0x000000C0>,
			modul_meas_value_status_Temp_4_4	<0x00000020>,
			modul_DUMMY_0						<0x00000010>,
			modul_DUMMY_2_7						<0x0000000C>,
			modul_meas_value_status_Temp_3_4	<0x00000002>,
			modul_DUMMY_0						<0x00000001>
		}
	}
}

COMMAND read_modul_status_bin_4
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x80000000>,
			modul_status_active6			<0x40000000>,
			modul_status_active5			<0x20000000>,
			modul_status_active4			<0x10000000>,
			modul_status_error				<0x0F000000>,

			modul_status_LFD_4				<0x00800000>,
			modul_meas_binary_value_4		<0x00400000>,
			modul_status_LFD_3				<0x00200000>,
			modul_meas_binary_value_3		<0x00100000>,
			modul_status_LFD_2				<0x00080000>,
			modul_meas_binary_value_2		<0x00040000>,
			modul_status_LFD_1				<0x00020000>,
			modul_meas_binary_value_1		<0x00010000>,

//			modul_status_active7			<0x00008000>,
//			modul_status_active6			<0x00004000>,
//			modul_status_active5			<0x00002000>,
//			modul_status_active4			<0x00001000>,
//			modul_status_error				<0x00000F00>,

			modul_status_byte_3				<0x0000FF00>
			modul_status_byte_4				<0x000000FF>
		}
	}
}

COMMAND read_modul_status_bin_8
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x80000000>,
			modul_status_active6			<0x40000000>,
			modul_status_active5			<0x20000000>,
			modul_status_active4			<0x10000000>,
			modul_status_error				<0x0F000000>,

			modul_status_LFD_4				<0x00800000>,
			modul_meas_binary_value_4		<0x00400000>,
			modul_status_LFD_3				<0x00200000>,
			modul_meas_binary_value_3		<0x00100000>,
			modul_status_LFD_2				<0x00080000>,
			modul_meas_binary_value_2		<0x00040000>,
			modul_status_LFD_1				<0x00020000>,
			modul_meas_binary_value_1		<0x00010000>,

			modul_status_byte_3				<0x0000FF00>,

			modul_status_LFD_8				<0x00000080>,
			modul_meas_binary_value_8		<0x00000040>,
			modul_status_LFD_7				<0x00000020>,
			modul_meas_binary_value_7		<0x00000010>,
			modul_status_LFD_6				<0x00000008>,
			modul_meas_binary_value_6		<0x00000004>,
			modul_status_LFD_5				<0x00000002>,
			modul_meas_binary_value_5		<0x00000001>,
		}
	}
}

COMMAND read_modul_status_Ventil
{
	SLOT		102;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_status_active7			<0x8000>,
			modul_status_active6			<0x4000>,
			modul_status_active5			<0x2000>,
			modul_status_active4			<0x1000>,
			modul_status_error				<0x0F00>,
			
			modul_DUMMY_2					<0x0080>,
			modul_DUMMY_2					<0x0040>,
			modul_status_LFD_3				<0x0020>,
			modul_meas_binary_value_3		<0x0010>,
			modul_status_LFD_2				<0x0008>,
			modul_meas_binary_value_2		<0x0004>,
			modul_status_LFD_1				<0x0002>,
			modul_meas_binary_value_1		<0x0001>
		}
	}
}

COMMAND read_modul_meas_value_counter32_103
{
	SLOT		103;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_DUMMY_8_15					<0xFF00>,
			modul_DUMMY_4_7						<0x00F0>,
			DIFR_P1_Richtung					<0x0008>,
			modul_DUMMY_2						<0x0004>,
			modul_DUMMY_1						<0x0002>,
			DIFR_P1_Zustand						<0x0001>
		}
	}
}

COMMAND read_modul_daten_Ventil
{
	SLOT		103;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			
			dummy_integer					<0x80>,
			dummy_integer					<0x40>,
			modul_statusout_LFD_3			<0x20>,
			modul_meas_binaryout_value_3	<0x10>,
			modul_statusout_LFD_2			<0x08>,
			modul_meas_binaryout_value_2	<0x04>,
			modul_statusout_LFD_1			<0x02>,
			modul_meas_binaryout_value_1	<0x01>
		}
	}
}

VARIABLE dummy_integer
{
    LABEL       "";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER;
    HANDLING    READ & WRITE;
}

COMMAND read_modul_meas_value_AI_1C
{
	SLOT		105;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AI
//			modul_meas_value_AI				<0xFFF0>,
//			modul_DUMMY_1					<0x0008>,
//			modul_DUMMY_1					<0x0004>,
//			modul_DUMMY_1					<0x0002>,
//			modul_DUMMY_1					<0x0001>

		}
	}
}
/*
COMMAND read_modul_meas_value_frequenz12
{
	SLOT		105;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AI_12				<0xFFF0>,
			DIFR_P1_Richtung					<0x0008>,
			modul_DUMMY_2						<0x0004>,
			modul_DUMMY_1						<0x0002>,
			DIFR_P1_Zustand						<0x0001>
		}
	}
}
*/
COMMAND read_modul_meas_value_frequenz12
{
	SLOT		105;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AI_12
		}
	}
}

COMMAND read_modul_meas_value_counter12
{
	SLOT		105;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_counter12			<0xFFF0>,
			DIFR_P1_Richtung					<0x0008>,
			modul_DUMMY_2						<0x0004>,
			modul_DUMMY_1						<0x0002>,
			DIFR_P1_Zustand						<0x0001>
		}
	}
}

/*
COMMAND read_modul_meas_value_counter12
{
	SLOT		105;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_counter12
		}
	}
}
*/
COMMAND read_modul_meas_value_AO_1C
{
	SLOT		106;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AO
		}
	}
}

COMMAND read_modul_meas_value_AI_4C
{
	SLOT		107;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AI_1,
			modul_meas_value_AI_2,
			modul_meas_value_AI_3,
			modul_meas_value_AI_4
/*
			modul_meas_value_AI_1			<0xFFF0000000000000>,
			modul_meas_value_AI_bit2_3		<0x000C000000000000>,
			modul_meas_value_status_AI_1 	<0x0002000000000000>,
			modul_meas_value_lzero_AI_1		<0x0001000000000000>,
			modul_meas_value_AI_2			<0x0000FFF000000000>,
			modul_meas_value_AI_bit2_3		<0x0000000C00000000>,
			modul_meas_value_status_AI_2	<0x0000000200000000>,
			modul_meas_value_lzero_AI_2		<0x0000000100000000>,
			modul_meas_value_AI_3			<0x00000000FFF00000>,
			modul_meas_value_AI_bit2_3		<0x00000000000C0000>,
			modul_meas_value_status_AI_3 	<0x0000000000020000>,
			modul_meas_value_lzero_AI_3		<0x0000000000010000>,
			modul_meas_value_AI_4			<0x000000000000FFF0>,
			modul_meas_value_AI_bit2_3		<0x000000000000C000>,
			modul_meas_value_status_AI_4 	<0x0000000000002000>,
			modul_meas_value_lzero_AI_4		<0x0000000000001000>
*/
		}
	}
}

COMMAND read_modul_meas_value_counter32_107
{
	SLOT		107;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_counter32
		}
	}
}

COMMAND read_modul_meas_value_AO_4C
{
	SLOT		108;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			modul_meas_value_AO_1,
			modul_meas_value_AO_2,
			modul_meas_value_AO_3,
			modul_meas_value_AO_4
		}
	}
}
