/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Ausgangstrenner						*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:34  $                        */
/*----------------------------------------------------------*/



/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/

OUSP_P1_Slot2	LIKE VARIABLE	P0_Slot0
{
}

OUSP_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	OUSP_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[standard]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Skalierung *****************/

VARIABLE	Loc_OUSP_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
//		DEFAULT_VALUE	0;
		DEFAULT_VALUE	4;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	Loc_OUSP_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	20;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

Loc_OUSP_P1_Mb_PCS		LIKE VARIABLE		Loc_OUSP_P1_Mb
{
}

Loc_OUSP_P1_Me_PCS		LIKE VARIABLE		Loc_OUSP_P1_Me
{
	REDEFINE	TYPE		FLOAT
	{
		DEFAULT_VALUE	100;
	}
}

VARIABLE	OUSP_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	10000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(OUSP_P1_ScalMb, OUSP_P1_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE		0;
		MAX_VALUE		65535;
		DEFAULT_VALUE	50000;
	}
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(OUSP_P1_ScalMb, OUSP_P1_ScalMe)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(OUSP_P1_LimLow, OUSP_P1_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(OUSP_P1_LimLow, OUSP_P1_LimHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}
	
	CONSTANT_UNIT	[Percent_Second];
	CLASS			CONTAINED;
	HANDLING		READ & WRITE;
}

/********** HART *****************/

VARIABLE	OUSP_P1_HartOption
{
	LABEL		[P1_HartOption];
	HELP		[P1_HartOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x0,	[HART_inaktiv]	},
		{	0x1,	[HART_aktiv]	},
		{	0x3,	[HART_aktiv_intern_aus]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP_P1_HartPraeambel
{
	LABEL		[P1_HartPraeambel];
	HELP		[P1_HartPraeambel_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 15;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	OUSP_P1_HartRetry
{
	LABEL		[P1_HartRetry];
	HELP		[P1_HartRetry_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 3;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Erweitert *****************/

VARIABLE	OUSP_P1_MinOut
{
	LABEL		[P1_MinOut];
	HELP		[P1_MinOut_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -2000;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_OUSP_P1_MinOut
{
	LABEL		[P1_MinOut];
	HELP		[P1_MinOut_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 4.00;
		DEFAULT_VALUE 0.80;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(OUSP_P1_MinOut, Loc_OUSP_P1_MinOut)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(OUSP_P1_MinOut, Loc_OUSP_P1_MinOut)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	OUSP_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (40);
	CLASS		CONTAINED;
	HANDLING	READ;
}


/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_OUSP					\
			P0_Type,					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
/*			P0_Time,					\
*/			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			OUSP_P1_Slot2,				\
			OUSP_P1_Index2,				\
			OUSP_P1_Mode,				\
			OUSP_P1_Option_Leitung,		\
			OUSP_P1_ScalMb,				\
			OUSP_P1_ScalMe,				\
			OUSP_P1_ScalOption,			\
			OUSP_P1_LimLow,				\
			OUSP_P1_LimHigh,			\
			OUSP_P1_Filter,				\
			OUSP_P1_HartOption,			\
			OUSP_P1_HartPraeambel, 		\
			OUSP_P1_HartRetry,			\
			OUSP_P1_MinOut


#define	UPLOAD_OUSP			DOWNLOAD_OUSP


COMMAND read_OUSP_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			OUSP_P1_Slot2,
			OUSP_P1_Index2,
			OUSP_P1_Mode,
			Bit1_15						<0xFFFE>,
			OUSP_P1_Option_Leitung		<0x0001>,
			OUSP_P1_ScalMb,
			OUSP_P1_ScalMe,
			Bit1_15						<0xFFFE>,
			OUSP_P1_ScalOption			<0x0001>,
			OUSP_P1_LimLow,
			OUSP_P1_LimHigh,
			OUSP_P1_Filter,
			Bit1_15						<0xFFFE>,
			OUSP_P1_HartOption			<0x0001>,
			OUSP_P1_HartPraeambel,
			OUSP_P1_HartRetry,
			OUSP_P1_MinOut,
			OUSP_P1_DUMMY2
		}
	}
}

COMMAND write_OUSP_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			OUSP_P1_Slot2,
			OUSP_P1_Index2,
			OUSP_P1_Mode,
			Bit1_15						<0xFFFE>,
			OUSP_P1_Option_Leitung		<0x0001>,
			OUSP_P1_ScalMb,
			OUSP_P1_ScalMe,
			Bit1_15						<0xFFFE>,
			OUSP_P1_ScalOption			<0x0001>,
			OUSP_P1_LimLow,
			OUSP_P1_LimHigh,
			OUSP_P1_Filter,
			Bit1_15						<0xFFFE>,
			OUSP_P1_HartOption			<0x0001>,
			OUSP_P1_HartPraeambel,
			OUSP_P1_HartRetry,
			OUSP_P1_MinOut,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			// OUSP_P1_DUMMY2   
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,			// OUSP_P1_DUMMY2
			0, 0, 0, 0, 0, 0, 0, 0										// OUSP_P1_DUMMY2
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_OUSP_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_OUSP_ident_k1,
		Tab_s_OUSP_output_k1
	}
}

MENU Tab_s_OUSP_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag
	}
}

MENU Tab_s_OUSP_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State,
		Mod4y5y_P1_ErrMode,
//		OUSP_P1_Filter						(READ_ONLY),
//		OUSP_P1_LimLow						(READ_ONLY),
//		OUSP_P1_LimHigh						(READ_ONLY),
		OUSP_P1_Filter,
		OUSP_P1_LimLow,
		OUSP_P1_LimHigh,
		Tab_s_OUSP_output_simulation,
		Tab_s_OUSP_output_ersatzwert,
		Tab_s_OUSP_output_hart,
		Tab_s_OUSP_output_skal,
		Tab_s_OUSP_output_lfd
	}
}

MENU Tab_s_OUSP_output_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal,
		Mod4y5y_P1_SimOption,
		Mod4y5y_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_s_OUSP_output_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal,
		Mod4y5y_P1_ErrOption,
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_s_OUSP_output_hart
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_HartOption,
		Tab_s_OUSP_output_hart_kommunikation
	}
}

MENU Tab_s_OUSP_output_hart_kommunikation
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_HartPraeambel				(READ_ONLY),
		OUSP_P1_HartRetry					(READ_ONLY),
	}
	VALIDITY	VALID_IF_TRUE ((OUSP_P1_HartOption == 1) || (OUSP_P1_HartOption == 3))
}

MENU Tab_s_OUSP_output_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
//fbi 29.09.2006		OUSP_P1_ScalOption					(READ_ONLY),
		OUSP_P1_ScalOption,
		OUSP_P1_ScalMb,
		OUSP_P1_ScalMe
	}
}

MENU Tab_s_OUSP_output_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_Option_Leitung,
		Loc_OUSP_P1_MinOut
	}
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

MENU Tab_m_OUSP_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_OUSP_ident_k1,
		Tab_m_OUSP_output_k1
	}
}

MENU Tab_m_OUSP_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag
	}
}

MENU Tab_m_OUSP_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State					(READ_ONLY),
		Mod4y5y_P1_ErrMode					(READ_ONLY),
		OUSP_P1_Filter						(READ_ONLY),
		OUSP_P1_LimLow						(READ_ONLY),
		OUSP_P1_LimHigh						(READ_ONLY),
		Tab_m_OUSP_output_simulation,
		Tab_m_OUSP_output_ersatzwert,
		Tab_m_OUSP_output_hart,
		Tab_m_OUSP_output_skal,
		Tab_m_OUSP_output_lfd
	}
}

MENU Tab_m_OUSP_output_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal				(READ_ONLY),
		Mod4y5y_P1_SimOption				(READ_ONLY),
		Mod4y5y_P1_SimState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_m_OUSP_output_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal				(READ_ONLY),
		Mod4y5y_P1_ErrOption				(READ_ONLY),
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_m_OUSP_output_hart
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_HartOption					(READ_ONLY),
		Tab_m_OUSP_output_hart_kommunikation
	}
}

MENU Tab_m_OUSP_output_hart_kommunikation
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_HartPraeambel				(READ_ONLY),
		OUSP_P1_HartRetry					(READ_ONLY),
	}
	VALIDITY	VALID_IF_TRUE ((OUSP_P1_HartOption == 1) || (OUSP_P1_HartOption == 3))
}

MENU Tab_m_OUSP_output_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_ScalOption					(READ_ONLY),
		OUSP_P1_ScalMb						(READ_ONLY),
		OUSP_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_OUSP_output_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		OUSP_P1_Option_Leitung				(READ_ONLY),
		Loc_OUSP_P1_MinOut					(READ_ONLY)
	}
}
