#define __DEBUG
#define id_FC_ERROR             3000
/***************************************************************/
/* Index Variablen                                             */
/***************************************************************/
/*
VARIABLE Subsys_Dir_Index
{
    LABEL       "";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   200;
    }
    HANDLING    READ;
}
*/

VARIABLE SubSys_Module_Dir_Index
{
    LABEL       "";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   200;
    }
    HANDLING    READ;
}

/***************************************************************/
/* Mens                                                       */
/***************************************************************/
MENU OnlineWindow_PNO_Profile_DP_HART
{
    LABEL   [DP_HART_ProfileParameter];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        page_directory_process_data,
        page_feature_parameter_process_data,
        IF ( Ix_HMDMP != 255)
        {
            page_parameter_processs_data
        }
        ELSE
        {
            SELECT(Number_of_Channels)
            {
                CASE 1: page_parameter_processs_data_c1
                CASE 2: page_parameter_processs_data_c1, page_parameter_processs_data_c2
                CASE 3: page_parameter_processs_data_c1, page_parameter_processs_data_c2, page_parameter_processs_data_c3
                CASE 4: page_parameter_processs_data_c1, page_parameter_processs_data_c2, page_parameter_processs_data_c3, page_parameter_processs_data_c4
            }
        }
    }
    PRE_EDIT_ACTIONS
    {
        DEFINITION
        {
            int error;

            error = ReadCommand(read_Number_of_Channels);
            if (error >= id_FC_ERROR)
            {
                process_abort();
            }
        }
    }
}

MENU page_directory_process_data
{
    LABEL   [Directory_Process_Data];
    HELP    [HELP_Directory_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        Profile_Revision_Number,
        Profile_Revision_Number_Hi_Byte         (HIDDEN),
        Profile_Revision_Number_Lo_Byte         (HIDDEN),
        Number_of_Clients,
        Number_of_Channels,
#ifdef __DEBUG
        Ix_ClientMan,
        WR_Ix_Offset,
        Ix_HMDFP,
        Ix_HMDMP,
        Start_Ix_BBA
#endif
    }
}

MENU page_feature_parameter_process_data
{
    LABEL   [Feature_Parameter_Process_Data];
    HELP    [HELP_Feature_Parameter_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        Secondary_Master_Exclusion_Supported,
        Application_Supported_Parameter_Check,
        Multi_Drop_Mode_Supported,
        Burst_Mode_Supported,
        Scan_Mode_Supported,
        Compact_HART_Message_Format_Supported,
        Successive_HART_Commands_Mode_Supported,
        Parameter_Stored_Non_Volatile,
        Burst_Mode_Auto_Disable_Supported,
#ifdef __DEBUG        
        Max_Len_Data_Unit
#endif        
    }
}

MENU page_parameter_processs_data_c1
{
    LABEL   [Parameter_Process_Data1];
    HELP    [HELP_Parameter_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        group_parameter_processs_data_c1
    }
}

MENU group_parameter_processs_data_c1
{
    LABEL   IF(Ix_HMDMP != 255)
            {
                [module_related];
            }
            ELSE
            {
                [channel] + " 1";
            }
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        loc_Error_Position,
        Error_Position_c1               (HIDDEN),
        Number_of_Retries_c1,
        Number_of_Preambles_c1,
        Secondary_Master_Exclusion_c1,
        Multi_Drop_Mode_c1,
        Burst_Mode_c1,
        Burst_Mode_Auto_Disable_c1,
        Client_Timeout_c1,
#ifdef __DEBUG
        Pending_c1,
        Man_Spec_Param_Offset_c1
#endif
    }
}

MENU page_parameter_processs_data_c2
{
    LABEL   [Parameter_Process_Data2];
    HELP    [HELP_Parameter_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        group_parameter_processs_data_c2
    }
}

MENU group_parameter_processs_data_c2
{
    LABEL   IF(Ix_HMDMP != 255)
            {
                [module_related];
            }
            ELSE
            {
                [channel] + " 2";
            }
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        loc_Error_Position,
        Error_Position_c2               (HIDDEN),
        Number_of_Retries_c2,
        Number_of_Preambles_c2,
        Secondary_Master_Exclusion_c2,
        Multi_Drop_Mode_c2,
        Burst_Mode_c2,
        Burst_Mode_Auto_Disable_c2,
        Client_Timeout_c2,
#ifdef __DEBUG
        Pending_c2,
        Man_Spec_Param_Offset_c2
#endif
    }
}

MENU page_parameter_processs_data_c3
{
    LABEL   [Parameter_Process_Data3];
    HELP    [HELP_Parameter_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        group_parameter_processs_data_c3
    }
}

MENU group_parameter_processs_data_c3
{
    LABEL   IF(Ix_HMDMP != 255)
            {
                [module_related];
            }
            ELSE
            {
                [channel] + " 3";
            }
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        loc_Error_Position,
        Error_Position_c3               (HIDDEN),
        Number_of_Retries_c3,
        Number_of_Preambles_c3,
        Secondary_Master_Exclusion_c3,
        Multi_Drop_Mode_c3,
        Burst_Mode_c3,
        Burst_Mode_Auto_Disable_c3,
        Client_Timeout_c3,
#ifdef __DEBUG
        Pending_c3,
        Man_Spec_Param_Offset_c3
#endif
    }
}


MENU page_parameter_processs_data_c4
{
    LABEL   [Parameter_Process_Data4];
    HELP    [HELP_Parameter_Process_Data];
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        group_parameter_processs_data_c4
    }
}

MENU group_parameter_processs_data_c4
{
    LABEL   IF(Ix_HMDMP != 255)
            {
                [module_related];
            }
            ELSE
            {
                [channel] + " 4";
            }
    STYLE   WINDOW;
    ACCESS  ONLINE;
    ITEMS
    {
        loc_Error_Position,
        Error_Position_c4               (HIDDEN),
        Number_of_Retries_c4,
        Number_of_Preambles_c4,
        Secondary_Master_Exclusion_c4,
        Multi_Drop_Mode_c4,
        Burst_Mode_c4,
        Burst_Mode_Auto_Disable_c4,
        Client_Timeout_c4,
#ifdef __DEBUG
        Pending_c4,
        Man_Spec_Param_Offset_c4
#endif
    }
}

/***************************************************************/
/* DIRECTORY PROCESS DATA                                      */
/***************************************************************/
VARIABLE Profile_Revision_Number_Lo_Byte
{
    LABEL       "";
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE Profile_Revision_Number_Hi_Byte
{
    LABEL       "";
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE Profile_Revision_Number
{
    LABEL       [LABEL_Profile_Revision_Number];
    HELP        [HELP_Profile_Revision_Number];
    CLASS       LOCAL;
    TYPE        ASCII (5);
    HANDLING    READ;
    PRE_EDIT_ACTIONS
    {
        DEFINITION
        {   
            char text[5];
            int  v[5];
            int  i;

            v[0] = (Profile_Revision_Number_Hi_Byte & 0xF0) / 0x10;
            v[1] = (Profile_Revision_Number_Hi_Byte & 0x0F);
            v[2] = 0;
            v[3] = (Profile_Revision_Number_Lo_Byte & 0xF0) / 0x10;
            v[4] = (Profile_Revision_Number_Lo_Byte & 0x0F);
            
            for(i=0;i<=4;i++)
            {
                if( i == 2 )
                    text[i] = '.';
                else
                {
                    if( v[i] <= 9 )
                        text[i] = v[i] + '0';
                    else
                        text[i] = 'A' + (v[i] - 0x0A);
                }
            }
            
            if( v[0] == 0 )
            {
                text[0] = text[1];
                text[1] = text[2];
                text[2] = text[3];
                text[3] = text[4];
                text[4] = ' ';
            }

            Profile_Revision_Number = text;
        }
    }
}

VARIABLE Ix_ClientMan
{
    LABEL       [LABEL_Ix_ClientMan];
    HELP        [HELP_Ix_ClientMan];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

VARIABLE Number_of_Clients
{   
    LABEL       [LABEL_Number_of_Clients];
    HELP        [HELP_Number_of_Clients];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE   1;
        MAX_VALUE   240;
    }
    HANDLING    READ;
}

VARIABLE Number_of_Channels
{
    LABEL       [LABEL_Number_of_Channels];
    HELP        [HELP_Number_of_Channels];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   2;
        MIN_VALUE       1;
        MAX_VALUE       240;
    }
    HANDLING    READ;
}

VARIABLE WR_Ix_Offset
{
    LABEL       [LABEL_WR_Ix_Offset];
    HELP        [HELP_WR_Ix_Offset];
    CLASS       CONTAINED;
    TYPE        INTEGER (1)
    {
        MIN_VALUE   -128;
        MAX_VALUE   127;
    }
    HANDLING    READ;
}

VARIABLE Ix_HMDFP
{
    LABEL       [LABEL_Ix_HMDFP];
    HELP        [HELP_Ix_HMDFP];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE   0;
        MAX_VALUE   254;
    }
    HANDLING    READ;
}

VARIABLE Ix_HMDMP
{
    LABEL       [LABEL_Ix_HMDMP];
    HELP        [HELP_Ix_HMDMP];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE   0;
        MAX_VALUE   255;
        {255,   [MP_not_available]  }
    }
    HANDLING        READ;
}

VARIABLE Start_Ix_BBA
{
    LABEL       [LABEL_Start_Ix_BBA];
    HELP        [HELP_Start_Ix_BBA];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE   0;
        MAX_VALUE   255;
        {255,   [BB_not_available]  }
    }
    HANDLING    READ;
}

VARIABLE Ix_HMDCP_c1
{
    LABEL       [LABEL_Ix_HMDCP];
    HELP        [HELP_Ix_HMDCP];
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE   0;
        MAX_VALUE   255;
        {255,   [CP_not_available]  }
    }
    HANDLING    READ;
}

Ix_HMDCP_c2     LIKE VARIABLE Ix_HMDCP_c1   {}
Ix_HMDCP_c3     LIKE VARIABLE Ix_HMDCP_c1   {}
Ix_HMDCP_c4     LIKE VARIABLE Ix_HMDCP_c1   {}

COMMAND read_directory_process_data_c1
{
    SLOT        Loc_P0_Slot0;
    INDEX       SubSys_Module_Dir_Index;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Profile_Revision_Number_Hi_Byte,
            Profile_Revision_Number_Lo_Byte,
            Ix_ClientMan,
            Number_of_Clients,
            Number_of_Channels,
            WR_Ix_Offset,
            Ix_HMDFP,
            Ix_HMDMP,
            Start_Ix_BBA,
            Ix_HMDCP_c1,
            Ix_HMDCP_c2,
            Ix_HMDCP_c3,
            Ix_HMDCP_c4
        }
    }
}

COMMAND read_Number_of_Channels
{
    SLOT        Loc_P0_Slot0;
    INDEX       SubSys_Module_Dir_Index;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,0,0,0,
            Number_of_Channels
        }
    }
}
/***************************************************************/
/* FEATURE PARAMETER PROCESS DATA                              */
/***************************************************************/
VARIABLE Secondary_Master_Exclusion_Supported
{
    LABEL       [LABEL_Secondary_Master_Exclusion_Supported];
    HELP        [HELP_Secondary_Master_Exclusion_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Application_Supported_Parameter_Check
{
    LABEL       [LABEL_Application_Supported_Parameter_Check];
    HELP        [HELP_Application_Supported_Parameter_Check];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    READ;
}

VARIABLE Multi_Drop_Mode_Supported
{
    LABEL       [LABEL_Multi_Drop_Mode_Supported];
    HELP        [HELP_Multi_Drop_Mode_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Burst_Mode_Supported
{
    LABEL       [LABEL_Burst_Mode_Supported];
    HELP        [HELP_Burst_Mode_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Scan_Mode_Supported
{
    LABEL       [LABEL_Scan_Mode_Supported];
    HELP        [HELP_Scan_Mode_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Compact_HART_Message_Format_Supported
{
    LABEL       [LABEL_Compact_HART_Message_Format_Supported];
    HELP        [HELP_Compact_HART_Message_Format_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Successive_HART_Commands_Mode_Supported
{
    LABEL       [LABEL_Successive_HART_Commands_Mode_Supported];
    HELP        [HELP_Successive_HART_Commands_Mode_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Parameter_Stored_Non_Volatile
{
    LABEL       [LABEL_Parameter_Stored_Non_Volatile];
    HELP        [HELP_Parameter_Stored_Non_Volatile];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Burst_Mode_Auto_Disable_Supported
{
    LABEL       [LABEL_Burst_Mode_Auto_Disable_Supported];
    HELP        [HELP_Burst_Mode_Auto_Disable_Supported];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [supported]     },
        {0,     [not_supported] }
    }
    HANDLING    READ;
}

VARIABLE Max_Len_Data_Unit
{
    LABEL       [LABEL_Max_Len_Data_Unit];
    HELP        [HELP_Max_Len_Data_Unit];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MAX_VALUE   230;
        MIN_VALUE   46;
    }
    HANDLING    READ;
    CONSTANT_UNIT   "Byte";
}

VARIABLE dummy_integer
{
    LABEL       "";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER;
    HANDLING    READ & WRITE;
}

COMMAND read_feature_parameter_process_data
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDFP;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Parameter_Stored_Non_Volatile                   <0x80>,
            Successive_HART_Commands_Mode_Supported         <0x40>,
            Compact_HART_Message_Format_Supported           <0x20>,
            Scan_Mode_Supported                             <0x10>,
            Burst_Mode_Supported                            <0x08>,
            Multi_Drop_Mode_Supported                       <0x04>,
            Application_Supported_Parameter_Check           <0x02>,
            Secondary_Master_Exclusion_Supported            <0x01>,
            Burst_Mode_Auto_Disable_Supported               <0x10>,
            dummy_integer                                   <0x01>,
            Max_Len_Data_Unit
        }
    }
}
/***************************************************************/
/* PARAMETER PROCESSS DATA                                     */
/***************************************************************/
VARIABLE Pending_c1
{
    LABEL       [LABEL_Pending];
    HELP        [HELP_Pending];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    READ;
}

Pending_c2  LIKE VARIABLE   Pending_c1  {}
Pending_c3  LIKE VARIABLE   Pending_c1  {}
Pending_c4  LIKE VARIABLE   Pending_c1  {}

VARIABLE Error_Position_c1
{
    LABEL       [LABEL_Error_Position];
    HELP        [HELP_Error_Position];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   0;
    }
    HANDLING    READ & WRITE;
    PRE_WRITE_ACTIONS
    {
        DEFINITION
        {
            Error_Position_c1 = 0;
        }
    }
    POST_READ_ACTIONS
    {
        DEFINITION
        {
            loc_Error_Position = Error_Position_c1;
        }
    }
}

Error_Position_c2   LIKE VARIABLE   Error_Position_c1
{
    REDEFINE    PRE_WRITE_ACTIONS
                {
                    DEFINITION
                    {
                        Error_Position_c2 = 0;
                    }
                }

    REDEFINE    POST_READ_ACTIONS
                {
                    DEFINITION
                    {
                        loc_Error_Position = Error_Position_c2;
                    }
                }
}

Error_Position_c3   LIKE VARIABLE   Error_Position_c1
{
    REDEFINE    PRE_WRITE_ACTIONS
                {
                    DEFINITION
                    {
                        Error_Position_c3 = 0;
                    }
                }

    REDEFINE    POST_READ_ACTIONS
                {
                    DEFINITION
                    {
                        loc_Error_Position = Error_Position_c3;
                    }
                }
}

Error_Position_c4   LIKE VARIABLE   Error_Position_c1
{
    REDEFINE    PRE_WRITE_ACTIONS
                {
                    DEFINITION
                    {
                        Error_Position_c4 = 0;
                    }
                }

    REDEFINE    POST_READ_ACTIONS
                {
                    DEFINITION
                    {
                        loc_Error_Position = Error_Position_c4;
                    }
                }
}

VARIABLE loc_Error_Position
{
    LABEL       [LABEL_Error_Position];
    HELP        [HELP_Error_Position];
    CLASS       LOCAL;
    TYPE        ENUMERATED (1)
    {
        {0,     [no_Error]                              },
        {1,     [ERROR_Number_of_Retries]               },
        {2,     [ERROR_Number_of_Preambles]             },
        {3,     [ERROR_Burst_Mode]                      },
        {4,     [ERROR_Multi_Drop_Mode]                 },
        {5,     [ERROR_Secondary_Master_Exclusion]      },
        {6,     [ERROR_Client_Timeout]                  },
        {7,     [ERROR_Burst_Mode_Auto_Disable]         },
        {8,     [reserved]                              },
        {32,    [ERROR_Man_Spec_Param]                  },
        {33,    [ERROR_Man_Spec_Param]                  },
        {34,    [ERROR_Man_Spec_Param]                  },
        {35,    [ERROR_Man_Spec_Param]                  },
        {36,    [ERROR_Man_Spec_Param]                  },
        {37,    [ERROR_Man_Spec_Param]                  },
        {38,    [ERROR_Man_Spec_Param]                  },
        {39,    [ERROR_Man_Spec_Param]                  },
        {40,    [ERROR_Man_Spec_Param]                  },
        {41,    [ERROR_Man_Spec_Param]                  },
        {42,    [ERROR_Man_Spec_Param]                  },
        {43,    [ERROR_Man_Spec_Param]                  },
        {44,    [ERROR_Man_Spec_Param]                  },
        {45,    [ERROR_Man_Spec_Param]                  },
        {46,    [ERROR_Man_Spec_Param]                  },
        {47,    [ERROR_Man_Spec_Param]                  },
        {48,    [ERROR_Man_Spec_Param]                  },
        {49,    [ERROR_Man_Spec_Param]                  },
        {50,    [ERROR_Man_Spec_Param]                  },
        {51,    [ERROR_Man_Spec_Param]                  },
        {52,    [ERROR_Man_Spec_Param]                  },
        {53,    [ERROR_Man_Spec_Param]                  },
        {54,    [ERROR_Man_Spec_Param]                  },
        {55,    [ERROR_Man_Spec_Param]                  },
        {56,    [ERROR_Man_Spec_Param]                  },
        {57,    [ERROR_Man_Spec_Param]                  },
        {58,    [ERROR_Man_Spec_Param]                  },
        {59,    [ERROR_Man_Spec_Param]                  },
        {60,    [ERROR_Man_Spec_Param]                  },
        {61,    [ERROR_Man_Spec_Param]                  },
        {62,    [ERROR_Man_Spec_Param]                  },
        {63,    [ERROR_Man_Spec_Param]                  }
     }              
    HANDLING    READ;               
    VALIDITY    IF (Application_Supported_Parameter_Check = 1)
                {   TRUE;   }
                ELSE
                {   FALSE;  }
}

VARIABLE Man_Spec_Param_Offset_c1
{
    LABEL       [LABEL_Man_Spec_Param_Offset];
    HELP        [HELP_Man_Spec_Param_Offset];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1);
    HANDLING    READ;
}

Man_Spec_Param_Offset_c2    LIKE VARIABLE   Man_Spec_Param_Offset_c1    {}
Man_Spec_Param_Offset_c3    LIKE VARIABLE   Man_Spec_Param_Offset_c1    {}
Man_Spec_Param_Offset_c4    LIKE VARIABLE   Man_Spec_Param_Offset_c1    {}

VARIABLE Number_of_Retries_c1
{
    LABEL       [LABEL_Number_of_Retries];
    HELP        [HELP_Number_of_Retries];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        MAX_VALUE   10;
        MIN_VALUE   0;
    }
    HANDLING    READ & WRITE;
}

Number_of_Retries_c2    LIKE VARIABLE   Number_of_Retries_c1    {}
Number_of_Retries_c3    LIKE VARIABLE   Number_of_Retries_c1    {}
Number_of_Retries_c4    LIKE VARIABLE   Number_of_Retries_c1    {}

VARIABLE Number_of_Preambles_c1
{
    LABEL       [LABEL_Number_of_Preambles];
    HELP        [HELP_Number_of_Preambles];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {0,     [read_from_device]          },
        {5 ,    "5"                         },
        {6 ,    "6"                         },
        {7 ,    "7"                         },
        {8 ,    "8"                         },
        {9 ,    "9"                         },
        {10,    "10"                        },
        {11,    "11"                        },
        {12,    "12"                        },
        {13,    "13"                        },
        {14,    "14"                        },
        {15,    "15"                        },
        {16,    "16"                        },
        {17,    "17"                        },
        {18,    "18"                        },
        {19,    "19"                        },
        {20,    "20"                        },
        {255,   [invalid]                   }
    }
    HANDLING    READ & WRITE;
}

Number_of_Preambles_c2  LIKE VARIABLE   Number_of_Preambles_c1  {}
Number_of_Preambles_c3  LIKE VARIABLE   Number_of_Preambles_c1  {}
Number_of_Preambles_c4  LIKE VARIABLE   Number_of_Preambles_c1  {}

VARIABLE Secondary_Master_Exclusion_c1
{
    LABEL       [LABEL_Secondary_Master_Exclusion];
    HELP        [HELP_Secondary_Master_Exclusion];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    IF(Secondary_Master_Exclusion_Supported == TRUE)
                {
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }
}

Secondary_Master_Exclusion_c2   LIKE VARIABLE Secondary_Master_Exclusion_c1 {}
Secondary_Master_Exclusion_c3   LIKE VARIABLE Secondary_Master_Exclusion_c1 {}
Secondary_Master_Exclusion_c4   LIKE VARIABLE Secondary_Master_Exclusion_c1 {}

VARIABLE Multi_Drop_Mode_c1
{
    LABEL       [LABEL_Multi_Drop_Mode];
    HELP        [HELP_Multi_Drop_Mode];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    IF(Multi_Drop_Mode_Supported == TRUE)
                {
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }
}

Multi_Drop_Mode_c2  LIKE VARIABLE Multi_Drop_Mode_c1    {}
Multi_Drop_Mode_c3  LIKE VARIABLE Multi_Drop_Mode_c1    {}
Multi_Drop_Mode_c4  LIKE VARIABLE Multi_Drop_Mode_c1    {}

VARIABLE Burst_Mode_c1
{
    LABEL       [LABEL_Burst_Mode];
    HELP        [HELP_Burst_Mode];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    IF(Burst_Mode_Supported == TRUE)
                {
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }
}

Burst_Mode_c2   LIKE VARIABLE   Burst_Mode_c1   {}
Burst_Mode_c3   LIKE VARIABLE   Burst_Mode_c1   {}
Burst_Mode_c4   LIKE VARIABLE   Burst_Mode_c1   {}

VARIABLE Burst_Mode_Auto_Disable_c1
{
    LABEL       [LABEL_Burst_Mode_Auto_Disable];
    HELP        [HELP_Burst_Mode_Auto_Disable];
    CLASS       CONTAINED;
    TYPE        ENUMERATED (1)
    {
        {1,     [True]  },
        {0,     [False] }
    }
    HANDLING    IF(Burst_Mode_Auto_Disable_Supported == TRUE)
                {
                    READ & WRITE;
                }
                ELSE
                {
                    READ;
                }

}

Burst_Mode_Auto_Disable_c2  LIKE VARIABLE   Burst_Mode_Auto_Disable_c1  {}
Burst_Mode_Auto_Disable_c3  LIKE VARIABLE   Burst_Mode_Auto_Disable_c1  {}
Burst_Mode_Auto_Disable_c4  LIKE VARIABLE   Burst_Mode_Auto_Disable_c1  {}

VARIABLE Client_Timeout_c1
{
    LABEL       [LABEL_Client_Timeout];
    HELP        [HELP_Client_Timeout];
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   10;
        MAX_VALUE       255;
        MIN_VALUE       1;
    }
    HANDLING    READ & WRITE;
    CONSTANT_UNIT   "s";
}

Client_Timeout_c2   LIKE VARIABLE Client_Timeout_c1 {}
Client_Timeout_c3   LIKE VARIABLE Client_Timeout_c1 {}
Client_Timeout_c4   LIKE VARIABLE Client_Timeout_c1 {}

/////////////
// KANAL 1 //
/////////////
COMMAND read_parameter_process_data_c1
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Pending_c1                                      <0x80>,
            Error_Position_c1                               <0x1F>,
            Man_Spec_Param_Offset_c1                              ,
            Number_of_Retries_c1                                  ,
            Number_of_Preambles_c1                                ,
            Burst_Mode_Auto_Disable_c1                      <0x10>,
            Burst_Mode_c1                                   <0x08>,
            Multi_Drop_Mode_c1                              <0x04>,
            Secondary_Master_Exclusion_c1                   <0x01>,
            Client_Timeout_c1
        }
    }
}

COMMAND write_parameter_process_data_c1
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            Pending_c1                                      <0x80>,
            Error_Position_c1                               <0x1F>,
            Man_Spec_Param_Offset_c1                              ,
            Number_of_Retries_c1                                  ,
            Number_of_Preambles_c1                                ,
            Burst_Mode_Auto_Disable_c1                      <0x10>,
            Burst_Mode_c1                                   <0x08>,
            Multi_Drop_Mode_c1                              <0x04>,
            Secondary_Master_Exclusion_c1                   <0x01>,
            Client_Timeout_c1
        }
        REPLY
        {
        }
    }
}

/////////////
// KANAL 2 //
/////////////
COMMAND read_parameter_process_data_c2
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Pending_c2                                      <0x80>,
            Error_Position_c2                               <0x1F>,
            Man_Spec_Param_Offset_c2                              ,
            Number_of_Retries_c2                                  ,
            Number_of_Preambles_c2                                ,
            Burst_Mode_Auto_Disable_c2                      <0x10>,
            Burst_Mode_c2                                   <0x08>,
            Multi_Drop_Mode_c2                              <0x04>,
            Secondary_Master_Exclusion_c2                   <0x01>,
            Client_Timeout_c2 
        }
    }
}

COMMAND write_parameter_process_data_c2
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            Pending_c2                                      <0x80>,
            Error_Position_c2                               <0x1F>,
            Man_Spec_Param_Offset_c2                              ,
            Number_of_Retries_c2                                  ,
            Number_of_Preambles_c2                                ,
            Burst_Mode_Auto_Disable_c2                      <0x10>,
            Burst_Mode_c2                                   <0x08>,
            Multi_Drop_Mode_c2                              <0x04>,
            Secondary_Master_Exclusion_c2                   <0x01>,
            Client_Timeout_c2 
        }
        REPLY
        {
        }
    }
}

/////////////
// KANAL 3 //
/////////////
COMMAND read_parameter_process_data_c3
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c3;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Pending_c3                                      <0x80>,
            Error_Position_c3                               <0x1F>,
            Man_Spec_Param_Offset_c3                              ,
            Number_of_Retries_c3                                  ,
            Number_of_Preambles_c3                                ,
            Burst_Mode_Auto_Disable_c3                      <0x10>,
            Burst_Mode_c3                                   <0x08>,
            Multi_Drop_Mode_c3                              <0x04>,
            Secondary_Master_Exclusion_c3                   <0x01>,
            Client_Timeout_c3 
        }
    }
}

COMMAND write_parameter_process_data_c3
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c3;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            Pending_c3                                      <0x80>,
            Error_Position_c3                               <0x1F>,
            Man_Spec_Param_Offset_c3                              ,
            Number_of_Retries_c3                                  ,
            Number_of_Preambles_c3                                ,
            Burst_Mode_Auto_Disable_c3                      <0x10>,
            Burst_Mode_c3                                   <0x08>,
            Multi_Drop_Mode_c3                              <0x04>,
            Secondary_Master_Exclusion_c3                   <0x01>,
            Client_Timeout_c3 
        }
        REPLY
        {
        }
    }
}

/////////////
// KANAL 4 //
/////////////
COMMAND read_parameter_process_data_c4
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c4;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Pending_c4                                      <0x80>,
            Error_Position_c4                               <0x1F>,
            Man_Spec_Param_Offset_c4                              ,
            Number_of_Retries_c4                                  ,
            Number_of_Preambles_c4                                ,
            Burst_Mode_Auto_Disable_c4                      <0x10>,
            Burst_Mode_c4                                   <0x08>,
            Multi_Drop_Mode_c4                              <0x04>,
            Secondary_Master_Exclusion_c4                   <0x01>,
            Client_Timeout_c4 
        }
    }
}

COMMAND write_parameter_process_data_c4
{
    SLOT        Loc_P0_Slot0;
    INDEX       Ix_HMDCP_c4;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            Pending_c4                                      <0x80>,
            Error_Position_c4                               <0x1F>,
            Man_Spec_Param_Offset_c4                              ,
            Number_of_Retries_c4                                  ,
            Number_of_Preambles_c4                                ,
            Burst_Mode_Auto_Disable_c4                      <0x10>,
            Burst_Mode_c4                                   <0x08>,
            Multi_Drop_Mode_c4                              <0x04>,
            Secondary_Master_Exclusion_c4                   <0x01>,
            Client_Timeout_c4 
        }
        REPLY
        {
        }
    }
}